!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 511

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(3168)
  integer, parameter :: nGC_21925 = 1
  integer, parameter :: nGC_21924 = 2
  integer, parameter :: nGC_21760 = 3
  integer, parameter :: nGC_21655 = 4
  integer, parameter :: nGC_21815 = 5
  integer, parameter :: nGC_21814 = 6
  integer, parameter :: nGC_21817 = 7
  integer, parameter :: nGC_21816 = 8
  integer, parameter :: nGC_21811 = 9
  integer, parameter :: nGC_21810 = 10
  integer, parameter :: nGC_99 = 11
  integer, parameter :: nGC_98 = 12
  integer, parameter :: nGC_22645 = 13
  integer, parameter :: nGC_21921 = 14
  integer, parameter :: nGC_21920 = 15
  integer, parameter :: nGC_20773 = 16
  integer, parameter :: nGC_20804 = 17
  integer, parameter :: nGC_300 = 18
  integer, parameter :: nGC_20806 = 19
  integer, parameter :: nGC_20777 = 20
  integer, parameter :: nGC_20776 = 21
  integer, parameter :: nGC_21495 = 22
  integer, parameter :: nGC_21494 = 23
  integer, parameter :: nGC_21497 = 24
  integer, parameter :: nGC_74 = 25
  integer, parameter :: nGC_21498 = 26
  integer, parameter :: nGC_305 = 27
  integer, parameter :: nGC_308 = 28
  integer, parameter :: nGC_309 = 29
  integer, parameter :: nGC_232 = 30
  integer, parameter :: nGC_233 = 31
  integer, parameter :: nGC_230 = 32
  integer, parameter :: nGC_231 = 33
  integer, parameter :: nGC_236 = 34
  integer, parameter :: nGC_237 = 35
  integer, parameter :: nGC_234 = 36
  integer, parameter :: nGC_235 = 37
  integer, parameter :: nGC_79 = 38
  integer, parameter :: nGC_238 = 39
  integer, parameter :: nGC_239 = 40
  integer, parameter :: nGC_21149 = 41
  integer, parameter :: nGC_21752 = 42
  integer, parameter :: nGC_21002 = 43
  integer, parameter :: nGC_21003 = 44
  integer, parameter :: nGC_21000 = 45
  integer, parameter :: nGC_21001 = 46
  integer, parameter :: nGC_21006 = 47
  integer, parameter :: nGC_21007 = 48
  integer, parameter :: nGC_21004 = 49
  integer, parameter :: nGC_21005 = 50
  integer, parameter :: nGC_21008 = 51
  integer, parameter :: nGC_589 = 52
  integer, parameter :: nGC_20841 = 53
  integer, parameter :: nGC_20840 = 54
  integer, parameter :: nGC_20845 = 55
  integer, parameter :: nGC_20844 = 56
  integer, parameter :: nGC_20847 = 57
  integer, parameter :: nGC_20846 = 58
  integer, parameter :: nGC_348 = 59
  integer, parameter :: nGC_349 = 60
  integer, parameter :: nGC_346 = 61
  integer, parameter :: nGC_347 = 62
  integer, parameter :: nGC_344 = 63
  integer, parameter :: nGC_345 = 64
  integer, parameter :: nGC_342 = 65
  integer, parameter :: nGC_343 = 66
  integer, parameter :: nGC_340 = 67
  integer, parameter :: nGC_341 = 68
  integer, parameter :: nGC_21502 = 69
  integer, parameter :: nGC_567 = 70
  integer, parameter :: nGC_565 = 71
  integer, parameter :: nGC_563 = 72
  integer, parameter :: nGC_561 = 73
  integer, parameter :: nGC_20821 = 74
  integer, parameter :: nGC_21316 = 75
  integer, parameter :: nGC_21314 = 76
  integer, parameter :: nGC_21315 = 77
  integer, parameter :: nGC_21312 = 78
  integer, parameter :: nGC_21313 = 79
  integer, parameter :: nGC_21310 = 80
  integer, parameter :: nGC_21311 = 81
  integer, parameter :: nGC_168 = 82
  integer, parameter :: nGC_169 = 83
  integer, parameter :: nGC_162 = 84
  integer, parameter :: nGC_163 = 85
  integer, parameter :: nGC_161 = 86
  integer, parameter :: nGC_166 = 87
  integer, parameter :: nGC_167 = 88
  integer, parameter :: nGC_164 = 89
  integer, parameter :: nGC_165 = 90
  integer, parameter :: nGC_525 = 91
  integer, parameter :: nGC_20790 = 92
  integer, parameter :: nGC_22861 = 93
  integer, parameter :: nGC_MHA = 94
  integer, parameter :: nGC_MHC = 95
  integer, parameter :: nGC_MHL = 96
  integer, parameter :: nGC_MHH = 97
  integer, parameter :: nGC_21813 = 98
  integer, parameter :: nGC_21812 = 99
  integer, parameter :: nGC_21792 = 100
  integer, parameter :: nGC_21793 = 101
  integer, parameter :: nGC_21790 = 102
  integer, parameter :: nGC_21791 = 103
  integer, parameter :: nGC_21796 = 104
  integer, parameter :: nGC_21797 = 105
  integer, parameter :: nGC_21794 = 106
  integer, parameter :: nGC_21795 = 107
  integer, parameter :: nGC_21553 = 108
  integer, parameter :: nGC_21554 = 109
  integer, parameter :: nGC_21555 = 110
  integer, parameter :: nGC_21556 = 111
  integer, parameter :: nGC_21557 = 112
  integer, parameter :: nGC_21558 = 113
  integer, parameter :: nGC_21559 = 114
  integer, parameter :: nGC_21178 = 115
  integer, parameter :: nGC_21179 = 116
  integer, parameter :: nGC_21176 = 117
  integer, parameter :: nGC_21177 = 118
  integer, parameter :: nGC_21175 = 119
  integer, parameter :: nGC_221 = 120
  integer, parameter :: nGC_220 = 121
  integer, parameter :: nGC_223 = 122
  integer, parameter :: nGC_222 = 123
  integer, parameter :: nGC_225 = 124
  integer, parameter :: nGC_227 = 125
  integer, parameter :: nGC_226 = 126
  integer, parameter :: nGC_229 = 127
  integer, parameter :: nGC_228 = 128
  integer, parameter :: nGC_21772 = 129
  integer, parameter :: nGC_21776 = 130
  integer, parameter :: nGC_21777 = 131
  integer, parameter :: nGC_21015 = 132
  integer, parameter :: nGC_21014 = 133
  integer, parameter :: nGC_21011 = 134
  integer, parameter :: nGC_21010 = 135
  integer, parameter :: nGC_21013 = 136
  integer, parameter :: nGC_21012 = 137
  integer, parameter :: nGC_20834 = 138
  integer, parameter :: nGC_20835 = 139
  integer, parameter :: nGC_20836 = 140
  integer, parameter :: nGC_20837 = 141
  integer, parameter :: nGC_20830 = 142
  integer, parameter :: nGC_20787 = 143
  integer, parameter :: nGC_20832 = 144
  integer, parameter :: nGC_20833 = 145
  integer, parameter :: nGC_359 = 146
  integer, parameter :: nGC_358 = 147
  integer, parameter :: nGC_355 = 148
  integer, parameter :: nGC_354 = 149
  integer, parameter :: nGC_357 = 150
  integer, parameter :: nGC_356 = 151
  integer, parameter :: nGC_351 = 152
  integer, parameter :: nGC_350 = 153
  integer, parameter :: nGC_353 = 154
  integer, parameter :: nGC_352 = 155
  integer, parameter :: nGC_575 = 156
  integer, parameter :: nGC_571 = 157
  integer, parameter :: nGC_573 = 158
  integer, parameter :: nGC_597 = 159
  integer, parameter :: nGC_21309 = 160
  integer, parameter :: nGC_21308 = 161
  integer, parameter :: nGC_21220 = 162
  integer, parameter :: nGC_179 = 163
  integer, parameter :: nGC_178 = 164
  integer, parameter :: nGC_20942 = 165
  integer, parameter :: nGC_20943 = 166
  integer, parameter :: nGC_20944 = 167
  integer, parameter :: nGC_20945 = 168
  integer, parameter :: nGC_20946 = 169
  integer, parameter :: nGC_20947 = 170
  integer, parameter :: nGC_171 = 171
  integer, parameter :: nGC_170 = 172
  integer, parameter :: nGC_173 = 173
  integer, parameter :: nGC_172 = 174
  integer, parameter :: nGC_175 = 175
  integer, parameter :: nGC_174 = 176
  integer, parameter :: nGC_177 = 177
  integer, parameter :: nGC_176 = 178
  integer, parameter :: nGC_20704 = 179
  integer, parameter :: nGC_595 = 180
  integer, parameter :: nGC_773 = 181
  integer, parameter :: nGC_777 = 182
  integer, parameter :: nGC_TS_GC_236_Hh = 183
  integer, parameter :: nGC_TS_GC_236_Hl = 184
  integer, parameter :: nGC_21763 = 185
  integer, parameter :: nGC_21762 = 186
  integer, parameter :: nGC_21761 = 187
  integer, parameter :: nGC_36397 = 188
  integer, parameter :: nGC_21764 = 189
  integer, parameter :: nGC_22634 = 190
  integer, parameter :: nGC_32251 = 191
  integer, parameter :: nGC_97 = 192
  integer, parameter :: nGC_96 = 193
  integer, parameter :: nGC_95 = 194
  integer, parameter :: nGC_94 = 195
  integer, parameter :: nGC_93 = 196
  integer, parameter :: nGC_92 = 197
  integer, parameter :: nGC_91 = 198
  integer, parameter :: nGC_90 = 199
  integer, parameter :: nGC_21785 = 200
  integer, parameter :: nGC_21784 = 201
  integer, parameter :: nGC_21787 = 202
  integer, parameter :: nGC_21786 = 203
  integer, parameter :: nGC_21781 = 204
  integer, parameter :: nGC_21780 = 205
  integer, parameter :: nGC_21783 = 206
  integer, parameter :: nGC_21782 = 207
  integer, parameter :: nGC_36975 = 208
  integer, parameter :: nGC_21789 = 209
  integer, parameter :: nGC_21788 = 210
  integer, parameter :: nGC_75 = 211
  integer, parameter :: nGC_77 = 212
  integer, parameter :: nGC_76 = 213
  integer, parameter :: nGC_71 = 214
  integer, parameter :: nGC_70 = 215
  integer, parameter :: nGC_73 = 216
  integer, parameter :: nGC_72 = 217
  integer, parameter :: nGC_78 = 218
  integer, parameter :: nGC_3395 = 219
  integer, parameter :: nGC_TS_GC_345_Hl = 220
  integer, parameter :: nGC_21168 = 221
  integer, parameter :: nGC_21167 = 222
  integer, parameter :: nGC_21166 = 223
  integer, parameter :: nGC_21161 = 224
  integer, parameter :: nGC_21160 = 225
  integer, parameter :: nGC_21162 = 226
  integer, parameter :: nGC_21769 = 227
  integer, parameter :: nGC_21768 = 228
  integer, parameter :: nGC_218 = 229
  integer, parameter :: nGC_219 = 230
  integer, parameter :: nGC_214 = 231
  integer, parameter :: nGC_215 = 232
  integer, parameter :: nGC_216 = 233
  integer, parameter :: nGC_217 = 234
  integer, parameter :: nGC_210 = 235
  integer, parameter :: nGC_211 = 236
  integer, parameter :: nGC_212 = 237
  integer, parameter :: nGC_213 = 238
  integer, parameter :: nGC_34020 = 239
  integer, parameter :: nGC_34021 = 240
  integer, parameter :: nGC_20799 = 241
  integer, parameter :: nGC_20798 = 242
  integer, parameter :: nGC_20829 = 243
  integer, parameter :: nGC_20828 = 244
  integer, parameter :: nGC_20827 = 245
  integer, parameter :: nGC_20794 = 246
  integer, parameter :: nGC_20825 = 247
  integer, parameter :: nGC_20824 = 248
  integer, parameter :: nGC_20823 = 249
  integer, parameter :: nGC_20820 = 250
  integer, parameter :: nGC_368 = 251
  integer, parameter :: nGC_369 = 252
  integer, parameter :: nGC_20826 = 253
  integer, parameter :: nGC_360 = 254
  integer, parameter :: nGC_361 = 255
  integer, parameter :: nGC_362 = 256
  integer, parameter :: nGC_363 = 257
  integer, parameter :: nGC_364 = 258
  integer, parameter :: nGC_365 = 259
  integer, parameter :: nGC_366 = 260
  integer, parameter :: nGC_367 = 261
  integer, parameter :: nGC_541 = 262
  integer, parameter :: nGC_543 = 263
  integer, parameter :: nGC_545 = 264
  integer, parameter :: nGC_547 = 265
  integer, parameter :: nGC_20791 = 266
  integer, parameter :: nGC_21378 = 267
  integer, parameter :: nGC_21379 = 268
  integer, parameter :: nGC_21374 = 269
  integer, parameter :: nGC_21375 = 270
  integer, parameter :: nGC_21376 = 271
  integer, parameter :: nGC_20792 = 272
  integer, parameter :: nGC_21371 = 273
  integer, parameter :: nGC_21372 = 274
  integer, parameter :: nGC_21373 = 275
  integer, parameter :: nGC_144 = 276
  integer, parameter :: nGC_145 = 277
  integer, parameter :: nGC_146 = 278
  integer, parameter :: nGC_147 = 279
  integer, parameter :: nGC_140 = 280
  integer, parameter :: nGC_141 = 281
  integer, parameter :: nGC_142 = 282
  integer, parameter :: nGC_143 = 283
  integer, parameter :: nGC_148 = 284
  integer, parameter :: nGC_149 = 285
  integer, parameter :: nGC_20953 = 286
  integer, parameter :: nGC_20952 = 287
  integer, parameter :: nGC_20951 = 288
  integer, parameter :: nGC_20950 = 289
  integer, parameter :: nGC_20957 = 290
  integer, parameter :: nGC_20956 = 291
  integer, parameter :: nGC_20955 = 292
  integer, parameter :: nGC_20954 = 293
  integer, parameter :: nGC_20959 = 294
  integer, parameter :: nGC_20958 = 295
  integer, parameter :: nGC_21205 = 296
  integer, parameter :: nGC_21206 = 297
  integer, parameter :: nGC_21208 = 298
  integer, parameter :: nGC_21209 = 299
  integer, parameter :: nGC_21923 = 300
  integer, parameter :: nGC_335 = 301
  integer, parameter :: nGC_781 = 302
  integer, parameter :: nGC_MI = 303
  integer, parameter :: nGC_MM = 304
  integer, parameter :: nGC_MW = 305
  integer, parameter :: nGC_32671 = 306
  integer, parameter :: nGC_32430 = 307
  integer, parameter :: nGC_33427 = 308
  integer, parameter :: nGC_41331 = 309
  integer, parameter :: nGC_587 = 310
  integer, parameter :: nGC_21377 = 311
  integer, parameter :: nGC_36705 = 312
  integer, parameter :: nGC_88 = 313
  integer, parameter :: nGC_89 = 314
  integer, parameter :: nGC_TS_GC_172_Hh = 315
  integer, parameter :: nGC_80 = 316
  integer, parameter :: nGC_81 = 317
  integer, parameter :: nGC_82 = 318
  integer, parameter :: nGC_83 = 319
  integer, parameter :: nGC_84 = 320
  integer, parameter :: nGC_85 = 321
  integer, parameter :: nGC_86 = 322
  integer, parameter :: nGC_87 = 323
  integer, parameter :: nGC_21073 = 324
  integer, parameter :: nGC_21072 = 325
  integer, parameter :: nGC_40360 = 326
  integer, parameter :: nGC_66 = 327
  integer, parameter :: nGC_67 = 328
  integer, parameter :: nGC_64 = 329
  integer, parameter :: nGC_65 = 330
  integer, parameter :: nGC_62 = 331
  integer, parameter :: nGC_63 = 332
  integer, parameter :: nGC_21570 = 333
  integer, parameter :: nGC_21571 = 334
  integer, parameter :: nGC_34706 = 335
  integer, parameter :: nGC_34705 = 336
  integer, parameter :: nGC_68 = 337
  integer, parameter :: nGC_69 = 338
  integer, parameter :: nGC_22848 = 339
  integer, parameter :: nGC_2389 = 340
  integer, parameter :: nGC_21194 = 341
  integer, parameter :: nGC_21195 = 342
  integer, parameter :: nGC_21196 = 343
  integer, parameter :: nGC_21197 = 344
  integer, parameter :: nGC_21198 = 345
  integer, parameter :: nGC_21199 = 346
  integer, parameter :: nGC_209 = 347
  integer, parameter :: nGC_208 = 348
  integer, parameter :: nGC_21758 = 349
  integer, parameter :: nGC_21759 = 350
  integer, parameter :: nGC_203 = 351
  integer, parameter :: nGC_202 = 352
  integer, parameter :: nGC_201 = 353
  integer, parameter :: nGC_200 = 354
  integer, parameter :: nGC_207 = 355
  integer, parameter :: nGC_206 = 356
  integer, parameter :: nGC_205 = 357
  integer, parameter :: nGC_204 = 358
  integer, parameter :: nGC_21499 = 359
  integer, parameter :: nGC_37959 = 360
  integer, parameter :: nGC_377 = 361
  integer, parameter :: nGC_376 = 362
  integer, parameter :: nGC_375 = 363
  integer, parameter :: nGC_374 = 364
  integer, parameter :: nGC_373 = 365
  integer, parameter :: nGC_20765 = 366
  integer, parameter :: nGC_371 = 367
  integer, parameter :: nGC_370 = 368
  integer, parameter :: nGC_20768 = 369
  integer, parameter :: nGC_20818 = 370
  integer, parameter :: nGC_20819 = 371
  integer, parameter :: nGC_379 = 372
  integer, parameter :: nGC_378 = 373
  integer, parameter :: nGC_559 = 374
  integer, parameter :: nGC_557 = 375
  integer, parameter :: nGC_555 = 376
  integer, parameter :: nGC_553 = 377
  integer, parameter :: nGC_102 = 378
  integer, parameter :: nGC_153 = 379
  integer, parameter :: nGC_152 = 380
  integer, parameter :: nGC_151 = 381
  integer, parameter :: nGC_150 = 382
  integer, parameter :: nGC_157 = 383
  integer, parameter :: nGC_156 = 384
  integer, parameter :: nGC_155 = 385
  integer, parameter :: nGC_154 = 386
  integer, parameter :: nGC_159 = 387
  integer, parameter :: nGC_158 = 388
  integer, parameter :: nGC_20960 = 389
  integer, parameter :: nGC_20961 = 390
  integer, parameter :: nGC_21212 = 391
  integer, parameter :: nGC_21214 = 392
  integer, parameter :: nGC_21219 = 393
  integer, parameter :: nGC_21218 = 394
  integer, parameter :: nGC_MW_GF = 395
  integer, parameter :: nGC_21201 = 396
  integer, parameter :: nGC_22517 = 397
  integer, parameter :: nGC_22862 = 398
  integer, parameter :: nGC_32117 = 399
  integer, parameter :: nGC_21147 = 400
  integer, parameter :: nGC_21517 = 401
  integer, parameter :: nGC_21146 = 402
  integer, parameter :: nGC_21145 = 403
  integer, parameter :: nGC_22610 = 404
  integer, parameter :: nGC_22611 = 405
  integer, parameter :: nGC_21144 = 406
  integer, parameter :: nGC_32271 = 407
  integer, parameter :: nGC_2121 = 408
  integer, parameter :: nGC_21143 = 409
  integer, parameter :: nGC_21513 = 410
  integer, parameter :: nGC_21141 = 411
  integer, parameter :: nGC_TS_GC_342_Hl = 412
  integer, parameter :: nGC_22501 = 413
  integer, parameter :: nGC_21569 = 414
  integer, parameter :: nGC_21568 = 415
  integer, parameter :: nGC_21561 = 416
  integer, parameter :: nGC_337 = 417
  integer, parameter :: nGC_21563 = 418
  integer, parameter :: nGC_21562 = 419
  integer, parameter :: nGC_21565 = 420
  integer, parameter :: nGC_39587 = 421
  integer, parameter :: nGC_21567 = 422
  integer, parameter :: nGC_21566 = 423
  integer, parameter :: nGC_53 = 424
  integer, parameter :: nGC_52 = 425
  integer, parameter :: nGC_51 = 426
  integer, parameter :: nGC_50 = 427
  integer, parameter :: nGC_57 = 428
  integer, parameter :: nGC_55 = 429
  integer, parameter :: nGC_54 = 430
  integer, parameter :: nGC_59 = 431
  integer, parameter :: nGC_58 = 432
  integer, parameter :: nGC_MC = 433
  integer, parameter :: nGC_MB = 434
  integer, parameter :: nGC_21695 = 435
  integer, parameter :: nGC_21694 = 436
  integer, parameter :: nGC_21693 = 437
  integer, parameter :: nGC_21691 = 438
  integer, parameter :: nGC_21690 = 439
  integer, parameter :: nGC_ME = 440
  integer, parameter :: nGC_2247 = 441
  integer, parameter :: nGC_MD = 442
  integer, parameter :: nGC_MZ = 443
  integer, parameter :: nGC_37506 = 444
  integer, parameter :: nGC_TS_GC_363_Hl = 445
  integer, parameter :: nGC_32293 = 446
  integer, parameter :: nGC_32294 = 447
  integer, parameter :: nGC_36588 = 448
  integer, parameter :: nGC_47015 = 449
  integer, parameter :: nGC_MS = 450
  integer, parameter :: nGC_21181 = 451
  integer, parameter :: nGC_21180 = 452
  integer, parameter :: nGC_40619 = 453
  integer, parameter :: nGC_21500 = 454
  integer, parameter :: nGC_21745 = 455
  integer, parameter :: nGC_21747 = 456
  integer, parameter :: nGC_21746 = 457
  integer, parameter :: nGC_21749 = 458
  integer, parameter :: nGC_MU = 459
  integer, parameter :: nGC_MT = 460
  integer, parameter :: nGC_33090 = 461
  integer, parameter :: nGC_37501 = 462
  integer, parameter :: nGC_33419 = 463
  integer, parameter :: nGC_302 = 464
  integer, parameter :: nGC_303 = 465
  integer, parameter :: nGC_20807 = 466
  integer, parameter :: nGC_301 = 467
  integer, parameter :: nGC_306 = 468
  integer, parameter :: nGC_20800 = 469
  integer, parameter :: nGC_20775 = 470
  integer, parameter :: nGC_20774 = 471
  integer, parameter :: nGC_20779 = 472
  integer, parameter :: nGC_20778 = 473
  integer, parameter :: nGC_20809 = 474
  integer, parameter :: nGC_20808 = 475
  integer, parameter :: nGC_32478 = 476
  integer, parameter :: nGC_523 = 477
  integer, parameter :: nGC_32475 = 478
  integer, parameter :: nGC_521 = 479
  integer, parameter :: nGC_527 = 480
  integer, parameter :: nGC_32470 = 481
  integer, parameter :: nGC_21352 = 482
  integer, parameter :: nGC_21353 = 483
  integer, parameter :: nGC_21350 = 484
  integer, parameter :: nGC_21351 = 485
  integer, parameter :: nGC_21354 = 486
  integer, parameter :: nGC_21355 = 487
  integer, parameter :: nGC_TS_GC_215_Hl = 488
  integer, parameter :: nGC_TS_GC_215_Hh = 489
  integer, parameter :: nGC_20979 = 490
  integer, parameter :: nGC_20978 = 491
  integer, parameter :: nGC_44063 = 492
  integer, parameter :: nGC_36471 = 493
  integer, parameter :: nGC_44064 = 494
  integer, parameter :: nGC_22691 = 495
  integer, parameter :: nGC_33677 = 496
  integer, parameter :: nGC_33674 = 497
  integer, parameter :: nGC_21226 = 498
  integer, parameter :: nGC_21227 = 499
  integer, parameter :: nGC_21224 = 500
  integer, parameter :: nGC_21225 = 501
  integer, parameter :: nGC_21222 = 502
  integer, parameter :: nGC_21223 = 503
  integer, parameter :: nGC_21221 = 504
  integer, parameter :: nGC_21228 = 505
  integer, parameter :: nGC_21229 = 506
  integer, parameter :: nGC_21294 = 507
  integer, parameter :: nGC_20843 = 508
  integer, parameter :: nGC_20842 = 509
  integer, parameter :: nGC_245 = 510
  integer, parameter :: nGC_20697 = 511
  integer, parameter :: nGC_581 = 512
  integer, parameter :: nGC_TS_GC_375_Hl = 513
  integer, parameter :: nGC_583 = 514
  integer, parameter :: nGC_22603 = 515
  integer, parameter :: nGC_22602 = 516
  integer, parameter :: nGC_22609 = 517
  integer, parameter :: nGC_22608 = 518
  integer, parameter :: nGC_33888 = 519
  integer, parameter :: nGC_22511 = 520
  integer, parameter :: nGC_21518 = 521
  integer, parameter :: nGC_21519 = 522
  integer, parameter :: nGC_21514 = 523
  integer, parameter :: nGC_21515 = 524
  integer, parameter :: nGC_21516 = 525
  integer, parameter :: nGC_TS_GC_173_Hl = 526
  integer, parameter :: nGC_21510 = 527
  integer, parameter :: nGC_21511 = 528
  integer, parameter :: nGC_21512 = 529
  integer, parameter :: nGC_TS_GC_173_Hh = 530
  integer, parameter :: nGC_48 = 531
  integer, parameter :: nGC_49 = 532
  integer, parameter :: nGC_44 = 533
  integer, parameter :: nGC_45 = 534
  integer, parameter :: nGC_46 = 535
  integer, parameter :: nGC_47 = 536
  integer, parameter :: nGC_40 = 537
  integer, parameter :: nGC_41 = 538
  integer, parameter :: nGC_42 = 539
  integer, parameter :: nGC_43 = 540
  integer, parameter :: nGC_32820 = 541
  integer, parameter :: nGC_21424 = 542
  integer, parameter :: nGC_21425 = 543
  integer, parameter :: nGC_21426 = 544
  integer, parameter :: nGC_21427 = 545
  integer, parameter :: nGC_21428 = 546
  integer, parameter :: nGC_21429 = 547
  integer, parameter :: nGC_32917 = 548
  integer, parameter :: nGC_3295 = 549
  integer, parameter :: nGC_5631 = 550
  integer, parameter :: nGC_TS_GC_348_Hh = 551
  integer, parameter :: nGC_311 = 552
  integer, parameter :: nGC_310 = 553
  integer, parameter :: nGC_313 = 554
  integer, parameter :: nGC_312 = 555
  integer, parameter :: nGC_315 = 556
  integer, parameter :: nGC_314 = 557
  integer, parameter :: nGC_317 = 558
  integer, parameter :: nGC_316 = 559
  integer, parameter :: nGC_319 = 560
  integer, parameter :: nGC_318 = 561
  integer, parameter :: nGC_21642 = 562
  integer, parameter :: nGC_21643 = 563
  integer, parameter :: nGC_20748 = 564
  integer, parameter :: nGC_20749 = 565
  integer, parameter :: nGC_307 = 566
  integer, parameter :: nGC_1825 = 567
  integer, parameter :: nGC_531 = 568
  integer, parameter :: nGC_533 = 569
  integer, parameter :: nGC_1845 = 570
  integer, parameter :: nGC_537 = 571
  integer, parameter :: nGC_21345 = 572
  integer, parameter :: nGC_304 = 573
  integer, parameter :: nGC_21347 = 574
  integer, parameter :: nGC_21346 = 575
  integer, parameter :: nGC_21341 = 576
  integer, parameter :: nGC_21340 = 577
  integer, parameter :: nGC_21343 = 578
  integer, parameter :: nGC_21342 = 579
  integer, parameter :: nGC_21349 = 580
  integer, parameter :: nGC_160 = 581
  integer, parameter :: nGC_TS_GC_234_Hl = 582
  integer, parameter :: nGC_37579 = 583
  integer, parameter :: nGC_181 = 584
  integer, parameter :: nGC_37577 = 585
  integer, parameter :: nGC_21239 = 586
  integer, parameter :: nGC_21238 = 587
  integer, parameter :: nGC_21231 = 588
  integer, parameter :: nGC_21230 = 589
  integer, parameter :: nGC_21233 = 590
  integer, parameter :: nGC_21232 = 591
  integer, parameter :: nGC_21235 = 592
  integer, parameter :: nGC_21237 = 593
  integer, parameter :: nGC_21236 = 594
  integer, parameter :: nGC_32594 = 595
  integer, parameter :: nGC_32591 = 596
  integer, parameter :: nGC_32593 = 597
  integer, parameter :: nGC_21202 = 598
  integer, parameter :: nGC_125 = 599
  integer, parameter :: nGC_34111 = 600
  integer, parameter :: nGC_33472 = 601
  integer, parameter :: nGC_TS_GC_172_Hl = 602
  integer, parameter :: nGC_22672 = 603
  integer, parameter :: nGC_22673 = 604
  integer, parameter :: nGC_33499 = 605
  integer, parameter :: nGC_22699 = 606
  integer, parameter :: nGC_33494 = 607
  integer, parameter :: nGC_36020 = 608
  integer, parameter :: nGC_33503 = 609
  integer, parameter :: nGC_22072 = 610
  integer, parameter :: nGC_22073 = 611
  integer, parameter :: nGC_22071 = 612
  integer, parameter :: nGC_21509 = 613
  integer, parameter :: nGC_21508 = 614
  integer, parameter :: nGC_21507 = 615
  integer, parameter :: nGC_21506 = 616
  integer, parameter :: nGC_21504 = 617
  integer, parameter :: nGC_39 = 618
  integer, parameter :: nGC_38 = 619
  integer, parameter :: nGC_31 = 620
  integer, parameter :: nGC_30 = 621
  integer, parameter :: nGC_33 = 622
  integer, parameter :: nGC_32 = 623
  integer, parameter :: nGC_35 = 624
  integer, parameter :: nGC_34 = 625
  integer, parameter :: nGC_37 = 626
  integer, parameter :: nGC_36 = 627
  integer, parameter :: nGC_33883 = 628
  integer, parameter :: nGC_20746 = 629
  integer, parameter :: nGC_20747 = 630
  integer, parameter :: nGC_21433 = 631
  integer, parameter :: nGC_21431 = 632
  integer, parameter :: nGC_21437 = 633
  integer, parameter :: nGC_21436 = 634
  integer, parameter :: nGC_21435 = 635
  integer, parameter :: nGC_21434 = 636
  integer, parameter :: nGC_21439 = 637
  integer, parameter :: nGC_21438 = 638
  integer, parameter :: nGC_21574 = 639
  integer, parameter :: nGC_21640 = 640
  integer, parameter :: nGC_21575 = 641
  integer, parameter :: nGC_32907 = 642
  integer, parameter :: nGC_21641 = 643
  integer, parameter :: nGC_21572 = 644
  integer, parameter :: nGC_21573 = 645
  integer, parameter :: nGC_22850 = 646
  integer, parameter :: nGC_22851 = 647
  integer, parameter :: nGC_22852 = 648
  integer, parameter :: nGC_22854 = 649
  integer, parameter :: nGC_22856 = 650
  integer, parameter :: nGC_22857 = 651
  integer, parameter :: nGC_22858 = 652
  integer, parameter :: nGC_22859 = 653
  integer, parameter :: nGC_20759 = 654
  integer, parameter :: nGC_20758 = 655
  integer, parameter :: nGC_33273 = 656
  integer, parameter :: nGC_20751 = 657
  integer, parameter :: nGC_20750 = 658
  integer, parameter :: nGC_20753 = 659
  integer, parameter :: nGC_20752 = 660
  integer, parameter :: nGC_20755 = 661
  integer, parameter :: nGC_20754 = 662
  integer, parameter :: nGC_20757 = 663
  integer, parameter :: nGC_21658 = 664
  integer, parameter :: nGC_328 = 665
  integer, parameter :: nGC_329 = 666
  integer, parameter :: nGC_324 = 667
  integer, parameter :: nGC_325 = 668
  integer, parameter :: nGC_326 = 669
  integer, parameter :: nGC_327 = 670
  integer, parameter :: nGC_320 = 671
  integer, parameter :: nGC_321 = 672
  integer, parameter :: nGC_322 = 673
  integer, parameter :: nGC_323 = 674
  integer, parameter :: nGC_539 = 675
  integer, parameter :: nGC_33189 = 676
  integer, parameter :: nGC_MTA = 677
  integer, parameter :: nGC_32458 = 678
  integer, parameter :: nGC_188 = 679
  integer, parameter :: nGC_189 = 680
  integer, parameter :: nGC_20917 = 681
  integer, parameter :: nGC_37505 = 682
  integer, parameter :: nGC_20915 = 683
  integer, parameter :: nGC_20914 = 684
  integer, parameter :: nGC_184 = 685
  integer, parameter :: nGC_20912 = 686
  integer, parameter :: nGC_186 = 687
  integer, parameter :: nGC_37503 = 688
  integer, parameter :: nGC_33104 = 689
  integer, parameter :: nGC_20772 = 690
  integer, parameter :: nGC_TS_GC_213_Hl = 691
  integer, parameter :: nGC_615 = 692
  integer, parameter :: nGC_535 = 693
  integer, parameter :: nGC_20771 = 694
  integer, parameter :: nGC_21240 = 695
  integer, parameter :: nGC_21241 = 696
  integer, parameter :: nGC_40339 = 697
  integer, parameter :: nGC_40338 = 698
  integer, parameter :: nGC_21088 = 699
  integer, parameter :: nGC_21089 = 700
  integer, parameter :: nGC_32581 = 701
  integer, parameter :: nGC_21344 = 702
  integer, parameter :: nGC_21082 = 703
  integer, parameter :: nGC_21083 = 704
  integer, parameter :: nGC_21080 = 705
  integer, parameter :: nGC_21081 = 706
  integer, parameter :: nGC_21086 = 707
  integer, parameter :: nGC_21087 = 708
  integer, parameter :: nGC_21084 = 709
  integer, parameter :: nGC_21085 = 710
  integer, parameter :: nGC_20770 = 711
  integer, parameter :: nGC_21882 = 712
  integer, parameter :: nGC_21883 = 713
  integer, parameter :: nGC_21880 = 714
  integer, parameter :: nGC_21881 = 715
  integer, parameter :: nGC_21886 = 716
  integer, parameter :: nGC_21887 = 717
  integer, parameter :: nGC_21884 = 718
  integer, parameter :: nGC_21885 = 719
  integer, parameter :: nGC_21888 = 720
  integer, parameter :: nGC_21889 = 721
  integer, parameter :: nGC_21348 = 722
  integer, parameter :: nGC_21394 = 723
  integer, parameter :: nGC_21395 = 724
  integer, parameter :: nGC_21392 = 725
  integer, parameter :: nGC_21393 = 726
  integer, parameter :: nGC_21390 = 727
  integer, parameter :: nGC_21391 = 728
  integer, parameter :: nGC_21868 = 729
  integer, parameter :: nGC_21869 = 730
  integer, parameter :: nGC_21860 = 731
  integer, parameter :: nGC_21861 = 732
  integer, parameter :: nGC_21862 = 733
  integer, parameter :: nGC_21863 = 734
  integer, parameter :: nGC_21864 = 735
  integer, parameter :: nGC_21865 = 736
  integer, parameter :: nGC_21866 = 737
  integer, parameter :: nGC_21867 = 738
  integer, parameter :: nGC_22728 = 739
  integer, parameter :: nGC_32123 = 740
  integer, parameter :: nGC_22667 = 741
  integer, parameter :: nGC_22666 = 742
  integer, parameter :: nGC_22665 = 743
  integer, parameter :: nGC_22664 = 744
  integer, parameter :: nGC_33513 = 745
  integer, parameter :: nGC_22719 = 746
  integer, parameter :: nGC_22711 = 747
  integer, parameter :: nGC_22710 = 748
  integer, parameter :: nGC_22717 = 749
  integer, parameter :: nGC_21840 = 750
  integer, parameter :: nGC_28 = 751
  integer, parameter :: nGC_29 = 752
  integer, parameter :: nGC_242 = 753
  integer, parameter :: nGC_22 = 754
  integer, parameter :: nGC_23 = 755
  integer, parameter :: nGC_20 = 756
  integer, parameter :: nGC_21 = 757
  integer, parameter :: nGC_26 = 758
  integer, parameter :: nGC_27 = 759
  integer, parameter :: nGC_24 = 760
  integer, parameter :: nGC_25 = 761
  integer, parameter :: nGC_32334 = 762
  integer, parameter :: nGC_32339 = 763
  integer, parameter :: nGC_21841 = 764
  integer, parameter :: nGC_34113 = 765
  integer, parameter :: nGC_2741 = 766
  integer, parameter :: nGC_240 = 767
  integer, parameter :: nGC_13 = 768
  integer, parameter :: nGC_TS_GC_235_Hh = 769
  integer, parameter :: nGC_22723 = 770
  integer, parameter :: nGC_32930 = 771
  integer, parameter :: nGC_22843 = 772
  integer, parameter :: nGC_22842 = 773
  integer, parameter :: nGC_22841 = 774
  integer, parameter :: nGC_22847 = 775
  integer, parameter :: nGC_22846 = 776
  integer, parameter :: nGC_22844 = 777
  integer, parameter :: nGC_21712 = 778
  integer, parameter :: nGC_21713 = 779
  integer, parameter :: nGC_22849 = 780
  integer, parameter :: nGC_21711 = 781
  integer, parameter :: nGC_21716 = 782
  integer, parameter :: nGC_21714 = 783
  integer, parameter :: nGC_21715 = 784
  integer, parameter :: nGC_34075 = 785
  integer, parameter :: nGC_34074 = 786
  integer, parameter :: nGC_44988 = 787
  integer, parameter :: nGC_44989 = 788
  integer, parameter :: nGC_33261 = 789
  integer, parameter :: nGC_33265 = 790
  integer, parameter :: nGC_20728 = 791
  integer, parameter :: nGC_20729 = 792
  integer, parameter :: nGC_20724 = 793
  integer, parameter :: nGC_20725 = 794
  integer, parameter :: nGC_20726 = 795
  integer, parameter :: nGC_20727 = 796
  integer, parameter :: nGC_20720 = 797
  integer, parameter :: nGC_20721 = 798
  integer, parameter :: nGC_20722 = 799
  integer, parameter :: nGC_20723 = 800
  integer, parameter :: nGC_33856 = 801
  integer, parameter :: nGC_TS_GC_32_Hl = 802
  integer, parameter :: nGC_338 = 803
  integer, parameter :: nGC_TS_GC_32_Hh = 804
  integer, parameter :: nGC_333 = 805
  integer, parameter :: nGC_332 = 806
  integer, parameter :: nGC_331 = 807
  integer, parameter :: nGC_330 = 808
  integer, parameter :: nGC_21662 = 809
  integer, parameter :: nGC_336 = 810
  integer, parameter :: nGC_21660 = 811
  integer, parameter :: nGC_334 = 812
  integer, parameter :: nGC_34411 = 813
  integer, parameter :: nGC_21330 = 814
  integer, parameter :: nGC_21263 = 815
  integer, parameter :: nGC_21234 = 816
  integer, parameter :: nGC_197 = 817
  integer, parameter :: nGC_196 = 818
  integer, parameter :: nGC_195 = 819
  integer, parameter :: nGC_194 = 820
  integer, parameter :: nGC_193 = 821
  integer, parameter :: nGC_192 = 822
  integer, parameter :: nGC_191 = 823
  integer, parameter :: nGC_190 = 824
  integer, parameter :: nGC_199 = 825
  integer, parameter :: nGC_198 = 826
  integer, parameter :: nGC_20927 = 827
  integer, parameter :: nGC_20928 = 828
  integer, parameter :: nGC_33103 = 829
  integer, parameter :: nGC_17 = 830
  integer, parameter :: nGC_609 = 831
  integer, parameter :: nGC_16 = 832
  integer, parameter :: nGC_607 = 833
  integer, parameter :: nGC_605 = 834
  integer, parameter :: nGC_603 = 835
  integer, parameter :: nGC_15 = 836
  integer, parameter :: nGC_601 = 837
  integer, parameter :: nGC_21259 = 838
  integer, parameter :: nGC_21258 = 839
  integer, parameter :: nGC_21257 = 840
  integer, parameter :: nGC_21256 = 841
  integer, parameter :: nGC_21255 = 842
  integer, parameter :: nGC_21254 = 843
  integer, parameter :: nGC_21253 = 844
  integer, parameter :: nGC_21252 = 845
  integer, parameter :: nGC_21251 = 846
  integer, parameter :: nGC_12 = 847
  integer, parameter :: nGC_33042 = 848
  integer, parameter :: nGC_21094 = 849
  integer, parameter :: nGC_21091 = 850
  integer, parameter :: nGC_21090 = 851
  integer, parameter :: nGC_21093 = 852
  integer, parameter :: nGC_40343 = 853
  integer, parameter :: nGC_513 = 854
  integer, parameter :: nGC_511 = 855
  integer, parameter :: nGC_103 = 856
  integer, parameter :: nGC_517 = 857
  integer, parameter :: nGC_515 = 858
  integer, parameter :: nGC_519 = 859
  integer, parameter :: nGC_105 = 860
  integer, parameter :: nGC_TS_GC_39_Hh = 861
  integer, parameter :: nGC_5123 = 862
  integer, parameter :: nGC_19 = 863
  integer, parameter :: nGC_18 = 864
  integer, parameter :: nGC_21897 = 865
  integer, parameter :: nGC_21891 = 866
  integer, parameter :: nGC_21890 = 867
  integer, parameter :: nGC_TS_GC_174_Hl = 868
  integer, parameter :: nGC_21899 = 869
  integer, parameter :: nGC_21898 = 870
  integer, parameter :: nGC_21381 = 871
  integer, parameter :: nGC_21380 = 872
  integer, parameter :: nGC_21385 = 873
  integer, parameter :: nGC_21384 = 874
  integer, parameter :: nGC_21387 = 875
  integer, parameter :: nGC_21386 = 876
  integer, parameter :: nGC_21389 = 877
  integer, parameter :: nGC_21388 = 878
  integer, parameter :: nGC_21200 = 879
  integer, parameter :: nGC_21879 = 880
  integer, parameter :: nGC_21878 = 881
  integer, parameter :: nGC_21873 = 882
  integer, parameter :: nGC_21872 = 883
  integer, parameter :: nGC_21871 = 884
  integer, parameter :: nGC_21870 = 885
  integer, parameter :: nGC_21877 = 886
  integer, parameter :: nGC_21876 = 887
  integer, parameter :: nGC_21875 = 888
  integer, parameter :: nGC_21753 = 889
  integer, parameter :: nGC_33450 = 890
  integer, parameter :: nGC_21750 = 891
  integer, parameter :: nGC_611 = 892
  integer, parameter :: nGC_21751 = 893
  integer, parameter :: nGC_22472 = 894
  integer, parameter :: nGC_22471 = 895
  integer, parameter :: nGC_32158 = 896
  integer, parameter :: nGC_22276 = 897
  integer, parameter :: nGC_22277 = 898
  integer, parameter :: nGC_22278 = 899
  integer, parameter :: nGC_22498 = 900
  integer, parameter :: nGC_32322 = 901
  integer, parameter :: nGC_22495 = 902
  integer, parameter :: nGC_22496 = 903
  integer, parameter :: nGC_21203 = 904
  integer, parameter :: nGC_36000 = 905
  integer, parameter :: nGC_21204 = 906
  integer, parameter :: nGC_21525 = 907
  integer, parameter :: nGC_21524 = 908
  integer, parameter :: nGC_21527 = 909
  integer, parameter :: nGC_14 = 910
  integer, parameter :: nGC_21521 = 911
  integer, parameter :: nGC_21520 = 912
  integer, parameter :: nGC_11 = 913
  integer, parameter :: nGC_10 = 914
  integer, parameter :: nGC_22726 = 915
  integer, parameter :: nGC_22727 = 916
  integer, parameter :: nGC_22724 = 917
  integer, parameter :: nGC_36792 = 918
  integer, parameter :: nGC_21528 = 919
  integer, parameter :: nGC_36790 = 920
  integer, parameter :: nGC_36791 = 921
  integer, parameter :: nGC_39143 = 922
  integer, parameter :: nGC_39140 = 923
  integer, parameter :: nGC_32328 = 924
  integer, parameter :: nGC_22658 = 925
  integer, parameter :: nGC_22650 = 926
  integer, parameter :: nGC_22657 = 927
  integer, parameter :: nGC_22655 = 928
  integer, parameter :: nGC_21207 = 929
  integer, parameter :: nGC_385 = 930
  integer, parameter :: nGC_21874 = 931
  integer, parameter :: nGC_21142 = 932
  integer, parameter :: nGC_32925 = 933
  integer, parameter :: nGC_22654 = 934
  integer, parameter :: nGC_33611 = 935
  integer, parameter :: nGC_3575 = 936
  integer, parameter :: nGC_TS_GC_245_Hh = 937
  integer, parameter :: nGC_41040 = 938
  integer, parameter :: nGC_21709 = 939
  integer, parameter :: nGC_21708 = 940
  integer, parameter :: nGC_21705 = 941
  integer, parameter :: nGC_21704 = 942
  integer, parameter :: nGC_21707 = 943
  integer, parameter :: nGC_21703 = 944
  integer, parameter :: nGC_21140 = 945
  integer, parameter :: nGC_38232 = 946
  integer, parameter :: nGC_32819 = 947
  integer, parameter :: nGC_35661 = 948
  integer, parameter :: nGC_20760 = 949
  integer, parameter :: nGC_38058 = 950
  integer, parameter :: nGC_20761 = 951
  integer, parameter :: nGC_21931 = 952
  integer, parameter :: nGC_20762 = 953
  integer, parameter :: nGC_20763 = 954
  integer, parameter :: nGC_20737 = 955
  integer, parameter :: nGC_20764 = 956
  integer, parameter :: nGC_20735 = 957
  integer, parameter :: nGC_TS_GC_44_Hh = 958
  integer, parameter :: nGC_20733 = 959
  integer, parameter :: nGC_20732 = 960
  integer, parameter :: nGC_20731 = 961
  integer, parameter :: nGC_372 = 962
  integer, parameter :: nGC_20766 = 963
  integer, parameter :: nGC_34643 = 964
  integer, parameter :: nGC_20767 = 965
  integer, parameter :: nGC_20769 = 966
  integer, parameter :: nGC_33321 = 967
  integer, parameter :: nGC_TS_GC_233_Hh = 968
  integer, parameter :: nGC_33323 = 969
  integer, parameter :: nGC_TS_GC_233_Hl = 970
  integer, parameter :: nGC_20937 = 971
  integer, parameter :: nGC_20936 = 972
  integer, parameter :: nGC_20931 = 973
  integer, parameter :: nGC_20930 = 974
  integer, parameter :: nGC_37524 = 975
  integer, parameter :: nGC_20932 = 976
  integer, parameter :: nGC_20939 = 977
  integer, parameter :: nGC_20938 = 978
  integer, parameter :: nGC_294 = 979
  integer, parameter :: nGC_295 = 980
  integer, parameter :: nGC_296 = 981
  integer, parameter :: nGC_180 = 982
  integer, parameter :: nGC_290 = 983
  integer, parameter :: nGC_291 = 984
  integer, parameter :: nGC_292 = 985
  integer, parameter :: nGC_293 = 986
  integer, parameter :: nGC_298 = 987
  integer, parameter :: nGC_299 = 988
  integer, parameter :: nGC_TS_GC_354_Hh = 989
  integer, parameter :: nGC_279 = 990
  integer, parameter :: nGC_21262 = 991
  integer, parameter :: nGC_21260 = 992
  integer, parameter :: nGC_21261 = 993
  integer, parameter :: nGC_21266 = 994
  integer, parameter :: nGC_21267 = 995
  integer, parameter :: nGC_TS_GC_329_Hl = 996
  integer, parameter :: nGC_21265 = 997
  integer, parameter :: nGC_21268 = 998
  integer, parameter :: nGC_21269 = 999
  integer, parameter :: nGC_51520 = 1000
  integer, parameter :: nGC_51521 = 1001
  integer, parameter :: nGC_33030 = 1002
  integer, parameter :: nGC_21922 = 1003
  integer, parameter :: nGC_33033 = 1004
  integer, parameter :: nGC_272 = 1005
  integer, parameter :: nGC_40355 = 1006
  integer, parameter :: nGC_40354 = 1007
  integer, parameter :: nGC_40353 = 1008
  integer, parameter :: nGC_33039 = 1009
  integer, parameter :: nGC_1833 = 1010
  integer, parameter :: nGC_35200 = 1011
  integer, parameter :: nGC_21148 = 1012
  integer, parameter :: nGC_TS_GC_19_Hh = 1013
  integer, parameter :: nGC_TS_GC_336_Hh = 1014
  integer, parameter :: nGC_44293 = 1015
  integer, parameter :: nGC_44294 = 1016
  integer, parameter :: nGC_44295 = 1017
  integer, parameter :: nGC_21849 = 1018
  integer, parameter :: nGC_21842 = 1019
  integer, parameter :: nGC_21843 = 1020
  integer, parameter :: nGC_551 = 1021
  integer, parameter :: nGC_41392 = 1022
  integer, parameter :: nGC_22263 = 1023
  integer, parameter :: nGC_22267 = 1024
  integer, parameter :: nGC_22265 = 1025
  integer, parameter :: nGC_21280 = 1026
  integer, parameter :: nGC_22269 = 1027
  integer, parameter :: nGC_187 = 1028
  integer, parameter :: nGC_22483 = 1029
  integer, parameter :: nGC_22482 = 1030
  integer, parameter :: nGC_22486 = 1031
  integer, parameter :: nGC_22485 = 1032
  integer, parameter :: nGC_22484 = 1033
  integer, parameter :: nGC_118 = 1034
  integer, parameter :: nGC_33843 = 1035
  integer, parameter :: nGC_22006 = 1036
  integer, parameter :: nGC_22004 = 1037
  integer, parameter :: nGC_22002 = 1038
  integer, parameter :: nGC_22000 = 1039
  integer, parameter :: nGC_22009 = 1040
  integer, parameter :: nGC_22733 = 1041
  integer, parameter :: nGC_22732 = 1042
  integer, parameter :: nGC_22735 = 1043
  integer, parameter :: nGC_22734 = 1044
  integer, parameter :: nGC_33397 = 1045
  integer, parameter :: nGC_20795 = 1046
  integer, parameter :: nGC_33396 = 1047
  integer, parameter :: nGC_22138 = 1048
  integer, parameter :: nGC_22649 = 1049
  integer, parameter :: nGC_22136 = 1050
  integer, parameter :: nGC_21706 = 1051
  integer, parameter :: nGC_20797 = 1052
  integer, parameter :: nGC_TS_GC_33_Hl = 1053
  integer, parameter :: nGC_TS_GC_33_Hh = 1054
  integer, parameter :: nGC_20796 = 1055
  integer, parameter :: nGC_3565 = 1056
  integer, parameter :: nGC_22860 = 1057
  integer, parameter :: nGC_22863 = 1058
  integer, parameter :: nGC_38681 = 1059
  integer, parameter :: nGC_22865 = 1060
  integer, parameter :: nGC_22864 = 1061
  integer, parameter :: nGC_21710 = 1062
  integer, parameter :: nGC_35873 = 1063
  integer, parameter :: nGC_35874 = 1064
  integer, parameter :: nGC_TS_GC_17_Hl = 1065
  integer, parameter :: nGC_TS_GC_17_Hh = 1066
  integer, parameter :: nGC_33206 = 1067
  integer, parameter :: nGC_20702 = 1068
  integer, parameter :: nGC_20703 = 1069
  integer, parameter :: nGC_20700 = 1070
  integer, parameter :: nGC_20701 = 1071
  integer, parameter :: nGC_20706 = 1072
  integer, parameter :: nGC_20707 = 1073
  integer, parameter :: nGC_4695 = 1074
  integer, parameter :: nGC_20705 = 1075
  integer, parameter :: nGC_20708 = 1076
  integer, parameter :: nGC_20709 = 1077
  integer, parameter :: nGC_20793 = 1078
  integer, parameter :: nGC_35896 = 1079
  integer, parameter :: nGC_21604 = 1080
  integer, parameter :: nGC_21605 = 1081
  integer, parameter :: nGC_21606 = 1082
  integer, parameter :: nGC_21601 = 1083
  integer, parameter :: nGC_21602 = 1084
  integer, parameter :: nGC_21603 = 1085
  integer, parameter :: nGC_TS_GC_272_Hh = 1086
  integer, parameter :: nGC_TS_GC_175_Hh = 1087
  integer, parameter :: nGC_40558 = 1088
  integer, parameter :: nGC_36021 = 1089
  integer, parameter :: nGC_36022 = 1090
  integer, parameter :: nGC_47249 = 1091
  integer, parameter :: nGC_35662 = 1092
  integer, parameter :: nGC_21118 = 1093
  integer, parameter :: nGC_21119 = 1094
  integer, parameter :: nGC_21110 = 1095
  integer, parameter :: nGC_21111 = 1096
  integer, parameter :: nGC_21113 = 1097
  integer, parameter :: nGC_21114 = 1098
  integer, parameter :: nGC_21116 = 1099
  integer, parameter :: nGC_21117 = 1100
  integer, parameter :: nGC_283 = 1101
  integer, parameter :: nGC_282 = 1102
  integer, parameter :: nGC_281 = 1103
  integer, parameter :: nGC_280 = 1104
  integer, parameter :: nGC_287 = 1105
  integer, parameter :: nGC_286 = 1106
  integer, parameter :: nGC_285 = 1107
  integer, parameter :: nGC_284 = 1108
  integer, parameter :: nGC_289 = 1109
  integer, parameter :: nGC_288 = 1110
  integer, parameter :: nGC_32796 = 1111
  integer, parameter :: nGC_TS_GC_366_Hh = 1112
  integer, parameter :: nGC_32799 = 1113
  integer, parameter :: nGC_32597 = 1114
  integer, parameter :: nGC_21275 = 1115
  integer, parameter :: nGC_21274 = 1116
  integer, parameter :: nGC_21277 = 1117
  integer, parameter :: nGC_21271 = 1118
  integer, parameter :: nGC_21270 = 1119
  integer, parameter :: nGC_21273 = 1120
  integer, parameter :: nGC_21272 = 1121
  integer, parameter :: nGC_21279 = 1122
  integer, parameter :: nGC_21278 = 1123
  integer, parameter :: nGC_21071 = 1124
  integer, parameter :: nGC_21070 = 1125
  integer, parameter :: nGC_21077 = 1126
  integer, parameter :: nGC_21076 = 1127
  integer, parameter :: nGC_21075 = 1128
  integer, parameter :: nGC_21074 = 1129
  integer, parameter :: nGC_21079 = 1130
  integer, parameter :: nGC_21078 = 1131
  integer, parameter :: nGC_20890 = 1132
  integer, parameter :: nGC_21213 = 1133
  integer, parameter :: nGC_21211 = 1134
  integer, parameter :: nGC_21210 = 1135
  integer, parameter :: nGC_21217 = 1136
  integer, parameter :: nGC_21216 = 1137
  integer, parameter :: nGC_33159 = 1138
  integer, parameter :: nGC_21215 = 1139
  integer, parameter :: nGC_21851 = 1140
  integer, parameter :: nGC_21850 = 1141
  integer, parameter :: nGC_21853 = 1142
  integer, parameter :: nGC_21852 = 1143
  integer, parameter :: nGC_21855 = 1144
  integer, parameter :: nGC_21854 = 1145
  integer, parameter :: nGC_21857 = 1146
  integer, parameter :: nGC_21856 = 1147
  integer, parameter :: nGC_21859 = 1148
  integer, parameter :: nGC_21858 = 1149
  integer, parameter :: nGC_20736 = 1150
  integer, parameter :: nGC_TS_GC_45_Hl = 1151
  integer, parameter :: nGC_20734 = 1152
  integer, parameter :: nGC_41387 = 1153
  integer, parameter :: nGC_32772 = 1154
  integer, parameter :: nGC_41388 = 1155
  integer, parameter :: nGC_22254 = 1156
  integer, parameter :: nGC_21293 = 1157
  integer, parameter :: nGC_44068 = 1158
  integer, parameter :: nGC_20730 = 1159
  integer, parameter :: nGC_21505 = 1160
  integer, parameter :: nGC_21295 = 1161
  integer, parameter :: nGC_21778 = 1162
  integer, parameter :: nGC_22703 = 1163
  integer, parameter :: nGC_21779 = 1164
  integer, parameter :: nGC_21503 = 1165
  integer, parameter :: nGC_21501 = 1166
  integer, parameter :: nGC_42937 = 1167
  integer, parameter :: nGC_224 = 1168
  integer, parameter :: nGC_21770 = 1169
  integer, parameter :: nGC_21771 = 1170
  integer, parameter :: nGC_32309 = 1171
  integer, parameter :: nGC_32301 = 1172
  integer, parameter :: nGC_32303 = 1173
  integer, parameter :: nGC_22107 = 1174
  integer, parameter :: nGC_22103 = 1175
  integer, parameter :: nGC_21479 = 1176
  integer, parameter :: nGC_21478 = 1177
  integer, parameter :: nGC_21477 = 1178
  integer, parameter :: nGC_21476 = 1179
  integer, parameter :: nGC_20782 = 1180
  integer, parameter :: nGC_20780 = 1181
  integer, parameter :: nGC_TS_GC_43_Hh = 1182
  integer, parameter :: nGC_2313 = 1183
  integer, parameter :: nGC_34225 = 1184
  integer, parameter :: nGC_35313 = 1185
  integer, parameter :: nGC_20715 = 1186
  integer, parameter :: nGC_20714 = 1187
  integer, parameter :: nGC_20717 = 1188
  integer, parameter :: nGC_20716 = 1189
  integer, parameter :: nGC_20711 = 1190
  integer, parameter :: nGC_20710 = 1191
  integer, parameter :: nGC_20713 = 1192
  integer, parameter :: nGC_20712 = 1193
  integer, parameter :: nGC_20719 = 1194
  integer, parameter :: nGC_20718 = 1195
  integer, parameter :: nGC_21617 = 1196
  integer, parameter :: nGC_21616 = 1197
  integer, parameter :: nGC_21615 = 1198
  integer, parameter :: nGC_21614 = 1199
  integer, parameter :: nGC_21613 = 1200
  integer, parameter :: nGC_21618 = 1201
  integer, parameter :: nGC_382 = 1202
  integer, parameter :: nGC_383 = 1203
  integer, parameter :: nGC_380 = 1204
  integer, parameter :: nGC_381 = 1205
  integer, parameter :: nGC_386 = 1206
  integer, parameter :: nGC_43221 = 1207
  integer, parameter :: nGC_384 = 1208
  integer, parameter :: nGC_33401 = 1209
  integer, parameter :: nGC_32765 = 1210
  integer, parameter :: nGC_32540 = 1211
  integer, parameter :: nGC_21109 = 1212
  integer, parameter :: nGC_21108 = 1213
  integer, parameter :: nGC_21103 = 1214
  integer, parameter :: nGC_21107 = 1215
  integer, parameter :: nGC_21106 = 1216
  integer, parameter :: nGC_21105 = 1217
  integer, parameter :: nGC_21104 = 1218
  integer, parameter :: nGC_278 = 1219
  integer, parameter :: nGC_34353 = 1220
  integer, parameter :: nGC_276 = 1221
  integer, parameter :: nGC_277 = 1222
  integer, parameter :: nGC_274 = 1223
  integer, parameter :: nGC_275 = 1224
  integer, parameter :: nGC_273 = 1225
  integer, parameter :: nGC_270 = 1226
  integer, parameter :: nGC_271 = 1227
  integer, parameter :: nGC_37830 = 1228
  integer, parameter :: nGC_MZ_GF = 1229
  integer, parameter :: nGC_20934 = 1230
  integer, parameter :: nGC_20788 = 1231
  integer, parameter :: nGC_20789 = 1232
  integer, parameter :: nGC_33012 = 1233
  integer, parameter :: nGC_20838 = 1234
  integer, parameter :: nGC_20839 = 1235
  integer, parameter :: nGC_20933 = 1236
  integer, parameter :: nGC_21432 = 1237
  integer, parameter :: nGC_593 = 1238
  integer, parameter :: nGC_21430 = 1239
  integer, parameter :: nGC_20889 = 1240
  integer, parameter :: nGC_20888 = 1241
  integer, parameter :: nGC_20783 = 1242
  integer, parameter :: nGC_20885 = 1243
  integer, parameter :: nGC_20884 = 1244
  integer, parameter :: nGC_20887 = 1245
  integer, parameter :: nGC_20886 = 1246
  integer, parameter :: nGC_20881 = 1247
  integer, parameter :: nGC_591 = 1248
  integer, parameter :: nGC_20883 = 1249
  integer, parameter :: nGC_20882 = 1250
  integer, parameter :: nGC_20781 = 1251
  integer, parameter :: nGC_20786 = 1252
  integer, parameter :: nGC_20831 = 1253
  integer, parameter :: nGC_20784 = 1254
  integer, parameter :: nGC_21092 = 1255
  integer, parameter :: nGC_20785 = 1256
  integer, parameter :: nGC_126 = 1257
  integer, parameter :: nGC_127 = 1258
  integer, parameter :: nGC_124 = 1259
  integer, parameter :: nGC_297 = 1260
  integer, parameter :: nGC_122 = 1261
  integer, parameter :: nGC_123 = 1262
  integer, parameter :: nGC_120 = 1263
  integer, parameter :: nGC_121 = 1264
  integer, parameter :: nGC_128 = 1265
  integer, parameter :: nGC_129 = 1266
  integer, parameter :: nGC_TS_GC_180_Hl = 1267
  integer, parameter :: nGC_TS_GC_180_Hh = 1268
  integer, parameter :: nGC_21828 = 1269
  integer, parameter :: nGC_21829 = 1270
  integer, parameter :: nGC_MMW_GF = 1271
  integer, parameter :: nGC_32167 = 1272
  integer, parameter :: nGC_32161 = 1273
  integer, parameter :: nGC_22243 = 1274
  integer, parameter :: nGC_22246 = 1275
  integer, parameter :: nGC_21910 = 1276
  integer, parameter :: nGC_21911 = 1277
  integer, parameter :: nGC_21912 = 1278
  integer, parameter :: nGC_21913 = 1279
  integer, parameter :: nGC_21917 = 1280
  integer, parameter :: nGC_21918 = 1281
  integer, parameter :: nGC_21919 = 1282
  integer, parameter :: nGC_TS_GC_16_Hh = 1283
  integer, parameter :: nGC_TS_GC_16_Hl = 1284
  integer, parameter :: nGC_I = 1285
  integer, parameter :: nGC_33614 = 1286
  integer, parameter :: nGC_33825 = 1287
  integer, parameter :: nGC_33824 = 1288
  integer, parameter :: nGC_579 = 1289
  integer, parameter :: nGC_TS_GC_62_Hl = 1290
  integer, parameter :: nGC_TS_GC_62_Hh = 1291
  integer, parameter :: nGC_40361 = 1292
  integer, parameter :: nGC_41842 = 1293
  integer, parameter :: nGC_41848 = 1294
  integer, parameter :: nGC_3 = 1295
  integer, parameter :: nGC_2 = 1296
  integer, parameter :: nGC_1 = 1297
  integer, parameter :: nGC_7 = 1298
  integer, parameter :: nGC_6 = 1299
  integer, parameter :: nGC_5 = 1300
  integer, parameter :: nGC_32407 = 1301
  integer, parameter :: nGC_9 = 1302
  integer, parameter :: nGC_8 = 1303
  integer, parameter :: nGC_1219 = 1304
  integer, parameter :: nGC_36472 = 1305
  integer, parameter :: nGC_22113 = 1306
  integer, parameter :: nGC_22115 = 1307
  integer, parameter :: nGC_33826 = 1308
  integer, parameter :: nGC_22119 = 1309
  integer, parameter :: nGC_36478 = 1310
  integer, parameter :: nGC_21442 = 1311
  integer, parameter :: nGC_21443 = 1312
  integer, parameter :: nGC_21440 = 1313
  integer, parameter :: nGC_21264 = 1314
  integer, parameter :: nGC_TS_GC_34_Hl = 1315
  integer, parameter :: nGC_32970 = 1316
  integer, parameter :: nGC_32971 = 1317
  integer, parameter :: nGC_32976 = 1318
  integer, parameter :: nGC_32206 = 1319
  integer, parameter :: nGC_35527 = 1320
  integer, parameter :: nGC_35528 = 1321
  integer, parameter :: nGC_35529 = 1322
  integer, parameter :: nGC_21307 = 1323
  integer, parameter :: nGC_2145 = 1324
  integer, parameter :: nGC_21306 = 1325
  integer, parameter :: nGC_36218 = 1326
  integer, parameter :: nGC_32999 = 1327
  integer, parameter :: nGC_48588 = 1328
  integer, parameter :: nGC_48589 = 1329
  integer, parameter :: nGC_38268 = 1330
  integer, parameter :: nGC_21066 = 1331
  integer, parameter :: nGC_20935 = 1332
  integer, parameter :: nGC_22853 = 1333
  integer, parameter :: nGC_36859 = 1334
  integer, parameter :: nGC_36503 = 1335
  integer, parameter :: nGC_22855 = 1336
  integer, parameter :: nGC_33223 = 1337
  integer, parameter :: nGC_33222 = 1338
  integer, parameter :: nGC_TS_GC_36_Hh = 1339
  integer, parameter :: nGC_TS_GC_36_Hl = 1340
  integer, parameter :: nGC_40352 = 1341
  integer, parameter :: nGC_21629 = 1342
  integer, parameter :: nGC_39842 = 1343
  integer, parameter :: nGC_39841 = 1344
  integer, parameter :: nGC_39840 = 1345
  integer, parameter :: nGC_20940 = 1346
  integer, parameter :: nGC_20941 = 1347
  integer, parameter :: nGC_22619 = 1348
  integer, parameter :: nGC_34690 = 1349
  integer, parameter :: nGC_38460 = 1350
  integer, parameter :: nGC_32690 = 1351
  integer, parameter :: nGC_TS_GC_372_Hh = 1352
  integer, parameter :: nGC_20948 = 1353
  integer, parameter :: nGC_3051 = 1354
  integer, parameter :: nGC_20949 = 1355
  integer, parameter :: nGC_21138 = 1356
  integer, parameter :: nGC_21139 = 1357
  integer, parameter :: nGC_21134 = 1358
  integer, parameter :: nGC_21135 = 1359
  integer, parameter :: nGC_21132 = 1360
  integer, parameter :: nGC_21133 = 1361
  integer, parameter :: nGC_21130 = 1362
  integer, parameter :: nGC_21131 = 1363
  integer, parameter :: nGC_269 = 1364
  integer, parameter :: nGC_268 = 1365
  integer, parameter :: nGC_265 = 1366
  integer, parameter :: nGC_264 = 1367
  integer, parameter :: nGC_267 = 1368
  integer, parameter :: nGC_266 = 1369
  integer, parameter :: nGC_261 = 1370
  integer, parameter :: nGC_260 = 1371
  integer, parameter :: nGC_263 = 1372
  integer, parameter :: nGC_262 = 1373
  integer, parameter :: nGC_20987 = 1374
  integer, parameter :: nGC_20980 = 1375
  integer, parameter :: nGC_20981 = 1376
  integer, parameter :: nGC_20988 = 1377
  integer, parameter :: nGC_20989 = 1378
  integer, parameter :: nGC_33009 = 1379
  integer, parameter :: nGC_34907 = 1380
  integer, parameter :: nGC_21053 = 1381
  integer, parameter :: nGC_21055 = 1382
  integer, parameter :: nGC_21054 = 1383
  integer, parameter :: nGC_20870 = 1384
  integer, parameter :: nGC_20871 = 1385
  integer, parameter :: nGC_20872 = 1386
  integer, parameter :: nGC_20873 = 1387
  integer, parameter :: nGC_20874 = 1388
  integer, parameter :: nGC_20875 = 1389
  integer, parameter :: nGC_20876 = 1390
  integer, parameter :: nGC_20877 = 1391
  integer, parameter :: nGC_20878 = 1392
  integer, parameter :: nGC_32684 = 1393
  integer, parameter :: nGC_32685 = 1394
  integer, parameter :: nGC_32686 = 1395
  integer, parameter :: nGC_32687 = 1396
  integer, parameter :: nGC_32680 = 1397
  integer, parameter :: nGC_TS_GC_214_Hh = 1398
  integer, parameter :: nGC_1773 = 1399
  integer, parameter :: nGC_33173 = 1400
  integer, parameter :: nGC_4 = 1401
  integer, parameter :: nGC_135 = 1402
  integer, parameter :: nGC_134 = 1403
  integer, parameter :: nGC_137 = 1404
  integer, parameter :: nGC_136 = 1405
  integer, parameter :: nGC_131 = 1406
  integer, parameter :: nGC_130 = 1407
  integer, parameter :: nGC_133 = 1408
  integer, parameter :: nGC_132 = 1409
  integer, parameter :: nGC_139 = 1410
  integer, parameter :: nGC_138 = 1411
  integer, parameter :: nGC_21836 = 1412
  integer, parameter :: nGC_21835 = 1413
  integer, parameter :: nGC_21834 = 1414
  integer, parameter :: nGC_21833 = 1415
  integer, parameter :: nGC_21832 = 1416
  integer, parameter :: nGC_21831 = 1417
  integer, parameter :: nGC_21830 = 1418
  integer, parameter :: nGC_32191 = 1419
  integer, parameter :: nGC_32194 = 1420
  integer, parameter :: nGC_32198 = 1421
  integer, parameter :: nGC_TS_GC_23_Hh = 1422
  integer, parameter :: nGC_20805 = 1423
  integer, parameter :: nGC_41039 = 1424
  integer, parameter :: nGC_22238 = 1425
  integer, parameter :: nGC_22239 = 1426
  integer, parameter :: nGC_22234 = 1427
  integer, parameter :: nGC_22235 = 1428
  integer, parameter :: nGC_22236 = 1429
  integer, parameter :: nGC_22237 = 1430
  integer, parameter :: nGC_22230 = 1431
  integer, parameter :: nGC_22231 = 1432
  integer, parameter :: nGC_22233 = 1433
  integer, parameter :: nGC_21112 = 1434
  integer, parameter :: nGC_TS_GC_46_Hh = 1435
  integer, parameter :: nGC_TS_GC_46_Hl = 1436
  integer, parameter :: nGC_22117 = 1437
  integer, parameter :: nGC_33569 = 1438
  integer, parameter :: nGC_22582 = 1439
  integer, parameter :: nGC_22580 = 1440
  integer, parameter :: nGC_22053 = 1441
  integer, parameter :: nGC_22586 = 1442
  integer, parameter :: nGC_22584 = 1443
  integer, parameter :: nGC_22585 = 1444
  integer, parameter :: nGC_22054 = 1445
  integer, parameter :: nGC_22588 = 1446
  integer, parameter :: nGC_22589 = 1447
  integer, parameter :: nGC_21458 = 1448
  integer, parameter :: nGC_21526 = 1449
  integer, parameter :: nGC_22057 = 1450
  integer, parameter :: nGC_22568 = 1451
  integer, parameter :: nGC_22560 = 1452
  integer, parameter :: nGC_22561 = 1453
  integer, parameter :: nGC_22562 = 1454
  integer, parameter :: nGC_22563 = 1455
  integer, parameter :: nGC_22564 = 1456
  integer, parameter :: nGC_36699 = 1457
  integer, parameter :: nGC_22567 = 1458
  integer, parameter :: nGC_37867 = 1459
  integer, parameter :: nGC_21441 = 1460
  integer, parameter :: nGC_20801 = 1461
  integer, parameter :: nGC_21496 = 1462
  integer, parameter :: nGC_22164 = 1463
  integer, parameter :: nGC_22167 = 1464
  integer, parameter :: nGC_22693 = 1465
  integer, parameter :: nGC_22162 = 1466
  integer, parameter :: nGC_20756 = 1467
  integer, parameter :: nGC_22169 = 1468
  integer, parameter :: nGC_22698 = 1469
  integer, parameter :: nGC_33969 = 1470
  integer, parameter :: nGC_247 = 1471
  integer, parameter :: nGC_21457 = 1472
  integer, parameter :: nGC_246 = 1473
  integer, parameter :: nGC_21459 = 1474
  integer, parameter :: nGC_21659 = 1475
  integer, parameter :: nGC_21564 = 1476
  integer, parameter :: nGC_20803 = 1477
  integer, parameter :: nGC_21523 = 1478
  integer, parameter :: nGC_244 = 1479
  integer, parameter :: nGC_243 = 1480
  integer, parameter :: nGC_38892 = 1481
  integer, parameter :: nGC_35532 = 1482
  integer, parameter :: nGC_35530 = 1483
  integer, parameter :: nGC_241 = 1484
  integer, parameter :: nGC_32969 = 1485
  integer, parameter :: nGC_20802 = 1486
  integer, parameter :: nGC_21522 = 1487
  integer, parameter :: nGC_1007 = 1488
  integer, parameter :: nGC_TS_GC_351_Hl = 1489
  integer, parameter :: nGC_33583 = 1490
  integer, parameter :: nGC_33585 = 1491
  integer, parameter :: nGC_56 = 1492
  integer, parameter :: nGC_32982 = 1493
  integer, parameter :: nGC_38679 = 1494
  integer, parameter :: nGC_32987 = 1495
  integer, parameter :: nGC_21656 = 1496
  integer, parameter :: nGC_20690 = 1497
  integer, parameter :: nGC_20691 = 1498
  integer, parameter :: nGC_20692 = 1499
  integer, parameter :: nGC_20693 = 1500
  integer, parameter :: nGC_20694 = 1501
  integer, parameter :: nGC_20695 = 1502
  integer, parameter :: nGC_20696 = 1503
  integer, parameter :: nGC_21654 = 1504
  integer, parameter :: nGC_21587 = 1505
  integer, parameter :: nGC_35333 = 1506
  integer, parameter :: nGC_21589 = 1507
  integer, parameter :: nGC_21588 = 1508
  integer, parameter :: nGC_21639 = 1509
  integer, parameter :: nGC_21638 = 1510
  integer, parameter :: nGC_21635 = 1511
  integer, parameter :: nGC_21634 = 1512
  integer, parameter :: nGC_21637 = 1513
  integer, parameter :: nGC_21636 = 1514
  integer, parameter :: nGC_21631 = 1515
  integer, parameter :: nGC_21630 = 1516
  integer, parameter :: nGC_21633 = 1517
  integer, parameter :: nGC_21632 = 1518
  integer, parameter :: nGC_43175 = 1519
  integer, parameter :: nGC_33970 = 1520
  integer, parameter :: nGC_34114 = 1521
  integer, parameter :: nGC_34115 = 1522
  integer, parameter :: nGC_34112 = 1523
  integer, parameter :: nGC_TS_GC_243_Hl = 1524
  integer, parameter :: nGC_34110 = 1525
  integer, parameter :: nGC_32209 = 1526
  integer, parameter :: nGC_48590 = 1527
  integer, parameter :: nGC_48595 = 1528
  integer, parameter :: nGC_48596 = 1529
  integer, parameter :: nGC_33366 = 1530
  integer, parameter :: nGC_33361 = 1531
  integer, parameter :: nGC_40557 = 1532
  integer, parameter :: nGC_21661 = 1533
  integer, parameter :: nGC_21121 = 1534
  integer, parameter :: nGC_21120 = 1535
  integer, parameter :: nGC_21123 = 1536
  integer, parameter :: nGC_21122 = 1537
  integer, parameter :: nGC_21125 = 1538
  integer, parameter :: nGC_21124 = 1539
  integer, parameter :: nGC_21127 = 1540
  integer, parameter :: nGC_21126 = 1541
  integer, parameter :: nGC_21129 = 1542
  integer, parameter :: nGC_21128 = 1543
  integer, parameter :: nGC_258 = 1544
  integer, parameter :: nGC_259 = 1545
  integer, parameter :: nGC_250 = 1546
  integer, parameter :: nGC_251 = 1547
  integer, parameter :: nGC_252 = 1548
  integer, parameter :: nGC_253 = 1549
  integer, parameter :: nGC_254 = 1550
  integer, parameter :: nGC_255 = 1551
  integer, parameter :: nGC_256 = 1552
  integer, parameter :: nGC_257 = 1553
  integer, parameter :: nGC_20997 = 1554
  integer, parameter :: nGC_20996 = 1555
  integer, parameter :: nGC_20995 = 1556
  integer, parameter :: nGC_20994 = 1557
  integer, parameter :: nGC_20993 = 1558
  integer, parameter :: nGC_20992 = 1559
  integer, parameter :: nGC_20991 = 1560
  integer, parameter :: nGC_20990 = 1561
  integer, parameter :: nGC_20999 = 1562
  integer, parameter :: nGC_20998 = 1563
  integer, parameter :: nGC_41393 = 1564
  integer, parameter :: nGC_21028 = 1565
  integer, parameter :: nGC_21029 = 1566
  integer, parameter :: nGC_21024 = 1567
  integer, parameter :: nGC_21025 = 1568
  integer, parameter :: nGC_21026 = 1569
  integer, parameter :: nGC_21027 = 1570
  integer, parameter :: nGC_21021 = 1571
  integer, parameter :: nGC_21022 = 1572
  integer, parameter :: nGC_21023 = 1573
  integer, parameter :: nGC_41396 = 1574
  integer, parameter :: nGC_20863 = 1575
  integer, parameter :: nGC_20862 = 1576
  integer, parameter :: nGC_20861 = 1577
  integer, parameter :: nGC_20860 = 1578
  integer, parameter :: nGC_20867 = 1579
  integer, parameter :: nGC_20866 = 1580
  integer, parameter :: nGC_20865 = 1581
  integer, parameter :: nGC_20864 = 1582
  integer, parameter :: nGC_21115 = 1583
  integer, parameter :: nGC_20869 = 1584
  integer, parameter :: nGC_20868 = 1585
  integer, parameter :: nGC_22364 = 1586
  integer, parameter :: nGC_48587 = 1587
  integer, parameter :: nGC_32692 = 1588
  integer, parameter :: nGC_32691 = 1589
  integer, parameter :: nGC_32663 = 1590
  integer, parameter :: nGC_TS_GC_63_Hh = 1591
  integer, parameter :: nGC_TS_GC_63_Hl = 1592
  integer, parameter :: nGC_21331 = 1593
  integer, parameter :: nGC_21332 = 1594
  integer, parameter :: nGC_21333 = 1595
  integer, parameter :: nGC_21334 = 1596
  integer, parameter :: nGC_21335 = 1597
  integer, parameter :: nGC_21336 = 1598
  integer, parameter :: nGC_21337 = 1599
  integer, parameter :: nGC_21338 = 1600
  integer, parameter :: nGC_21339 = 1601
  integer, parameter :: nGC_100 = 1602
  integer, parameter :: nGC_101 = 1603
  integer, parameter :: nGC_47299 = 1604
  integer, parameter :: nGC_47298 = 1605
  integer, parameter :: nGC_104 = 1606
  integer, parameter :: nGC_21754 = 1607
  integer, parameter :: nGC_106 = 1608
  integer, parameter :: nGC_107 = 1609
  integer, parameter :: nGC_108 = 1610
  integer, parameter :: nGC_109 = 1611
  integer, parameter :: nGC_11213 = 1612
  integer, parameter :: nGC_47297 = 1613
  integer, parameter :: nGC_11215 = 1614
  integer, parameter :: nGC_37129 = 1615
  integer, parameter :: nGC_21692 = 1616
  integer, parameter :: nGC_40241 = 1617
  integer, parameter :: nGC_32189 = 1618
  integer, parameter :: nGC_33618 = 1619
  integer, parameter :: nGC_32743 = 1620
  integer, parameter :: nGC_22228 = 1621
  integer, parameter :: nGC_22225 = 1622
  integer, parameter :: nGC_339 = 1623
  integer, parameter :: nGC_22223 = 1624
  integer, parameter :: nGC_22222 = 1625
  integer, parameter :: nGC_21936 = 1626
  integer, parameter :: nGC_21937 = 1627
  integer, parameter :: nGC_21934 = 1628
  integer, parameter :: nGC_21935 = 1629
  integer, parameter :: nGC_21932 = 1630
  integer, parameter :: nGC_21933 = 1631
  integer, parameter :: nGC_20916 = 1632
  integer, parameter :: nGC_182 = 1633
  integer, parameter :: nGC_21938 = 1634
  integer, parameter :: nGC_21939 = 1635
  integer, parameter :: nGC_TS_GC_242_Hl = 1636
  integer, parameter :: nGC_183 = 1637
  integer, parameter :: nGC_20913 = 1638
  integer, parameter :: nGC_20812 = 1639
  integer, parameter :: nGC_185 = 1640
  integer, parameter :: nGC_46250 = 1641
  integer, parameter :: nGC_37502 = 1642
  integer, parameter :: nGC_TS_GC_48_Hh = 1643
  integer, parameter :: nGC_TS_GC_357_Hl = 1644
  integer, parameter :: nGC_20929 = 1645
  integer, parameter :: nGC_22595 = 1646
  integer, parameter :: nGC_22597 = 1647
  integer, parameter :: nGC_22596 = 1648
  integer, parameter :: nGC_22591 = 1649
  integer, parameter :: nGC_22590 = 1650
  integer, parameter :: nGC_22593 = 1651
  integer, parameter :: nGC_22592 = 1652
  integer, parameter :: nGC_20813 = 1653
  integer, parameter :: nGC_22599 = 1654
  integer, parameter :: nGC_22598 = 1655
  integer, parameter :: nGC_21808 = 1656
  integer, parameter :: nGC_21809 = 1657
  integer, parameter :: nGC_22356 = 1658
  integer, parameter :: nGC_22355 = 1659
  integer, parameter :: nGC_21802 = 1660
  integer, parameter :: nGC_21803 = 1661
  integer, parameter :: nGC_22359 = 1662
  integer, parameter :: nGC_21801 = 1663
  integer, parameter :: nGC_21806 = 1664
  integer, parameter :: nGC_21807 = 1665
  integer, parameter :: nGC_21804 = 1666
  integer, parameter :: nGC_21805 = 1667
  integer, parameter :: nGC_22579 = 1668
  integer, parameter :: nGC_22578 = 1669
  integer, parameter :: nGC_20810 = 1670
  integer, parameter :: nGC_22573 = 1671
  integer, parameter :: nGC_22572 = 1672
  integer, parameter :: nGC_22571 = 1673
  integer, parameter :: nGC_22570 = 1674
  integer, parameter :: nGC_22577 = 1675
  integer, parameter :: nGC_22576 = 1676
  integer, parameter :: nGC_22575 = 1677
  integer, parameter :: nGC_32352 = 1678
  integer, parameter :: nGC_32353 = 1679
  integer, parameter :: nGC_32356 = 1680
  integer, parameter :: nGC_32354 = 1681
  integer, parameter :: nGC_32355 = 1682
  integer, parameter :: nGC_21590 = 1683
  integer, parameter :: nGC_21591 = 1684
  integer, parameter :: nGC_22689 = 1685
  integer, parameter :: nGC_22688 = 1686
  integer, parameter :: nGC_20811 = 1687
  integer, parameter :: nGC_22681 = 1688
  integer, parameter :: nGC_22680 = 1689
  integer, parameter :: nGC_22683 = 1690
  integer, parameter :: nGC_22682 = 1691
  integer, parameter :: nGC_22685 = 1692
  integer, parameter :: nGC_22684 = 1693
  integer, parameter :: nGC_22686 = 1694
  integer, parameter :: nGC_22175 = 1695
  integer, parameter :: nGC_22174 = 1696
  integer, parameter :: nGC_22173 = 1697
  integer, parameter :: nGC_22171 = 1698
  integer, parameter :: nGC_21560 = 1699
  integer, parameter :: nGC_2523 = 1700
  integer, parameter :: nGC_20816 = 1701
  integer, parameter :: nGC_2525 = 1702
  integer, parameter :: nGC_20817 = 1703
  integer, parameter :: nGC_32222 = 1704
  integer, parameter :: nGC_32221 = 1705
  integer, parameter :: nGC_33495 = 1706
  integer, parameter :: nGC_33599 = 1707
  integer, parameter :: nGC_20814 = 1708
  integer, parameter :: nGC_48053 = 1709
  integer, parameter :: nGC_20683 = 1710
  integer, parameter :: nGC_34587 = 1711
  integer, parameter :: nGC_20687 = 1712
  integer, parameter :: nGC_20686 = 1713
  integer, parameter :: nGC_20685 = 1714
  integer, parameter :: nGC_20684 = 1715
  integer, parameter :: nGC_20689 = 1716
  integer, parameter :: nGC_20688 = 1717
  integer, parameter :: nGC_20815 = 1718
  integer, parameter :: nGC_TS_GC_178_Hh = 1719
  integer, parameter :: nGC_34216 = 1720
  integer, parameter :: nGC_34747 = 1721
  integer, parameter :: nGC_TS_GC_178_Hl = 1722
  integer, parameter :: nGC_34744 = 1723
  integer, parameter :: nGC_39609 = 1724
  integer, parameter :: nGC_36504 = 1725
  integer, parameter :: nGC_20822 = 1726
  integer, parameter :: nGC_3695 = 1727
  integer, parameter :: nGC_7349 = 1728
  integer, parameter :: nGC_TS_GC_35_Hl = 1729
  integer, parameter :: nGC_TS_GC_35_Hh = 1730
  integer, parameter :: nGC_21657 = 1731
  integer, parameter :: nGC_21480 = 1732
  integer, parameter :: nGC_21974 = 1733
  integer, parameter :: nGC_35989 = 1734
  integer, parameter :: nGC_50771 = 1735
  integer, parameter :: nGC_38732 = 1736
  integer, parameter :: nGC_33114 = 1737
  integer, parameter :: nGC_37869 = 1738
  integer, parameter :: nGC_37868 = 1739
  integer, parameter :: nGC_60 = 1740
  integer, parameter :: nGC_37866 = 1741
  integer, parameter :: nGC_37865 = 1742
  integer, parameter :: nGC_37864 = 1743
  integer, parameter :: nGC_37863 = 1744
  integer, parameter :: nGC_21154 = 1745
  integer, parameter :: nGC_21155 = 1746
  integer, parameter :: nGC_21156 = 1747
  integer, parameter :: nGC_21157 = 1748
  integer, parameter :: nGC_21150 = 1749
  integer, parameter :: nGC_21151 = 1750
  integer, parameter :: nGC_21152 = 1751
  integer, parameter :: nGC_21153 = 1752
  integer, parameter :: nGC_40473 = 1753
  integer, parameter :: nGC_21158 = 1754
  integer, parameter :: nGC_21159 = 1755
  integer, parameter :: nGC_249 = 1756
  integer, parameter :: nGC_248 = 1757
  integer, parameter :: nGC_34122 = 1758
  integer, parameter :: nGC_61 = 1759
  integer, parameter :: nGC_38024 = 1760
  integer, parameter :: nGC_38025 = 1761
  integer, parameter :: nGC_21036 = 1762
  integer, parameter :: nGC_21035 = 1763
  integer, parameter :: nGC_21034 = 1764
  integer, parameter :: nGC_22463 = 1765
  integer, parameter :: nGC_20856 = 1766
  integer, parameter :: nGC_20857 = 1767
  integer, parameter :: nGC_20854 = 1768
  integer, parameter :: nGC_20855 = 1769
  integer, parameter :: nGC_20852 = 1770
  integer, parameter :: nGC_20853 = 1771
  integer, parameter :: nGC_20858 = 1772
  integer, parameter :: nGC_20859 = 1773
  integer, parameter :: nGC_40620 = 1774
  integer, parameter :: nGC_32420 = 1775
  integer, parameter :: nGC_117 = 1776
  integer, parameter :: nGC_32424 = 1777
  integer, parameter :: nGC_21323 = 1778
  integer, parameter :: nGC_21322 = 1779
  integer, parameter :: nGC_21321 = 1780
  integer, parameter :: nGC_21320 = 1781
  integer, parameter :: nGC_21327 = 1782
  integer, parameter :: nGC_21326 = 1783
  integer, parameter :: nGC_21325 = 1784
  integer, parameter :: nGC_21324 = 1785
  integer, parameter :: nGC_21329 = 1786
  integer, parameter :: nGC_21328 = 1787
  integer, parameter :: nGC_TS_GC_360_Hh = 1788
  integer, parameter :: nGC_21276 = 1789
  integer, parameter :: nGC_119 = 1790
  integer, parameter :: nGC_21748 = 1791
  integer, parameter :: nGC_40238 = 1792
  integer, parameter :: nGC_116 = 1793
  integer, parameter :: nGC_115 = 1794
  integer, parameter :: nGC_114 = 1795
  integer, parameter :: nGC_113 = 1796
  integer, parameter :: nGC_112 = 1797
  integer, parameter :: nGC_111 = 1798
  integer, parameter :: nGC_110 = 1799
  integer, parameter :: nGC_1531 = 1800
  integer, parameter :: nGC_TS_GC_378_Hh = 1801
  integer, parameter :: nGC_22210 = 1802
  integer, parameter :: nGC_22216 = 1803
  integer, parameter :: nGC_22217 = 1804
  integer, parameter :: nGC_22214 = 1805
  integer, parameter :: nGC_809 = 1806
  integer, parameter :: nGC_TS_GC_47_Hh = 1807
  integer, parameter :: nGC_TS_GC_47_Hl = 1808
  integer, parameter :: nGC_8311 = 1809
  integer, parameter :: nGC_32640 = 1810
  integer, parameter :: nGC_41471 = 1811
  integer, parameter :: nGC_22368 = 1812
  integer, parameter :: nGC_22548 = 1813
  integer, parameter :: nGC_22549 = 1814
  integer, parameter :: nGC_22546 = 1815
  integer, parameter :: nGC_22547 = 1816
  integer, parameter :: nGC_22544 = 1817
  integer, parameter :: nGC_22545 = 1818
  integer, parameter :: nGC_22542 = 1819
  integer, parameter :: nGC_22543 = 1820
  integer, parameter :: nGC_22540 = 1821
  integer, parameter :: nGC_22541 = 1822
  integer, parameter :: nGC_TS_GC_52_Hh = 1823
  integer, parameter :: nGC_TS_GC_52_Hl = 1824
  integer, parameter :: nGC_22149 = 1825
  integer, parameter :: nGC_22142 = 1826
  integer, parameter :: nGC_22143 = 1827
  integer, parameter :: nGC_22140 = 1828
  integer, parameter :: nGC_22146 = 1829
  integer, parameter :: nGC_22147 = 1830
  integer, parameter :: nGC_22144 = 1831
  integer, parameter :: nGC_22145 = 1832
  integer, parameter :: nGC_TS_GC_22_Hh = 1833
  integer, parameter :: nGC_22213 = 1834
  integer, parameter :: nGC_22644 = 1835
  integer, parameter :: nGC_22647 = 1836
  integer, parameter :: nGC_22646 = 1837
  integer, parameter :: nGC_22137 = 1838
  integer, parameter :: nGC_22643 = 1839
  integer, parameter :: nGC_22134 = 1840
  integer, parameter :: nGC_22218 = 1841
  integer, parameter :: nGC_38387 = 1842
  integer, parameter :: nGC_33600 = 1843
  integer, parameter :: nGC_48048 = 1844
  integer, parameter :: nGC_36954 = 1845
  integer, parameter :: nGC_36955 = 1846
  integer, parameter :: nGC_2191 = 1847
  integer, parameter :: nGC_34776 = 1848
  integer, parameter :: nGC_34774 = 1849
  integer, parameter :: nGC_35608 = 1850
  integer, parameter :: nGC_35605 = 1851
  integer, parameter :: nGC_35607 = 1852
  integer, parameter :: nGC_35600 = 1853
  integer, parameter :: nGC_35198 = 1854
  integer, parameter :: nGC_36881 = 1855
  integer, parameter :: nGC_35197 = 1856
  integer, parameter :: nGC_34486 = 1857
  integer, parameter :: nGC_34482 = 1858
  integer, parameter :: nGC_35997 = 1859
  integer, parameter :: nGC_35993 = 1860
  integer, parameter :: nGC_33340 = 1861
  integer, parameter :: nGC_38725 = 1862
  integer, parameter :: nGC_38724 = 1863
  integer, parameter :: nGC_33348 = 1864
  integer, parameter :: nGC_34395 = 1865
  integer, parameter :: nGC_34398 = 1866
  integer, parameter :: nGC_32508 = 1867
  integer, parameter :: nGC_33290 = 1868
  integer, parameter :: nGC_TS_GC_369_Hl = 1869
  integer, parameter :: nGC_32892 = 1870
  integer, parameter :: nGC_33129 = 1871
  integer, parameter :: nGC_TS_GC_49_Hl = 1872
  integer, parameter :: nGC_33126 = 1873
  integer, parameter :: nGC_40222 = 1874
  integer, parameter :: nGC_40226 = 1875
  integer, parameter :: nGC_40225 = 1876
  integer, parameter :: nGC_57574 = 1877
  integer, parameter :: nGC_22205 = 1878
  integer, parameter :: nGC_22204 = 1879
  integer, parameter :: nGC_22207 = 1880
  integer, parameter :: nGC_22206 = 1881
  integer, parameter :: nGC_21958 = 1882
  integer, parameter :: nGC_22202 = 1883
  integer, parameter :: nGC_21954 = 1884
  integer, parameter :: nGC_21957 = 1885
  integer, parameter :: nGC_22209 = 1886
  integer, parameter :: nGC_22208 = 1887
  integer, parameter :: nGC_21952 = 1888
  integer, parameter :: nGC_21953 = 1889
  integer, parameter :: nGC_22447 = 1890
  integer, parameter :: nGC_40043 = 1891
  integer, parameter :: nGC_40042 = 1892
  integer, parameter :: nGC_22446 = 1893
  integer, parameter :: nGC_37703 = 1894
  integer, parameter :: nGC_1415 = 1895
  integer, parameter :: nGC_32658 = 1896
  integer, parameter :: nGC_41470 = 1897
  integer, parameter :: nGC_22371 = 1898
  integer, parameter :: nGC_22370 = 1899
  integer, parameter :: nGC_32651 = 1900
  integer, parameter :: nGC_22376 = 1901
  integer, parameter :: nGC_22365 = 1902
  integer, parameter :: nGC_TS_GC_179_Hl = 1903
  integer, parameter :: nGC_TS_GC_179_Hh = 1904
  integer, parameter :: nGC_22551 = 1905
  integer, parameter :: nGC_22550 = 1906
  integer, parameter :: nGC_22553 = 1907
  integer, parameter :: nGC_22552 = 1908
  integer, parameter :: nGC_22555 = 1909
  integer, parameter :: nGC_22554 = 1910
  integer, parameter :: nGC_22557 = 1911
  integer, parameter :: nGC_22556 = 1912
  integer, parameter :: nGC_22559 = 1913
  integer, parameter :: nGC_22558 = 1914
  integer, parameter :: nGC_33919 = 1915
  integer, parameter :: nGC_22155 = 1916
  integer, parameter :: nGC_22156 = 1917
  integer, parameter :: nGC_22151 = 1918
  integer, parameter :: nGC_22150 = 1919
  integer, parameter :: nGC_22152 = 1920
  integer, parameter :: nGC_TS_GC_41_Hl = 1921
  integer, parameter :: nGC_32244 = 1922
  integer, parameter :: nGC_32245 = 1923
  integer, parameter :: nGC_32246 = 1924
  integer, parameter :: nGC_32247 = 1925
  integer, parameter :: nGC_32881 = 1926
  integer, parameter :: nGC_TS_GC_241_Hl = 1927
  integer, parameter :: nGC_32398 = 1928
  integer, parameter :: nGC_32396 = 1929
  integer, parameter :: nGC_32341 = 1930
  integer, parameter :: nGC_32392 = 1931
  integer, parameter :: nGC_32393 = 1932
  integer, parameter :: nGC_TS_GC_38_Hl = 1933
  integer, parameter :: nGC_33353 = 1934
  integer, parameter :: nGC_TS_GC_77_Hl = 1935
  integer, parameter :: nGC_TS_GC_77_Hh = 1936
  integer, parameter :: nGC_34386 = 1937
  integer, parameter :: nGC_32532 = 1938
  integer, parameter :: nGC_33285 = 1939
  integer, parameter :: nGC_33284 = 1940
  integer, parameter :: nGC_33283 = 1941
  integer, parameter :: nGC_33282 = 1942
  integer, parameter :: nGC_1889 = 1943
  integer, parameter :: nGC_32404 = 1944
  integer, parameter :: nGC_34835 = 1945
  integer, parameter :: nGC_33132 = 1946
  integer, parameter :: nGC_32717 = 1947
  integer, parameter :: nGC_1641 = 1948
  integer, parameter :: nGC_22099 = 1949
  integer, parameter :: nGC_22308 = 1950
  integer, parameter :: nGC_32666 = 1951
  integer, parameter :: nGC_22305 = 1952
  integer, parameter :: nGC_22306 = 1953
  integer, parameter :: nGC_22307 = 1954
  integer, parameter :: nGC_22301 = 1955
  integer, parameter :: nGC_22302 = 1956
  integer, parameter :: nGC_22303 = 1957
  integer, parameter :: nGC_14013 = 1958
  integer, parameter :: nGC_22524 = 1959
  integer, parameter :: nGC_22525 = 1960
  integer, parameter :: nGC_22526 = 1961
  integer, parameter :: nGC_22527 = 1962
  integer, parameter :: nGC_22520 = 1963
  integer, parameter :: nGC_22521 = 1964
  integer, parameter :: nGC_22522 = 1965
  integer, parameter :: nGC_22523 = 1966
  integer, parameter :: nGC_22528 = 1967
  integer, parameter :: nGC_22529 = 1968
  integer, parameter :: nGC_33922 = 1969
  integer, parameter :: nGC_33431 = 1970
  integer, parameter :: nGC_33432 = 1971
  integer, parameter :: nGC_33926 = 1972
  integer, parameter :: nGC_TS_GC_250_Hh = 1973
  integer, parameter :: nGC_22412 = 1974
  integer, parameter :: nGC_22413 = 1975
  integer, parameter :: nGC_45313 = 1976
  integer, parameter :: nGC_22638 = 1977
  integer, parameter :: nGC_22639 = 1978
  integer, parameter :: nGC_22630 = 1979
  integer, parameter :: nGC_22631 = 1980
  integer, parameter :: nGC_22632 = 1981
  integer, parameter :: nGC_22633 = 1982
  integer, parameter :: nGC_22635 = 1983
  integer, parameter :: nGC_22636 = 1984
  integer, parameter :: nGC_22637 = 1985
  integer, parameter :: nGC_32258 = 1986
  integer, parameter :: nGC_32254 = 1987
  integer, parameter :: nGC_36711 = 1988
  integer, parameter :: nGC_TS_GC_40_Hl = 1989
  integer, parameter :: nGC_TS_GC_333_Hl = 1990
  integer, parameter :: nGC_TS_GC_53_Hl = 1991
  integer, parameter :: nGC_32893 = 1992
  integer, parameter :: nGC_TS_GC_53_Hh = 1993
  integer, parameter :: nGC_32380 = 1994
  integer, parameter :: nGC_32385 = 1995
  integer, parameter :: nGC_32386 = 1996
  integer, parameter :: nGC_32389 = 1997
  integer, parameter :: nGC_32873 = 1998
  integer, parameter :: nGC_32872 = 1999
  integer, parameter :: nGC_32875 = 2000
  integer, parameter :: nGC_32874 = 2001
  integer, parameter :: nGC_33337 = 2002
  integer, parameter :: nGC_38747 = 2003
  integer, parameter :: nGC_38746 = 2004
  integer, parameter :: nGC_38749 = 2005
  integer, parameter :: nGC_38748 = 2006
  integer, parameter :: nGC_34026 = 2007
  integer, parameter :: nGC_34027 = 2008
  integer, parameter :: nGC_32524 = 2009
  integer, parameter :: nGC_32527 = 2010
  integer, parameter :: nGC_32521 = 2011
  integer, parameter :: nGC_32529 = 2012
  integer, parameter :: nGC_32419 = 2013
  integer, parameter :: nGC_32411 = 2014
  integer, parameter :: nGC_33384 = 2015
  integer, parameter :: nGC_22694 = 2016
  integer, parameter :: nGC_57802 = 2017
  integer, parameter :: nGC_37366 = 2018
  integer, parameter :: nGC_37367 = 2019
  integer, parameter :: nGC_32707 = 2020
  integer, parameter :: nGC_21973 = 2021
  integer, parameter :: nGC_21970 = 2022
  integer, parameter :: nGC_33657 = 2023
  integer, parameter :: nGC_21978 = 2024
  integer, parameter :: nGC_21979 = 2025
  integer, parameter :: nGC_21998 = 2026
  integer, parameter :: nGC_21999 = 2027
  integer, parameter :: nGC_21990 = 2028
  integer, parameter :: nGC_21991 = 2029
  integer, parameter :: nGC_21992 = 2030
  integer, parameter :: nGC_21993 = 2031
  integer, parameter :: nGC_21994 = 2032
  integer, parameter :: nGC_21995 = 2033
  integer, parameter :: nGC_21996 = 2034
  integer, parameter :: nGC_21997 = 2035
  integer, parameter :: nGC_22191 = 2036
  integer, parameter :: nGC_33738 = 2037
  integer, parameter :: nGC_22086 = 2038
  integer, parameter :: nGC_33735 = 2039
  integer, parameter :: nGC_33403 = 2040
  integer, parameter :: nGC_22081 = 2041
  integer, parameter :: nGC_22080 = 2042
  integer, parameter :: nGC_33402 = 2043
  integer, parameter :: nGC_22317 = 2044
  integer, parameter :: nGC_36165 = 2045
  integer, parameter :: nGC_22194 = 2046
  integer, parameter :: nGC_35199 = 2047
  integer, parameter :: nGC_22196 = 2048
  integer, parameter :: nGC_22537 = 2049
  integer, parameter :: nGC_22536 = 2050
  integer, parameter :: nGC_22535 = 2051
  integer, parameter :: nGC_22534 = 2052
  integer, parameter :: nGC_22533 = 2053
  integer, parameter :: nGC_22531 = 2054
  integer, parameter :: nGC_22530 = 2055
  integer, parameter :: nGC_22539 = 2056
  integer, parameter :: nGC_22538 = 2057
  integer, parameter :: nGC_22407 = 2058
  integer, parameter :: nGC_22409 = 2059
  integer, parameter :: nGC_22408 = 2060
  integer, parameter :: nGC_22629 = 2061
  integer, parameter :: nGC_22628 = 2062
  integer, parameter :: nGC_22623 = 2063
  integer, parameter :: nGC_22622 = 2064
  integer, parameter :: nGC_22621 = 2065
  integer, parameter :: nGC_22620 = 2066
  integer, parameter :: nGC_22627 = 2067
  integer, parameter :: nGC_22626 = 2068
  integer, parameter :: nGC_22625 = 2069
  integer, parameter :: nGC_22624 = 2070
  integer, parameter :: nGC_32263 = 2071
  integer, parameter :: nGC_TS_GC_18_Hl = 2072
  integer, parameter :: nGC_39006 = 2073
  integer, parameter :: nGC_40362 = 2074
  integer, parameter :: nGC_2677 = 2075
  integer, parameter :: nGC_36964 = 2076
  integer, parameter :: nGC_34708 = 2077
  integer, parameter :: nGC_34707 = 2078
  integer, parameter :: nGC_22221 = 2079
  integer, parameter :: nGC_22692 = 2080
  integer, parameter :: nGC_36369 = 2081
  integer, parameter :: nGC_36368 = 2082
  integer, parameter :: nGC_36367 = 2083
  integer, parameter :: nGC_36366 = 2084
  integer, parameter :: nGC_2497 = 2085
  integer, parameter :: nGC_53925 = 2086
  integer, parameter :: nGC_32281 = 2087
  integer, parameter :: nGC_32283 = 2088
  integer, parameter :: nGC_34522 = 2089
  integer, parameter :: nGC_37426 = 2090
  integer, parameter :: nGC_37422 = 2091
  integer, parameter :: nGC_TS_GC_261_Hl = 2092
  integer, parameter :: nGC_32465 = 2093
  integer, parameter :: nGC_32462 = 2094
  integer, parameter :: nGC_35670 = 2095
  integer, parameter :: nGC_33395 = 2096
  integer, parameter :: nGC_21969 = 2097
  integer, parameter :: nGC_22519 = 2098
  integer, parameter :: nGC_21972 = 2099
  integer, parameter :: nGC_21989 = 2100
  integer, parameter :: nGC_21988 = 2101
  integer, parameter :: nGC_21983 = 2102
  integer, parameter :: nGC_21982 = 2103
  integer, parameter :: nGC_21981 = 2104
  integer, parameter :: nGC_21980 = 2105
  integer, parameter :: nGC_21987 = 2106
  integer, parameter :: nGC_21986 = 2107
  integer, parameter :: nGC_21985 = 2108
  integer, parameter :: nGC_21984 = 2109
  integer, parameter :: nGC_22515 = 2110
  integer, parameter :: nGC_21971 = 2111
  integer, parameter :: nGC_22514 = 2112
  integer, parameter :: nGC_33650 = 2113
  integer, parameter :: nGC_32607 = 2114
  integer, parameter :: nGC_22324 = 2115
  integer, parameter :: nGC_32603 = 2116
  integer, parameter :: nGC_22510 = 2117
  integer, parameter :: nGC_22513 = 2118
  integer, parameter :: nGC_977 = 2119
  integer, parameter :: nGC_TS_GC_332_Hh = 2120
  integer, parameter :: nGC_22186 = 2121
  integer, parameter :: nGC_22187 = 2122
  integer, parameter :: nGC_22184 = 2123
  integer, parameter :: nGC_22185 = 2124
  integer, parameter :: nGC_22182 = 2125
  integer, parameter :: nGC_22183 = 2126
  integer, parameter :: nGC_22180 = 2127
  integer, parameter :: nGC_22181 = 2128
  integer, parameter :: nGC_22436 = 2129
  integer, parameter :: nGC_22437 = 2130
  integer, parameter :: nGC_22435 = 2131
  integer, parameter :: nGC_22433 = 2132
  integer, parameter :: nGC_22618 = 2133
  integer, parameter :: nGC_22616 = 2134
  integer, parameter :: nGC_22617 = 2135
  integer, parameter :: nGC_22614 = 2136
  integer, parameter :: nGC_22615 = 2137
  integer, parameter :: nGC_22612 = 2138
  integer, parameter :: nGC_22613 = 2139
  integer, parameter :: nGC_32277 = 2140
  integer, parameter :: nGC_36774 = 2141
  integer, parameter :: nGC_36777 = 2142
  integer, parameter :: nGC_22058 = 2143
  integer, parameter :: nGC_22508 = 2144
  integer, parameter :: nGC_22509 = 2145
  integer, parameter :: nGC_22502 = 2146
  integer, parameter :: nGC_22503 = 2147
  integer, parameter :: nGC_22500 = 2148
  integer, parameter :: nGC_22506 = 2149
  integer, parameter :: nGC_22504 = 2150
  integer, parameter :: nGC_22505 = 2151
  integer, parameter :: nGC_2665 = 2152
  integer, parameter :: nGC_34730 = 2153
  integer, parameter :: nGC_TS_GC_42_Hh = 2154
  integer, parameter :: nGC_39106 = 2155
  integer, parameter :: nGC_36602 = 2156
  integer, parameter :: nGC_36605 = 2157
  integer, parameter :: nGC_39109 = 2158
  integer, parameter :: nGC_35531 = 2159
  integer, parameter :: nGC_32962 = 2160
  integer, parameter :: nGC_32298 = 2161
  integer, parameter :: nGC_39740 = 2162
  integer, parameter :: nGC_34195 = 2163
  integer, parameter :: nGC_34190 = 2164
  integer, parameter :: nGC_22085 = 2165
  integer, parameter :: nGC_22082 = 2166
  integer, parameter :: nGC_38507 = 2167
  integer, parameter :: nGC_34996 = 2168
  integer, parameter :: nGC_34995 = 2169
  integer, parameter :: nGC_34992 = 2170
  integer, parameter :: nGC_34998 = 2171
  integer, parameter :: nGC_TS_GC_224_Hh = 2172
  integer, parameter :: nGC_TS_GC_224_Hl = 2173
  integer, parameter :: nGC_47300 = 2174
  integer, parameter :: nGC_2939 = 2175
  integer, parameter :: nGC_32473 = 2176
  integer, parameter :: nGC_34864 = 2177
  integer, parameter :: nGC_22056 = 2178
  integer, parameter :: nGC_22310 = 2179
  integer, parameter :: nGC_22257 = 2180
  integer, parameter :: nGC_44065 = 2181
  integer, parameter :: nGC_44067 = 2182
  integer, parameter :: nGC_44066 = 2183
  integer, parameter :: nGC_33678 = 2184
  integer, parameter :: nGC_57009 = 2185
  integer, parameter :: nGC_TS_GC_246_Hl = 2186
  integer, parameter :: nGC_22532 = 2187
  integer, parameter :: nGC_22335 = 2188
  integer, parameter :: nGC_22334 = 2189
  integer, parameter :: nGC_22336 = 2190
  integer, parameter :: nGC_32613 = 2191
  integer, parameter :: nGC_32610 = 2192
  integer, parameter :: nGC_22338 = 2193
  integer, parameter :: nGC_22199 = 2194
  integer, parameter :: nGC_22198 = 2195
  integer, parameter :: nGC_36161 = 2196
  integer, parameter :: nGC_33400 = 2197
  integer, parameter :: nGC_22193 = 2198
  integer, parameter :: nGC_22192 = 2199
  integer, parameter :: nGC_36164 = 2200
  integer, parameter :: nGC_22197 = 2201
  integer, parameter :: nGC_36166 = 2202
  integer, parameter :: nGC_22422 = 2203
  integer, parameter :: nGC_TS_GC_249_Hh = 2204
  integer, parameter :: nGC_22601 = 2205
  integer, parameter :: nGC_22600 = 2206
  integer, parameter :: nGC_22605 = 2207
  integer, parameter :: nGC_22604 = 2208
  integer, parameter :: nGC_22607 = 2209
  integer, parameter :: nGC_22606 = 2210
  integer, parameter :: nGC_22048 = 2211
  integer, parameter :: nGC_33889 = 2212
  integer, parameter :: nGC_22518 = 2213
  integer, parameter :: nGC_22043 = 2214
  integer, parameter :: nGC_22042 = 2215
  integer, parameter :: nGC_22041 = 2216
  integer, parameter :: nGC_22040 = 2217
  integer, parameter :: nGC_22047 = 2218
  integer, parameter :: nGC_22046 = 2219
  integer, parameter :: nGC_22512 = 2220
  integer, parameter :: nGC_34726 = 2221
  integer, parameter :: nGC_35128 = 2222
  integer, parameter :: nGC_35129 = 2223
  integer, parameter :: nGC_39111 = 2224
  integer, parameter :: nGC_TS_GC_20_Hl = 2225
  integer, parameter :: nGC_36589 = 2226
  integer, parameter :: nGC_39112 = 2227
  integer, parameter :: nGC_TS_GC_20_Hh = 2228
  integer, parameter :: nGC_36343 = 2229
  integer, parameter :: nGC_36342 = 2230
  integer, parameter :: nGC_36345 = 2231
  integer, parameter :: nGC_36344 = 2232
  integer, parameter :: nGC_47160 = 2233
  integer, parameter :: nGC_TS_GC_252_Hl = 2234
  integer, parameter :: nGC_32914 = 2235
  integer, parameter :: nGC_34189 = 2236
  integer, parameter :: nGC_38409 = 2237
  integer, parameter :: nGC_33045 = 2238
  integer, parameter :: nGC_2349 = 2239
  integer, parameter :: nGC_34507 = 2240
  integer, parameter :: nGC_7453 = 2241
  integer, parameter :: nGC_40344 = 2242
  integer, parameter :: nGC_33084 = 2243
  integer, parameter :: nGC_33080 = 2244
  integer, parameter :: nGC_34116 = 2245
  integer, parameter :: nGC_33249 = 2246
  integer, parameter :: nGC_TS_GC_339_Hh = 2247
  integer, parameter :: nGC_34879 = 2248
  integer, parameter :: nGC_32449 = 2249
  integer, parameter :: nGC_37578 = 2250
  integer, parameter :: nGC_TS_GC_37_Hh = 2251
  integer, parameter :: nGC_32595 = 2252
  integer, parameter :: nGC_32596 = 2253
  integer, parameter :: nGC_33068 = 2254
  integer, parameter :: nGC_34117 = 2255
  integer, parameter :: nGC_32598 = 2256
  integer, parameter :: nGC_32599 = 2257
  integer, parameter :: nGC_32622 = 2258
  integer, parameter :: nGC_32625 = 2259
  integer, parameter :: nGC_34118 = 2260
  integer, parameter :: nGC_1599 = 2261
  integer, parameter :: nGC_39005 = 2262
  integer, parameter :: nGC_33474 = 2263
  integer, parameter :: nGC_22458 = 2264
  integer, parameter :: nGC_22459 = 2265
  integer, parameter :: nGC_32138 = 2266
  integer, parameter :: nGC_22457 = 2267
  integer, parameter :: nGC_22450 = 2268
  integer, parameter :: nGC_22451 = 2269
  integer, parameter :: nGC_32130 = 2270
  integer, parameter :: nGC_22453 = 2271
  integer, parameter :: nGC_22292 = 2272
  integer, parameter :: nGC_22293 = 2273
  integer, parameter :: nGC_22290 = 2274
  integer, parameter :: nGC_22291 = 2275
  integer, parameter :: nGC_22296 = 2276
  integer, parameter :: nGC_22294 = 2277
  integer, parameter :: nGC_22295 = 2278
  integer, parameter :: nGC_22674 = 2279
  integer, parameter :: nGC_22675 = 2280
  integer, parameter :: nGC_22676 = 2281
  integer, parameter :: nGC_22677 = 2282
  integer, parameter :: nGC_22670 = 2283
  integer, parameter :: nGC_22671 = 2284
  integer, parameter :: nGC_22678 = 2285
  integer, parameter :: nGC_22679 = 2286
  integer, parameter :: nGC_22201 = 2287
  integer, parameter :: nGC_22200 = 2288
  integer, parameter :: nGC_33500 = 2289
  integer, parameter :: nGC_33501 = 2290
  integer, parameter :: nGC_33502 = 2291
  integer, parameter :: nGC_33504 = 2292
  integer, parameter :: nGC_33505 = 2293
  integer, parameter :: nGC_22078 = 2294
  integer, parameter :: nGC_33877 = 2295
  integer, parameter :: nGC_22076 = 2296
  integer, parameter :: nGC_22077 = 2297
  integer, parameter :: nGC_22070 = 2298
  integer, parameter :: nGC_22708 = 2299
  integer, parameter :: nGC_22709 = 2300
  integer, parameter :: nGC_22700 = 2301
  integer, parameter :: nGC_22701 = 2302
  integer, parameter :: nGC_22702 = 2303
  integer, parameter :: nGC_22704 = 2304
  integer, parameter :: nGC_22705 = 2305
  integer, parameter :: nGC_22706 = 2306
  integer, parameter :: nGC_21951 = 2307
  integer, parameter :: nGC_40559 = 2308
  integer, parameter :: nGC_35135 = 2309
  integer, parameter :: nGC_35131 = 2310
  integer, parameter :: nGC_35130 = 2311
  integer, parameter :: nGC_32834 = 2312
  integer, parameter :: nGC_32832 = 2313
  integer, parameter :: nGC_3351 = 2314
  integer, parameter :: nGC_47193 = 2315
  integer, parameter :: nGC_36938 = 2316
  integer, parameter :: nGC_32908 = 2317
  integer, parameter :: nGC_38966 = 2318
  integer, parameter :: nGC_38969 = 2319
  integer, parameter :: nGC_34062 = 2320
  integer, parameter :: nGC_34266 = 2321
  integer, parameter :: nGC_34080 = 2322
  integer, parameter :: nGC_51270 = 2323
  integer, parameter :: nGC_40409 = 2324
  integer, parameter :: nGC_33279 = 2325
  integer, parameter :: nGC_38897 = 2326
  integer, parameter :: nGC_38895 = 2327
  integer, parameter :: nGC_38898 = 2328
  integer, parameter :: nGC_34402 = 2329
  integer, parameter :: nGC_34403 = 2330
  integer, parameter :: nGC_32455 = 2331
  integer, parameter :: nGC_33180 = 2332
  integer, parameter :: nGC_32446 = 2333
  integer, parameter :: nGC_40242 = 2334
  integer, parameter :: nGC_37504 = 2335
  integer, parameter :: nGC_32155 = 2336
  integer, parameter :: nGC_22474 = 2337
  integer, parameter :: nGC_40622 = 2338
  integer, parameter :: nGC_40621 = 2339
  integer, parameter :: nGC_22373 = 2340
  integer, parameter :: nGC_32657 = 2341
  integer, parameter :: nGC_32656 = 2342
  integer, parameter :: nGC_32654 = 2343
  integer, parameter :: nGC_32632 = 2344
  integer, parameter :: nGC_57592 = 2345
  integer, parameter :: nGC_33463 = 2346
  integer, parameter :: nGC_58278 = 2347
  integer, parameter :: nGC_22449 = 2348
  integer, parameter :: nGC_22448 = 2349
  integer, parameter :: nGC_32129 = 2350
  integer, parameter :: nGC_32128 = 2351
  integer, parameter :: nGC_22445 = 2352
  integer, parameter :: nGC_22444 = 2353
  integer, parameter :: nGC_22443 = 2354
  integer, parameter :: nGC_22442 = 2355
  integer, parameter :: nGC_22289 = 2356
  integer, parameter :: nGC_22288 = 2357
  integer, parameter :: nGC_22285 = 2358
  integer, parameter :: nGC_22284 = 2359
  integer, parameter :: nGC_22287 = 2360
  integer, parameter :: nGC_22286 = 2361
  integer, parameter :: nGC_22281 = 2362
  integer, parameter :: nGC_22280 = 2363
  integer, parameter :: nGC_22283 = 2364
  integer, parameter :: nGC_22282 = 2365
  integer, parameter :: nGC_33995 = 2366
  integer, parameter :: nGC_33994 = 2367
  integer, parameter :: nGC_22663 = 2368
  integer, parameter :: nGC_22662 = 2369
  integer, parameter :: nGC_22661 = 2370
  integer, parameter :: nGC_22660 = 2371
  integer, parameter :: nGC_22669 = 2372
  integer, parameter :: nGC_22668 = 2373
  integer, parameter :: nGC_33514 = 2374
  integer, parameter :: nGC_22061 = 2375
  integer, parameter :: nGC_22060 = 2376
  integer, parameter :: nGC_22063 = 2377
  integer, parameter :: nGC_22062 = 2378
  integer, parameter :: nGC_22065 = 2379
  integer, parameter :: nGC_22064 = 2380
  integer, parameter :: nGC_33865 = 2381
  integer, parameter :: nGC_22066 = 2382
  integer, parameter :: nGC_22069 = 2383
  integer, parameter :: nGC_22068 = 2384
  integer, parameter :: nGC_22718 = 2385
  integer, parameter :: nGC_22713 = 2386
  integer, parameter :: nGC_22712 = 2387
  integer, parameter :: nGC_22716 = 2388
  integer, parameter :: nGC_22715 = 2389
  integer, parameter :: nGC_22714 = 2390
  integer, parameter :: nGC_32331 = 2391
  integer, parameter :: nGC_2213 = 2392
  integer, parameter :: nGC_39739 = 2393
  integer, parameter :: nGC_32935 = 2394
  integer, parameter :: nGC_32938 = 2395
  integer, parameter :: nGC_TS_GC_251_Hh = 2396
  integer, parameter :: nGC_35073 = 2397
  integer, parameter :: nGC_34275 = 2398
  integer, parameter :: nGC_32801 = 2399
  integer, parameter :: nGC_34091 = 2400
  integer, parameter :: nGC_33262 = 2401
  integer, parameter :: nGC_34414 = 2402
  integer, parameter :: nGC_33069 = 2403
  integer, parameter :: nGC_33067 = 2404
  integer, parameter :: nGC_33066 = 2405
  integer, parameter :: nGC_33680 = 2406
  integer, parameter :: nGC_40348 = 2407
  integer, parameter :: nGC_40349 = 2408
  integer, parameter :: nGC_33049 = 2409
  integer, parameter :: nGC_40345 = 2410
  integer, parameter :: nGC_40346 = 2411
  integer, parameter :: nGC_40347 = 2412
  integer, parameter :: nGC_32485 = 2413
  integer, parameter :: nGC_32481 = 2414
  integer, parameter :: nGC_13999 = 2415
  integer, parameter :: nGC_13995 = 2416
  integer, parameter :: nGC_13997 = 2417
  integer, parameter :: nGC_22384 = 2418
  integer, parameter :: nGC_22385 = 2419
  integer, parameter :: nGC_22386 = 2420
  integer, parameter :: nGC_22387 = 2421
  integer, parameter :: nGC_22380 = 2422
  integer, parameter :: nGC_22381 = 2423
  integer, parameter :: nGC_22382 = 2424
  integer, parameter :: nGC_22383 = 2425
  integer, parameter :: nGC_22388 = 2426
  integer, parameter :: nGC_22389 = 2427
  integer, parameter :: nGC_33451 = 2428
  integer, parameter :: nGC_22473 = 2429
  integer, parameter :: nGC_22470 = 2430
  integer, parameter :: nGC_22477 = 2431
  integer, parameter :: nGC_32152 = 2432
  integer, parameter :: nGC_22478 = 2433
  integer, parameter :: nGC_22479 = 2434
  integer, parameter :: nGC_22272 = 2435
  integer, parameter :: nGC_22273 = 2436
  integer, parameter :: nGC_22274 = 2437
  integer, parameter :: nGC_22275 = 2438
  integer, parameter :: nGC_22279 = 2439
  integer, parameter :: nGC_22499 = 2440
  integer, parameter :: nGC_22490 = 2441
  integer, parameter :: nGC_22491 = 2442
  integer, parameter :: nGC_22492 = 2443
  integer, parameter :: nGC_22493 = 2444
  integer, parameter :: nGC_22494 = 2445
  integer, parameter :: nGC_22497 = 2446
  integer, parameter :: nGC_33526 = 2447
  integer, parameter :: nGC_33520 = 2448
  integer, parameter :: nGC_36001 = 2449
  integer, parameter :: nGC_22015 = 2450
  integer, parameter :: nGC_22010 = 2451
  integer, parameter :: nGC_22011 = 2452
  integer, parameter :: nGC_22012 = 2453
  integer, parameter :: nGC_22013 = 2454
  integer, parameter :: nGC_22018 = 2455
  integer, parameter :: nGC_33859 = 2456
  integer, parameter :: nGC_22729 = 2457
  integer, parameter :: nGC_22725 = 2458
  integer, parameter :: nGC_22722 = 2459
  integer, parameter :: nGC_22720 = 2460
  integer, parameter :: nGC_22721 = 2461
  integer, parameter :: nGC_39144 = 2462
  integer, parameter :: nGC_35449 = 2463
  integer, parameter :: nGC_22128 = 2464
  integer, parameter :: nGC_22129 = 2465
  integer, parameter :: nGC_22659 = 2466
  integer, parameter :: nGC_22120 = 2467
  integer, parameter :: nGC_22653 = 2468
  integer, parameter :: nGC_22122 = 2469
  integer, parameter :: nGC_22123 = 2470
  integer, parameter :: nGC_22656 = 2471
  integer, parameter :: nGC_22125 = 2472
  integer, parameter :: nGC_22126 = 2473
  integer, parameter :: nGC_22127 = 2474
  integer, parameter :: nGC_36860 = 2475
  integer, parameter :: nGC_22652 = 2476
  integer, parameter :: nGC_34646 = 2477
  integer, parameter :: nGC_22121 = 2478
  integer, parameter :: nGC_22651 = 2479
  integer, parameter :: nGC_35201 = 2480
  integer, parameter :: nGC_35202 = 2481
  integer, parameter :: nGC_44995 = 2482
  integer, parameter :: nGC_44994 = 2483
  integer, parameter :: nGC_44996 = 2484
  integer, parameter :: nGC_35061 = 2485
  integer, parameter :: nGC_35063 = 2486
  integer, parameter :: nGC_38235 = 2487
  integer, parameter :: nGC_39895 = 2488
  integer, parameter :: nGC_35667 = 2489
  integer, parameter :: nGC_35842 = 2490
  integer, parameter :: nGC_38431 = 2491
  integer, parameter :: nGC_37522 = 2492
  integer, parameter :: nGC_37831 = 2493
  integer, parameter :: nGC_37528 = 2494
  integer, parameter :: nGC_37529 = 2495
  integer, parameter :: nGC_22516 = 2496
  integer, parameter :: nGC_60663 = 2497
  integer, parameter :: nGC_60665 = 2498
  integer, parameter :: nGC_40603 = 2499
  integer, parameter :: nGC_32127 = 2500
  integer, parameter :: nGC_32126 = 2501
  integer, parameter :: nGC_44296 = 2502
  integer, parameter :: nGC_44297 = 2503
  integer, parameter :: nGC_22397 = 2504
  integer, parameter :: nGC_22395 = 2505
  integer, parameter :: nGC_22394 = 2506
  integer, parameter :: nGC_22393 = 2507
  integer, parameter :: nGC_22392 = 2508
  integer, parameter :: nGC_22391 = 2509
  integer, parameter :: nGC_22390 = 2510
  integer, parameter :: nGC_22399 = 2511
  integer, parameter :: nGC_22398 = 2512
  integer, parameter :: nGC_22465 = 2513
  integer, parameter :: nGC_22464 = 2514
  integer, parameter :: nGC_22467 = 2515
  integer, parameter :: nGC_32144 = 2516
  integer, parameter :: nGC_41394 = 2517
  integer, parameter :: nGC_22460 = 2518
  integer, parameter :: nGC_32141 = 2519
  integer, parameter :: nGC_22462 = 2520
  integer, parameter :: nGC_41398 = 2521
  integer, parameter :: nGC_22469 = 2522
  integer, parameter :: nGC_22468 = 2523
  integer, parameter :: nGC_32149 = 2524
  integer, parameter :: nGC_22262 = 2525
  integer, parameter :: nGC_22261 = 2526
  integer, parameter :: nGC_22260 = 2527
  integer, parameter :: nGC_22266 = 2528
  integer, parameter :: nGC_22264 = 2529
  integer, parameter :: nGC_22268 = 2530
  integer, parameter :: nGC_22489 = 2531
  integer, parameter :: nGC_22488 = 2532
  integer, parameter :: nGC_22487 = 2533
  integer, parameter :: nGC_22452 = 2534
  integer, parameter :: nGC_32131 = 2535
  integer, parameter :: nGC_22007 = 2536
  integer, parameter :: nGC_22005 = 2537
  integer, parameter :: nGC_22003 = 2538
  integer, parameter :: nGC_22001 = 2539
  integer, parameter :: nGC_22008 = 2540
  integer, parameter :: nGC_22731 = 2541
  integer, parameter :: nGC_22730 = 2542
  integer, parameter :: nGC_22190 = 2543
  integer, parameter :: nGC_32672 = 2544
  integer, parameter :: nGC_41465 = 2545
  integer, parameter :: nGC_32312 = 2546
  integer, parameter :: nGC_22139 = 2547
  integer, parameter :: nGC_TS_GC_384_Hh = 2548
  integer, parameter :: nGC_22648 = 2549
  integer, parameter :: nGC_22133 = 2550
  integer, parameter :: nGC_22132 = 2551
  integer, parameter :: nGC_22131 = 2552
  integer, parameter :: nGC_22130 = 2553
  integer, parameter :: nGC_22641 = 2554
  integer, parameter :: nGC_22640 = 2555
  integer, parameter :: nGC_22135 = 2556
  integer, parameter :: nGC_22642 = 2557
  integer, parameter :: nGC_36878 = 2558
  integer, parameter :: nGC_32958 = 2559
  integer, parameter :: nGC_38682 = 2560
  integer, parameter :: nGC_38683 = 2561
  integer, parameter :: nGC_38684 = 2562
  integer, parameter :: nGC_34256 = 2563
  integer, parameter :: nGC_38060 = 2564
  integer, parameter :: nGC_35898 = 2565
  integer, parameter :: nGC_35895 = 2566
  integer, parameter :: nGC_35897 = 2567
  integer, parameter :: nGC_51443 = 2568
  integer, parameter :: nGC_47248 = 2569
  integer, parameter :: nGC_33334 = 2570
  integer, parameter :: nGC_40560 = 2571
  integer, parameter :: nGC_40561 = 2572
  integer, parameter :: nGC_40562 = 2573
  integer, parameter :: nGC_40563 = 2574
  integer, parameter :: nGC_37826 = 2575
  integer, parameter :: nGC_37829 = 2576
  integer, parameter :: nGC_59055 = 2577
  integer, parameter :: nGC_58588 = 2578
  integer, parameter :: nGC_32553 = 2579
  integer, parameter :: nGC_32554 = 2580
  integer, parameter :: nGC_32555 = 2581
  integer, parameter :: nGC_32556 = 2582
  integer, parameter :: nGC_34926 = 2583
  integer, parameter :: nGC_40363 = 2584
  integer, parameter :: nGC_40364 = 2585
  integer, parameter :: nGC_37225 = 2586
  integer, parameter :: nGC_37224 = 2587
  integer, parameter :: nGC_37227 = 2588
  integer, parameter :: nGC_37226 = 2589
  integer, parameter :: nGC_33876 = 2590
  integer, parameter :: nGC_22079 = 2591
  integer, parameter :: nGC_33878 = 2592
  integer, parameter :: nGC_33879 = 2593
  integer, parameter :: nGC_57898 = 2594
  integer, parameter :: nGC_32171 = 2595
  integer, parameter :: nGC_32177 = 2596
  integer, parameter :: nGC_48995 = 2597
  integer, parameter :: nGC_22250 = 2598
  integer, parameter :: nGC_22251 = 2599
  integer, parameter :: nGC_22258 = 2600
  integer, parameter :: nGC_22259 = 2601
  integer, parameter :: nGC_42938 = 2602
  integer, parameter :: nGC_22707 = 2603
  integer, parameter :: nGC_22039 = 2604
  integer, parameter :: nGC_22032 = 2605
  integer, parameter :: nGC_22033 = 2606
  integer, parameter :: nGC_22031 = 2607
  integer, parameter :: nGC_22036 = 2608
  integer, parameter :: nGC_22037 = 2609
  integer, parameter :: nGC_22034 = 2610
  integer, parameter :: nGC_22035 = 2611
  integer, parameter :: nGC_TS_GC_244_Hh = 2612
  integer, parameter :: nGC_32306 = 2613
  integer, parameter :: nGC_22108 = 2614
  integer, parameter :: nGC_22109 = 2615
  integer, parameter :: nGC_22102 = 2616
  integer, parameter :: nGC_22100 = 2617
  integer, parameter :: nGC_22101 = 2618
  integer, parameter :: nGC_32943 = 2619
  integer, parameter :: nGC_34220 = 2620
  integer, parameter :: nGC_36512 = 2621
  integer, parameter :: nGC_36513 = 2622
  integer, parameter :: nGC_32600 = 2623
  integer, parameter :: nGC_34131 = 2624
  integer, parameter :: nGC_22242 = 2625
  integer, parameter :: nGC_34358 = 2626
  integer, parameter :: nGC_32785 = 2627
  integer, parameter :: nGC_32787 = 2628
  integer, parameter :: nGC_32786 = 2629
  integer, parameter :: nGC_32788 = 2630
  integer, parameter :: nGC_32541 = 2631
  integer, parameter :: nGC_33016 = 2632
  integer, parameter :: nGC_37255 = 2633
  integer, parameter :: nGC_TS_GC_254_Hh = 2634
  integer, parameter :: nGC_33168 = 2635
  integer, parameter :: nGC_33162 = 2636
  integer, parameter :: nGC_32164 = 2637
  integer, parameter :: nGC_1563 = 2638
  integer, parameter :: nGC_22249 = 2639
  integer, parameter :: nGC_22248 = 2640
  integer, parameter :: nGC_22241 = 2641
  integer, parameter :: nGC_22240 = 2642
  integer, parameter :: nGC_32760 = 2643
  integer, parameter :: nGC_22245 = 2644
  integer, parameter :: nGC_22244 = 2645
  integer, parameter :: nGC_22247 = 2646
  integer, parameter :: nGC_34749 = 2647
  integer, parameter :: nGC_33799 = 2648
  integer, parameter :: nGC_22028 = 2649
  integer, parameter :: nGC_22025 = 2650
  integer, parameter :: nGC_22024 = 2651
  integer, parameter :: nGC_22027 = 2652
  integer, parameter :: nGC_22026 = 2653
  integer, parameter :: nGC_22021 = 2654
  integer, parameter :: nGC_22020 = 2655
  integer, parameter :: nGC_22023 = 2656
  integer, parameter :: nGC_33792 = 2657
  integer, parameter :: nGC_TS_GC_253_Hl = 2658
  integer, parameter :: nGC_41847 = 2659
  integer, parameter :: nGC_32375 = 2660
  integer, parameter :: nGC_32377 = 2661
  integer, parameter :: nGC_36473 = 2662
  integer, parameter :: nGC_22110 = 2663
  integer, parameter :: nGC_22112 = 2664
  integer, parameter :: nGC_22114 = 2665
  integer, parameter :: nGC_22116 = 2666
  integer, parameter :: nGC_22118 = 2667
  integer, parameter :: nGC_22022 = 2668
  integer, parameter :: nGC_35522 = 2669
  integer, parameter :: nGC_32203 = 2670
  integer, parameter :: nGC_35258 = 2671
  integer, parameter :: nGC_39531 = 2672
  integer, parameter :: nGC_32994 = 2673
  integer, parameter :: nGC_38267 = 2674
  integer, parameter :: nGC_36509 = 2675
  integer, parameter :: nGC_33224 = 2676
  integer, parameter :: nGC_33227 = 2677
  integer, parameter :: nGC_33226 = 2678
  integer, parameter :: nGC_33228 = 2679
  integer, parameter :: nGC_39843 = 2680
  integer, parameter :: nGC_39844 = 2681
  integer, parameter :: nGC_34694 = 2682
  integer, parameter :: nGC_5875 = 2683
  integer, parameter :: nGC_32683 = 2684
  integer, parameter :: nGC_58142 = 2685
  integer, parameter :: nGC_33177 = 2686
  integer, parameter :: nGC_44489 = 2687
  integer, parameter :: nGC_44487 = 2688
  integer, parameter :: nGC_44486 = 2689
  integer, parameter :: nGC_TS_GC_23_Hl = 2690
  integer, parameter :: nGC_57505 = 2691
  integer, parameter :: nGC_22111 = 2692
  integer, parameter :: nGC_41031 = 2693
  integer, parameter :: nGC_41033 = 2694
  integer, parameter :: nGC_41032 = 2695
  integer, parameter :: nGC_41034 = 2696
  integer, parameter :: nGC_22232 = 2697
  integer, parameter :: nGC_36474 = 2698
  integer, parameter :: nGC_22050 = 2699
  integer, parameter :: nGC_36044 = 2700
  integer, parameter :: nGC_22052 = 2701
  integer, parameter :: nGC_22583 = 2702
  integer, parameter :: nGC_22581 = 2703
  integer, parameter :: nGC_22587 = 2704
  integer, parameter :: nGC_22507 = 2705
  integer, parameter :: nGC_22340 = 2706
  integer, parameter :: nGC_22341 = 2707
  integer, parameter :: nGC_22342 = 2708
  integer, parameter :: nGC_22343 = 2709
  integer, parameter :: nGC_22344 = 2710
  integer, parameter :: nGC_22345 = 2711
  integer, parameter :: nGC_22346 = 2712
  integer, parameter :: nGC_22347 = 2713
  integer, parameter :: nGC_22348 = 2714
  integer, parameter :: nGC_22349 = 2715
  integer, parameter :: nGC_22569 = 2716
  integer, parameter :: nGC_22565 = 2717
  integer, parameter :: nGC_22566 = 2718
  integer, parameter :: nGC_32369 = 2719
  integer, parameter :: nGC_32361 = 2720
  integer, parameter :: nGC_22696 = 2721
  integer, parameter :: nGC_22697 = 2722
  integer, parameter :: nGC_22166 = 2723
  integer, parameter :: nGC_22695 = 2724
  integer, parameter :: nGC_22160 = 2725
  integer, parameter :: nGC_22161 = 2726
  integer, parameter :: nGC_22690 = 2727
  integer, parameter :: nGC_22163 = 2728
  integer, parameter :: nGC_22168 = 2729
  integer, parameter :: nGC_39290 = 2730
  integer, parameter :: nGC_36998 = 2731
  integer, parameter :: nGC_32214 = 2732
  integer, parameter :: nGC_32968 = 2733
  integer, parameter :: nGC_33588 = 2734
  integer, parameter :: nGC_33586 = 2735
  integer, parameter :: nGC_33587 = 2736
  integer, parameter :: nGC_38900 = 2737
  integer, parameter :: nGC_32983 = 2738
  integer, parameter :: nGC_32984 = 2739
  integer, parameter :: nGC_34750 = 2740
  integer, parameter :: nGC_34208 = 2741
  integer, parameter :: nGC_43176 = 2742
  integer, parameter :: nGC_48599 = 2743
  integer, parameter :: nGC_48597 = 2744
  integer, parameter :: nGC_34880 = 2745
  integer, parameter :: nGC_37870 = 2746
  integer, parameter :: nGC_37871 = 2747
  integer, parameter :: nGC_34375 = 2748
  integer, parameter :: nGC_37580 = 2749
  integer, parameter :: nGC_22466 = 2750
  integer, parameter :: nGC_22461 = 2751
  integer, parameter :: nGC_41395 = 2752
  integer, parameter :: nGC_41397 = 2753
  integer, parameter :: nGC_22304 = 2754
  integer, parameter :: nGC_57425 = 2755
  integer, parameter :: nGC_57421 = 2756
  integer, parameter :: nGC_34808 = 2757
  integer, parameter :: nGC_32660 = 2758
  integer, parameter :: nGC_58778 = 2759
  integer, parameter :: nGC_33108 = 2760
  integer, parameter :: nGC_33109 = 2761
  integer, parameter :: nGC_TS_GC_381_Hl = 2762
  integer, parameter :: nGC_22594 = 2763
  integer, parameter :: nGC_22229 = 2764
  integer, parameter :: nGC_22227 = 2765
  integer, parameter :: nGC_22226 = 2766
  integer, parameter :: nGC_22224 = 2767
  integer, parameter :: nGC_41041 = 2768
  integer, parameter :: nGC_33616 = 2769
  integer, parameter :: nGC_41043 = 2770
  integer, parameter :: nGC_43222 = 2771
  integer, parameter :: nGC_46252 = 2772
  integer, parameter :: nGC_36050 = 2773
  integer, parameter :: nGC_33573 = 2774
  integer, parameter :: nGC_33772 = 2775
  integer, parameter :: nGC_22353 = 2776
  integer, parameter :: nGC_22352 = 2777
  integer, parameter :: nGC_22351 = 2778
  integer, parameter :: nGC_22350 = 2779
  integer, parameter :: nGC_22357 = 2780
  integer, parameter :: nGC_41468 = 2781
  integer, parameter :: nGC_22354 = 2782
  integer, parameter :: nGC_22358 = 2783
  integer, parameter :: nGC_44702 = 2784
  integer, parameter :: nGC_22574 = 2785
  integer, parameter :: nGC_33971 = 2786
  integer, parameter :: nGC_33972 = 2787
  integer, parameter :: nGC_22687 = 2788
  integer, parameter :: nGC_22177 = 2789
  integer, parameter :: nGC_22176 = 2790
  integer, parameter :: nGC_22172 = 2791
  integer, parameter :: nGC_22170 = 2792
  integer, parameter :: nGC_22179 = 2793
  integer, parameter :: nGC_22178 = 2794
  integer, parameter :: nGC_22051 = 2795
  integer, parameter :: nGC_32226 = 2796
  integer, parameter :: nGC_22165 = 2797
  integer, parameter :: nGC_32229 = 2798
  integer, parameter :: nGC_38390 = 2799
  integer, parameter :: nGC_34213 = 2800
  integer, parameter :: nGC_34748 = 2801
  integer, parameter :: nGC_39741 = 2802
  integer, parameter :: nGC_36523 = 2803
  integer, parameter :: nGC_35764 = 2804
  integer, parameter :: nGC_45311 = 2805
  integer, parameter :: nGC_38734 = 2806
  integer, parameter :: nGC_22417 = 2807
  integer, parameter :: nGC_38733 = 2808
  integer, parameter :: nGC_38730 = 2809
  integer, parameter :: nGC_38731 = 2810
  integer, parameter :: nGC_TS_GC_21_Hl = 2811
  integer, parameter :: nGC_36997 = 2812
  integer, parameter :: nGC_38026 = 2813
  integer, parameter :: nGC_38027 = 2814
  integer, parameter :: nGC_43904 = 2815
  integer, parameter :: nGC_32512 = 2816
  integer, parameter :: nGC_32425 = 2817
  integer, parameter :: nGC_33118 = 2818
  integer, parameter :: nGC_37131 = 2819
  integer, parameter :: nGC_60506 = 2820
  integer, parameter :: nGC_22212 = 2821
  integer, parameter :: nGC_32735 = 2822
  integer, parameter :: nGC_22211 = 2823
  integer, parameter :: nGC_22215 = 2824
  integer, parameter :: nGC_33602 = 2825
  integer, parameter :: nGC_33601 = 2826
  integer, parameter :: nGC_22219 = 2827
  integer, parameter :: nGC_32288 = 2828
  integer, parameter :: nGC_39738 = 2829
  integer, parameter :: nGC_32280 = 2830
  integer, parameter :: nGC_36511 = 2831
  integer, parameter :: nGC_32282 = 2832
  integer, parameter :: nGC_33742 = 2833
  integer, parameter :: nGC_32645 = 2834
  integer, parameter :: nGC_22441 = 2835
  integer, parameter :: nGC_22440 = 2836
  integer, parameter :: nGC_22366 = 2837
  integer, parameter :: nGC_22367 = 2838
  integer, parameter :: nGC_22362 = 2839
  integer, parameter :: nGC_22363 = 2840
  integer, parameter :: nGC_22360 = 2841
  integer, parameter :: nGC_22361 = 2842
  integer, parameter :: nGC_22369 = 2843
  integer, parameter :: nGC_33300 = 2844
  integer, parameter :: nGC_22148 = 2845
  integer, parameter :: nGC_33515 = 2846
  integer, parameter :: nGC_22141 = 2847
  integer, parameter :: nGC_22067 = 2848
  integer, parameter :: nGC_53367 = 2849
  integer, parameter :: nGC_32542 = 2850
  integer, parameter :: nGC_35515 = 2851
  integer, parameter :: nGC_32237 = 2852
  integer, parameter :: nGC_32336 = 2853
  integer, parameter :: nGC_58728 = 2854
  integer, parameter :: nGC_21965 = 2855
  integer, parameter :: nGC_21964 = 2856
  integer, parameter :: nGC_21967 = 2857
  integer, parameter :: nGC_21966 = 2858
  integer, parameter :: nGC_21961 = 2859
  integer, parameter :: nGC_21960 = 2860
  integer, parameter :: nGC_21963 = 2861
  integer, parameter :: nGC_21962 = 2862
  integer, parameter :: nGC_21968 = 2863
  integer, parameter :: nGC_36882 = 2864
  integer, parameter :: nGC_32931 = 2865
  integer, parameter :: nGC_44490 = 2866
  integer, parameter :: nGC_36510 = 2867
  integer, parameter :: nGC_36002 = 2868
  integer, parameter :: nGC_22322 = 2869
  integer, parameter :: nGC_22323 = 2870
  integer, parameter :: nGC_22320 = 2871
  integer, parameter :: nGC_22321 = 2872
  integer, parameter :: nGC_22326 = 2873
  integer, parameter :: nGC_22327 = 2874
  integer, parameter :: nGC_22325 = 2875
  integer, parameter :: nGC_34174 = 2876
  integer, parameter :: nGC_22328 = 2877
  integer, parameter :: nGC_22329 = 2878
  integer, parameter :: nGC_32766 = 2879
  integer, parameter :: nGC_32802 = 2880
  integer, parameter :: nGC_33343 = 2881
  integer, parameter :: nGC_34098 = 2882
  integer, parameter :: nGC_33349 = 2883
  integer, parameter :: nGC_22029 = 2884
  integer, parameter :: nGC_22188 = 2885
  integer, parameter :: nGC_22434 = 2886
  integer, parameter :: nGC_22432 = 2887
  integer, parameter :: nGC_22430 = 2888
  integer, parameter :: nGC_22431 = 2889
  integer, parameter :: nGC_51642 = 2890
  integer, parameter :: nGC_22438 = 2891
  integer, parameter :: nGC_22439 = 2892
  integer, parameter :: nGC_33295 = 2893
  integer, parameter :: nGC_22059 = 2894
  integer, parameter :: nGC_36475 = 2895
  integer, parameter :: nGC_33488 = 2896
  integer, parameter :: nGC_22055 = 2897
  integer, parameter :: nGC_32433 = 2898
  integer, parameter :: nGC_33681 = 2899
  integer, parameter :: nGC_32438 = 2900
  integer, parameter :: nGC_36590 = 2901
  integer, parameter :: nGC_40227 = 2902
  integer, parameter :: nGC_40229 = 2903
  integer, parameter :: nGC_40228 = 2904
  integer, parameter :: nGC_39367 = 2905
  integer, parameter :: nGC_57478 = 2906
  integer, parameter :: nGC_59810 = 2907
  integer, parameter :: nGC_21959 = 2908
  integer, parameter :: nGC_22203 = 2909
  integer, parameter :: nGC_21955 = 2910
  integer, parameter :: nGC_21956 = 2911
  integer, parameter :: nGC_60175 = 2912
  integer, parameter :: nGC_40044 = 2913
  integer, parameter :: nGC_60170 = 2914
  integer, parameter :: nGC_37705 = 2915
  integer, parameter :: nGC_33225 = 2916
  integer, parameter :: nGC_32218 = 2917
  integer, parameter :: nGC_22379 = 2918
  integer, parameter :: nGC_22378 = 2919
  integer, parameter :: nGC_32659 = 2920
  integer, parameter :: nGC_22476 = 2921
  integer, parameter :: nGC_22475 = 2922
  integer, parameter :: nGC_34046 = 2923
  integer, parameter :: nGC_22372 = 2924
  integer, parameter :: nGC_22375 = 2925
  integer, parameter :: nGC_22374 = 2926
  integer, parameter :: nGC_22377 = 2927
  integer, parameter :: nGC_22270 = 2928
  integer, parameter :: nGC_22271 = 2929
  integer, parameter :: nGC_34286 = 2930
  integer, parameter :: nGC_34997 = 2931
  integer, parameter :: nGC_33091 = 2932
  integer, parameter :: nGC_37960 = 2933
  integer, parameter :: nGC_37961 = 2934
  integer, parameter :: nGC_33254 = 2935
  integer, parameter :: nGC_47301 = 2936
  integer, parameter :: nGC_36004 = 2937
  integer, parameter :: nGC_22159 = 2938
  integer, parameter :: nGC_22158 = 2939
  integer, parameter :: nGC_22154 = 2940
  integer, parameter :: nGC_22157 = 2941
  integer, parameter :: nGC_22153 = 2942
  integer, parameter :: nGC_22014 = 2943
  integer, parameter :: nGC_22016 = 2944
  integer, parameter :: nGC_22017 = 2945
  integer, parameter :: nGC_22019 = 2946
  integer, parameter :: nGC_38762 = 2947
  integer, parameter :: nGC_58986 = 2948
  integer, parameter :: nGC_32248 = 2949
  integer, parameter :: nGC_32579 = 2950
  integer, parameter :: nGC_39146 = 2951
  integer, parameter :: nGC_32325 = 2952
  integer, parameter :: nGC_39145 = 2953
  integer, parameter :: nGC_22124 = 2954
  integer, parameter :: nGC_36484 = 2955
  integer, parameter :: nGC_36864 = 2956
  integer, parameter :: nGC_33679 = 2957
  integer, parameter :: nGC_32884 = 2958
  integer, parameter :: nGC_33070 = 2959
  integer, parameter :: nGC_33071 = 2960
  integer, parameter :: nGC_36003 = 2961
  integer, parameter :: nGC_44488 = 2962
  integer, parameter :: nGC_32862 = 2963
  integer, parameter :: nGC_33617 = 2964
  integer, parameter :: nGC_22337 = 2965
  integer, parameter :: nGC_22331 = 2966
  integer, parameter :: nGC_22330 = 2967
  integer, parameter :: nGC_22333 = 2968
  integer, parameter :: nGC_22332 = 2969
  integer, parameter :: nGC_22339 = 2970
  integer, parameter :: nGC_38750 = 2971
  integer, parameter :: nGC_34751 = 2972
  integer, parameter :: nGC_22195 = 2973
  integer, parameter :: nGC_22429 = 2974
  integer, parameter :: nGC_22428 = 2975
  integer, parameter :: nGC_22421 = 2976
  integer, parameter :: nGC_22420 = 2977
  integer, parameter :: nGC_22423 = 2978
  integer, parameter :: nGC_22425 = 2979
  integer, parameter :: nGC_22424 = 2980
  integer, parameter :: nGC_22427 = 2981
  integer, parameter :: nGC_22426 = 2982
  integer, parameter :: nGC_34547 = 2983
  integer, parameter :: nGC_38432 = 2984
  integer, parameter :: nGC_32533 = 2985
  integer, parameter :: nGC_32534 = 2986
  integer, parameter :: nGC_32535 = 2987
  integer, parameter :: nGC_22049 = 2988
  integer, parameter :: nGC_33880 = 2989
  integer, parameter :: nGC_22045 = 2990
  integer, parameter :: nGC_22044 = 2991
  integer, parameter :: nGC_39590 = 2992
  integer, parameter :: nGC_33134 = 2993
  integer, parameter :: nGC_33136 = 2994
  integer, parameter :: nGC_33133 = 2995
  integer, parameter :: nGC_33574 = 2996
  integer, parameter :: nGC_39113 = 2997
  integer, parameter :: nGC_36221 = 2998
  integer, parameter :: nGC_39114 = 2999
  integer, parameter :: nGC_37232 = 3000
  integer, parameter :: nGC_37230 = 3001
  integer, parameter :: nGC_37231 = 3002
  integer, parameter :: nGC_32821 = 3003
  integer, parameter :: nGC_32822 = 3004
  integer, parameter :: nGC_32823 = 3005
  integer, parameter :: nGC_32718 = 3006
  integer, parameter :: nGC_32712 = 3007
  integer, parameter :: nGC_59579 = 3008
  integer, parameter :: nGC_22403 = 3009
  integer, parameter :: nGC_22402 = 3010
  integer, parameter :: nGC_32910 = 3011
  integer, parameter :: nGC_35235 = 3012
  integer, parameter :: nGC_35236 = 3013
  integer, parameter :: nGC_22396 = 3014
  integer, parameter :: nGC_58059 = 3015
  integer, parameter :: nGC_38973 = 3016
  integer, parameter :: nGC_22098 = 3017
  integer, parameter :: nGC_22094 = 3018
  integer, parameter :: nGC_22095 = 3019
  integer, parameter :: nGC_22096 = 3020
  integer, parameter :: nGC_22097 = 3021
  integer, parameter :: nGC_22090 = 3022
  integer, parameter :: nGC_22091 = 3023
  integer, parameter :: nGC_22092 = 3024
  integer, parameter :: nGC_22093 = 3025
  integer, parameter :: nGC_38970 = 3026
  integer, parameter :: nGC_22309 = 3027
  integer, parameter :: nGC_22300 = 3028
  integer, parameter :: nGC_48598 = 3029
  integer, parameter :: nGC_41415 = 3030
  integer, parameter :: nGC_22481 = 3031
  integer, parameter :: nGC_22480 = 3032
  integer, parameter :: nGC_22410 = 3033
  integer, parameter :: nGC_22411 = 3034
  integer, parameter :: nGC_22414 = 3035
  integer, parameter :: nGC_22415 = 3036
  integer, parameter :: nGC_22416 = 3037
  integer, parameter :: nGC_22418 = 3038
  integer, parameter :: nGC_34478 = 3039
  integer, parameter :: nGC_57722 = 3040
  integer, parameter :: nGC_39535 = 3041
  integer, parameter :: nGC_36710 = 3042
  integer, parameter :: nGC_32195 = 3043
  integer, parameter :: nGC_57850 = 3044
  integer, parameter :: nGC_36976 = 3045
  integer, parameter :: nGC_33660 = 3046
  integer, parameter :: nGC_32895 = 3047
  integer, parameter :: nGC_32894 = 3048
  integer, parameter :: nGC_32896 = 3049
  integer, parameter :: nGC_22319 = 3050
  integer, parameter :: nGC_36370 = 3051
  integer, parameter :: nGC_36371 = 3052
  integer, parameter :: nGC_36372 = 3053
  integer, parameter :: nGC_36373 = 3054
  integer, parameter :: nGC_36374 = 3055
  integer, parameter :: nGC_32186 = 3056
  integer, parameter :: nGC_40243 = 3057
  integer, parameter :: nGC_41042 = 3058
  integer, parameter :: nGC_22220 = 3059
  integer, parameter :: nGC_33575 = 3060
  integer, parameter :: nGC_35899 = 3061
  integer, parameter :: nGC_58301 = 3062
  integer, parameter :: nGC_22454 = 3063
  integer, parameter :: nGC_22455 = 3064
  integer, parameter :: nGC_22456 = 3065
  integer, parameter :: nGC_32135 = 3066
  integer, parameter :: nGC_22298 = 3067
  integer, parameter :: nGC_22299 = 3068
  integer, parameter :: nGC_22297 = 3069
  integer, parameter :: nGC_51444 = 3070
  integer, parameter :: nGC_37530 = 3071
  integer, parameter :: nGC_37431 = 3072
  integer, parameter :: nGC_37432 = 3073
  integer, parameter :: nGC_22074 = 3074
  integer, parameter :: nGC_22075 = 3075
  integer, parameter :: nGC_58845 = 3076
  integer, parameter :: nGC_32416 = 3077
  integer, parameter :: nGC_37229 = 3078
  integer, parameter :: nGC_37228 = 3079
  integer, parameter :: nGC_35134 = 3080
  integer, parameter :: nGC_37368 = 3081
  integer, parameter :: nGC_37369 = 3082
  integer, parameter :: nGC_34775 = 3083
  integer, parameter :: nGC_47198 = 3084
  integer, parameter :: nGC_33654 = 3085
  integer, parameter :: nGC_21976 = 3086
  integer, parameter :: nGC_21977 = 3087
  integer, parameter :: nGC_21975 = 3088
  integer, parameter :: nGC_32909 = 3089
  integer, parameter :: nGC_22089 = 3090
  integer, parameter :: nGC_22088 = 3091
  integer, parameter :: nGC_22087 = 3092
  integer, parameter :: nGC_22084 = 3093
  integer, parameter :: nGC_22083 = 3094
  integer, parameter :: nGC_35779 = 3095
  integer, parameter :: nGC_34066 = 3096
  integer, parameter :: nGC_32677 = 3097
  integer, parameter :: nGC_22318 = 3098
  integer, parameter :: nGC_32770 = 3099
  integer, parameter :: nGC_22316 = 3100
  integer, parameter :: nGC_22315 = 3101
  integer, parameter :: nGC_22314 = 3102
  integer, parameter :: nGC_22313 = 3103
  integer, parameter :: nGC_22312 = 3104
  integer, parameter :: nGC_22311 = 3105
  integer, parameter :: nGC_22256 = 3106
  integer, parameter :: nGC_22255 = 3107
  integer, parameter :: nGC_22252 = 3108
  integer, parameter :: nGC_22253 = 3109
  integer, parameter :: nGC_50770 = 3110
  integer, parameter :: nGC_44713 = 3111
  integer, parameter :: nGC_34479 = 3112
  integer, parameter :: nGC_22419 = 3113
  integer, parameter :: nGC_38028 = 3114
  integer, parameter :: nGC_22038 = 3115
  integer, parameter :: nGC_22030 = 3116
  integer, parameter :: nGC_38899 = 3117
  integer, parameter :: nGC_34404 = 3118
  integer, parameter :: nGC_34405 = 3119
  integer, parameter :: nGC_22401 = 3120
  integer, parameter :: nGC_22400 = 3121
  integer, parameter :: nGC_22406 = 3122
  integer, parameter :: nGC_22405 = 3123
  integer, parameter :: nGC_22404 = 3124
  integer, parameter :: nGC_51653 = 3125
  integer, parameter :: nGC_37509 = 3126
  integer, parameter :: nGC_39008 = 3127
  integer, parameter :: nGC_39007 = 3128
  integer, parameter :: nGC_36703 = 3129
  integer, parameter :: nGC_37507 = 3130
  integer, parameter :: nGC_36704 = 3131
  integer, parameter :: nGC_22106 = 3132
  integer, parameter :: nGC_22104 = 3133
  integer, parameter :: nGC_22105 = 3134
  integer, parameter :: nGC_37325 = 3135
  integer, parameter :: nGC_22189 = 3136
  integer, parameter :: nGC_34709 = 3137
  integer, parameter :: nGC_39645 = 3138
  integer, parameter :: nGC_40623 = 3139
  integer, parameter :: nGC_32824 = 3140
  integer, parameter :: nGC_32825 = 3141
  integer, parameter :: nGC_57940 = 3142
  integer, parameter :: nGC_33682 = 3143
  integer, parameter :: nGC_33669 = 3144
  integer, parameter :: nGC_58007 = 3145
  integer, parameter :: nGC_32196 = 3146
  integer, parameter :: nGC_32197 = 3147
  integer, parameter :: nGC_32439 = 3148
  integer, parameter :: nGC_34710 = 3149
  integer, parameter :: nGC_59732 = 3150
  integer, parameter :: nGC_35609 = 3151
  integer, parameter :: nGC_39147 = 3152
  integer, parameter :: nGC_39009 = 3153
  integer, parameter :: nGC_33603 = 3154
  integer, parameter :: nGC_41473 = 3155
  integer, parameter :: nGC_34711 = 3156
  integer, parameter :: nGC_51644 = 3157
  integer, parameter :: nGC_51643 = 3158
  integer, parameter :: nGC_37962 = 3159
  integer, parameter :: nGC_38971 = 3160
  integer, parameter :: nGC_38972 = 3161
  integer, parameter :: nGC_33135 = 3162
  integer, parameter :: nGC_37508 = 3163
  integer, parameter :: nGC_58030 = 3164
  integer, parameter :: nGC_58219 = 3165
  integer, parameter :: nGC_34406 = 3166
  integer, parameter :: nGC_41472 = 3167
  integer, parameter :: nGC_35610 = 3168
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
