!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_21925) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5&
                         *sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 +  &
                         cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*  &
                         vev2)
      coupl(nGC_21924) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_21760) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_21655) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21815) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_21814) = cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_21817) = -cima*sb
      coupl(nGC_21816) = -cb*cima
      coupl(nGC_21811) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_21810) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_99) = -cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_98) = -cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_21921) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb -  &
                         cb*l5*sa*sb)
      coupl(nGC_21920) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_20773) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_20804) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**  &
                       2d0*sb*vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2&
                       /(2d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev1/(2d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev2/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_20806) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_20777) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20776) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21495) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21494) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21497) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_74) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*&
                      cb**2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 +  &
                      4d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
      coupl(nGC_21498) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*&
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*&
                       vev2/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb &
                       **2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*&
                       ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev1/(2d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*  &
                       vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima* &
                       ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb** &
                       2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0  &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima&
                       *ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0* &
                       vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_232) = cb*cima*ee**2d0*vev2/(2d0*cw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*cw)
      coupl(nGC_233) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_230) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_231) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_236) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_237) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_234) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_235) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_79) = -ca*ee**2d0*sb/(4d0*sw**2d0) + cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_238) = cb*cima*ee**2d0*vev1/(2d0*cw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*cw)
      coupl(nGC_239) = -cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb&
                       *vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw** &
                       2d0) + ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_21149) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21752) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21002) = -cima*sa*sb**2d0*vev2
      coupl(nGC_21003) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21000) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21001) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                         ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**  &
                         2d0*vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 -  &
                         cb**2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*&
                         sa*sb*vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_21006) = -ca*cb**2d0*cima*vev1
      coupl(nGC_21007) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21004) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*&
                         sa*sb**2d0)
      coupl(nGC_21005) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb +  &
                         cb*l5*sa*sb)
      coupl(nGC_21008) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb* &
                         l5*sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1  &
                          + cb*l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0&
                         *vev1)
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_20841) = -sqrt(2d0)*sb/2d0
      coupl(nGC_20840) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20845) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_20844) = -cb**2d0*cima*sb**2d0
      coupl(nGC_20847) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20846) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_348) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
      coupl(nGC_349) = -cb*cima*ydo1 - cima*sb*ydo2
      coupl(nGC_346) = -cb*cima*ydo2 + cima*sb*ydo1
      coupl(nGC_347) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_344) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_345) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
      coupl(nGC_342) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
      coupl(nGC_343) = -cb*cima*yb2 + cima*sb*yd13x3
      coupl(nGC_340) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_341) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_21502) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_567) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_565) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_563) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_561) = ca*cb*cima*sb*vev1
      coupl(nGC_20821) = cima*sb
      coupl(nGC_21316) = 2d0*cima*ee
      coupl(nGC_21314) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_21315) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_21312) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - &
                         ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa&
                          - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**&
                         2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21313) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_21310) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21311) = -cb**2d0*cima*sa**2d0
      coupl(nGC_168) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l2 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l1*sb**4d0
      coupl(nGC_169) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l1 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l2*sb**4d0
      coupl(nGC_162) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 - &
                       cb**4d0*cima*l4 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) -  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 - cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) - cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 - cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_163) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/  &
                       2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima*ee**2d0*sb**2d0&
                       /(2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*&
                       l2*sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*&
                       l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0 - cima*ee**2d0*sb**&
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_161) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima* &
                       l1 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima* &
                       ee**2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**&
                       2d0 - 4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*&
                       sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) -  &
                       cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l2*sb**4d0&
                        - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
      coupl(nGC_166) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 -  &
                       cb**4d0*cima*l4 + cb**4d0*cima*ee**2d0/(4d0*cw**2d0) +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 + cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) + cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 + cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_167) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/2d0&
                        - cb**4d0*cima*l5/2d0 + cb**2d0*cima*ee**2d0*sb**2d0/( &
                       2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*l2&
                       *sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*l4&
                       *sb**2d0 + cb**2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**  &
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_164) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l2 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l1*sb**4d0
      coupl(nGC_165) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l1 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l2*sb**4d0
      coupl(nGC_525) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_20790) = -cb**4d0*cima
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_21813) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_21812) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_21792) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21793) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21790) = -sqrt(2d0)*sb/2d0
      coupl(nGC_21791) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21796) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21797) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw  &
                          + sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21794) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_21795) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21553) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa* &
                         vev1)/(cw**2d0*sw**2d0)
      coupl(nGC_21554) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                         ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_21555) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )*(ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_21556) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_21557) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                         sw**2d0)
      coupl(nGC_21558) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*  &
                         vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_21559) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21178) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**&
                         2d0)
      coupl(nGC_21179) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21176) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**&
                         2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa&
                          - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa &
                         **2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_21177) = -ca**2d0*cb**2d0*cima
      coupl(nGC_21175) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_221) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw&
                        - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_220) = cb**2d0*cima*cw*ee**2d0/sw - cb**2d0*cima*ee**2d0*sw/cw &
                        + cima*cw*ee**2d0*sb**2d0/sw - cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_223) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_222) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_225) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_227) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_226) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) +   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_229) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_228) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_21772) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_21776) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_21777) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_21015) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + &
                         sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21014) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21011) = cb*cima
      coupl(nGC_21010) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_21013) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21012) = cima*sb
      coupl(nGC_20834) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20835) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20836) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20837) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_20830) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_20787) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20832) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_20833) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_359) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_358) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_355) = -cb*cima*ye1 - cima*sb*ye2
      coupl(nGC_354) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
      coupl(nGC_357) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_356) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_351) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
      coupl(nGC_350) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_353) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_352) = -cb*cima*ye2 + cima*sb*ye1
      coupl(nGC_575) = sqrt(2d0)*cb/2d0
      coupl(nGC_571) = sqrt(2d0)*sb/2d0
      coupl(nGC_573) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_21309) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**&
                         2d0)
      coupl(nGC_21308) = -ca**2d0*cima*sb**2d0
      coupl(nGC_21220) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_179) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_178) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_20942) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20943) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20944) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0* &
                         l4 + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0&
                          - l5*sa**2d0)
      coupl(nGC_20945) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20946) = -3d0*ca**4d0*cima
      coupl(nGC_20947) = -3d0*cima*sa**4d0
      coupl(nGC_171) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l1&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l2*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_170) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l2&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l1*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_173) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_172) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_175) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_174) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0* &
                       sw)
      coupl(nGC_177) = ca*cima*ee**2d0*sb/sw - cb*cima*ee**2d0*sa/sw
      coupl(nGC_176) = -ca*cima*ee**2d0*sb/sw + cb*cima*ee**2d0*sa/sw
      coupl(nGC_20704) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_595) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_773) = cima/(2d0*cMW)
      coupl(nGC_777) = -cima/(2d0*cMW)
      coupl(nGC_21763) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_21762) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_21761) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_21764) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_97) = ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0 &
                      /(2d0*cw) + cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_96) = -ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0&
                      /(2d0*cw) - cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_95) = ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0 &
                      /(4d0*cw) + cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_94) = -ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0&
                      /(4d0*cw) - cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_93) = ca*cb*ee**2d0/(2d0*sw**2d0) + ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_92) = ca*cb*ee**2d0/(4d0*sw**2d0) + ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_91) = -ca*cb*ee**2d0/(4d0*sw**2d0) - ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_90) = -ca*cb*ee**2d0/(2d0*sw**2d0) - ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_21785) = -cb*cima
      coupl(nGC_21784) = -cima*sb
      coupl(nGC_21787) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_21786) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21781) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21780) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21783) = -cima*(cb*ye2 - sb*ye1)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
