!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_21782) = cima*ee/3d0
      coupl(nGC_21789) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_21788) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_75) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_77) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_76) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_71) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*&
                      sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*  &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
      coupl(nGC_70) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima&
                      *l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0* &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0
      coupl(nGC_73) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 -   &
                      3d0*cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0&
                       + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**&
                      2d0 + 4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 -    &
                      cima*l4*sb**4d0 - cima*l5*sb**4d0
      coupl(nGC_72) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima&
                      *l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb&
                      **2d0 - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
      coupl(nGC_78) = -ca*ee**2d0*sb/(2d0*sw**2d0) + cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_3395) = -coupl(nGC_347)
      coupl(nGC_21168) = cima*sb
      coupl(nGC_21167) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_21166) = -cb*cima
      coupl(nGC_21161) = -cima*sa**2d0*sb**2d0
      coupl(nGC_21160) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_21162) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb&
                         **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca&
                         *l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_21769) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_21768) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_218) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0* &
                       cw) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(&
                       2d0*cw)
      coupl(nGC_219) = cb**2d0*cima*cw*ee**2d0/(2d0*sw) - cb**2d0*cima*ee**2d0*&
                       sw/(2d0*cw) + cima*cw*ee**2d0*sb**2d0/(2d0*sw) - cima*ee&
                       **2d0*sb**2d0*sw/(2d0*cw)
      coupl(nGC_214) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee* &
                       sa/(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_215) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*&
                       sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_216) = ca*cb*cw*ee/(2d0*sw) + ca*cb*ee*sw/(2d0*cw) + cw*ee*sa* &
                       sb/(2d0*sw) + ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_217) = cb**2d0*cima*cw*ee/(2d0*sw) - cb**2d0*cima*ee*sw/(2d0*cw&
                       ) + cima*cw*ee*sb**2d0/(2d0*sw) - cima*ee*sb**2d0*sw/(  &
                       2d0*cw)
      coupl(nGC_210) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_211) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_212) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_213) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*&
                       sa/(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_20799) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb -  &
                         cb*l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_20798) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*  &
                         vev2 + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*  &
                         vev1)
      coupl(nGC_20829) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_20828) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20827) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20794) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_20825) = -cb**2d0*cima*sb**2d0
      coupl(nGC_20824) = -cb**2d0*cima*sb**2d0
      coupl(nGC_20823) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_20820) = -cb*cima
      coupl(nGC_368) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_369) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_20826) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_360) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_361) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_362) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_363) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_364) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_365) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_366) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_367) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_541) = cima*sa*sb**2d0*vev1
      coupl(nGC_543) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_545) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_547) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_20791) = -cima*sb**4d0
      coupl(nGC_21378) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21379) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21374) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0* &
                         sw)
      coupl(nGC_21375) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21376) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_20792) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21371) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_21372) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_21373) = -2d0*cima*ee
      coupl(nGC_144) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**&
                       2d0
      coupl(nGC_145) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_146) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**&
                       2d0
      coupl(nGC_147) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_140) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0&
                       *sb**2d0
      coupl(nGC_141) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_142) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + &
                       cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/  &
                       2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*&
                       l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_143) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l5 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa* &
                       sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2* &
                       sa*sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa* &
                       sb - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                       /(2d0*cw**2d0) + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_148) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*ee**  &
                       2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(4d0*sw**2d0  &
                       ) + ca*ee**2d0*sb**3d0/(4d0*cw**2d0) + cb**3d0*ee**2d0* &
                       sa/(4d0*sw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb&
                       *ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*ee**2d0*sa*sb**  &
                       2d0/(4d0*cw**2d0)
      coupl(nGC_149) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/&
                       2d0 - ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_20953) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20952) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20951) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_20950) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 &
                          - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0  &
                          + l5*sa**2d0)
      coupl(nGC_20957) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_20956) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20955) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_20954) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_20959) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_20958) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21205) = -cima*ee*sw/cw**2d0
      coupl(nGC_21206) = cima*ee*sw/cw
      coupl(nGC_21208) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0* &
                         ca*cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**  &
                         2d0*vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 -  &
                         cb**2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*&
                         sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_21209) = -ca*cb*cima*sb*vev2
      coupl(nGC_21923) = cb**2d0*cima*sa*vev1
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_781) = 1d0/(2d0*cMZ)
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_587) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_21377) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_88) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb &
                      /(2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_89) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_80) = ca*ee**2d0*sb/(4d0*sw**2d0) - cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_81) = ca*ee**2d0*sb/(2d0*sw**2d0) - cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_82) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_83) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_84) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_85) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_86) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_87) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_21073) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0* &
                         sa*vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_21072) = -cima*sa*sb**2d0*vev2
      coupl(nGC_66) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l1*sb**4d0
      coupl(nGC_67) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l2*sb**4d0
      coupl(nGC_64) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l1*sb**4d0
      coupl(nGC_65) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l1*sb**4d0
      coupl(nGC_62) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/&
                      2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb** &
                      2d0*l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_63) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0&
                      /2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**&
                      2d0*l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_21570) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_21571) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_68) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l2*sb**4d0
      coupl(nGC_69) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l2*sb**4d0
      coupl(nGC_2389) = -coupl(nGC_215)
      coupl(nGC_21194) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_21195) = -cima*sb
      coupl(nGC_21196) = cb*cima
      coupl(nGC_21197) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21198) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                         **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca&
                         *l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_21199) = -cima*sa**2d0*sb**2d0
      coupl(nGC_209) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_208) = cima*ee*sw/cw
      coupl(nGC_21758) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_21759) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_203) = cima*cw*ee**2d0/sw
      coupl(nGC_202) = -cima*cw*ee**2d0/sw
      coupl(nGC_201) = 2d0*cima*cw*ee/sw
      coupl(nGC_200) = -2d0*cima*cw*ee/sw
      coupl(nGC_207) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_206) = cima*ee*sw/(3d0*cw)
      coupl(nGC_205) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_204) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_21499) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_377) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_376) = -cb*cima*ytau2 + cima*sb*ytau1
      coupl(nGC_375) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/ &
                       2d0
      coupl(nGC_374) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_373) = cb*cima*yt1 + cima*sb*yt2
      coupl(nGC_20765) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_371) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_370) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_20768) = -2d0*cb**4d0*cima
      coupl(nGC_20818) = cima*cw*ee/sw
      coupl(nGC_20819) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_379) = -cb*cima*ytau1 - cima*sb*ytau2
      coupl(nGC_378) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/ &
                       2d0
      coupl(nGC_559) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_557) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_555) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_553) = -cb*cima*sa*sb*vev2
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_153) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/ &
                       2d0 + ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_152) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/ &
                       2d0 - ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_151) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*ee**2d0&
                       *sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/(4d0*sw**2d0) -  &
                       ca*ee**2d0*sb**3d0/(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/( &
                       4d0*sw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee &
                       **2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*ee**2d0*sa*sb**2d0/(&
                       4d0*cw**2d0)
      coupl(nGC_150) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/&
                       2d0 + ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_157) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*ee**2d0/( &
                       4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) +  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_156) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_155) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_154) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*ee**2d0/(&
                       4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) -  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_159) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 +  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_158) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 -  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_20960) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_20961) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21212) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0  &
                          - ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/&
                         2d0
      coupl(nGC_21214) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_21219) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_21218) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_21201) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_21147) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_21517) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_21146) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_21145) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_21144) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 +  &
                         ca*cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb  &
                          - 2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0* &
                         l5*sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2121) = -coupl(nGC_172)
      coupl(nGC_21143) = ca**2d0*cb*cima*sb
      coupl(nGC_21513) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21141) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                         **2d0 - cb*sa**2d0*sb)
      coupl(nGC_21569) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_21568) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_21561) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_21563) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21562) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_21565) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_21567) = -cb*cima
      coupl(nGC_21566) = cima*sb
      coupl(nGC_53) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**&
                      3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0&
                      *l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_52) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb** &
                      3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0&
                      *l5*sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_51) = ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0 &
                      /(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee&
                      **2d0*sa*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_50) = -ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0&
                      /(4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee&
                      **2d0*sa*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_57) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb &
                      **3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima* &
                      l2*sb**3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**&
                      3d0 + 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_55) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4&
                      *sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima* &
                      l3*sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
      coupl(nGC_54) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima* &
                      l4*sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima&
                      *l3*sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
