!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_21082) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21083) = -ca*cb**2d0*cima*sa
      coupl(nGC_21080) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_21081) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21086) = ca*cima*sa*sb**2d0
      coupl(nGC_21087) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*&
                         sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0&
                         *l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_21084) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21085) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_20770) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21882) = cima*sb
      coupl(nGC_21883) = -cima*ee
      coupl(nGC_21880) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_21881) = cb*cima
      coupl(nGC_21886) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_21887) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21884) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21885) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_21888) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa &
                         **2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_21889) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0* &
                         l1*sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*&
                         sa**2d0)
      coupl(nGC_21348) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca&
                         *cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1  &
                          + ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*&
                         sb*vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*&
                         sa*sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_21394) = -sqrt(2d0)*sb/2d0
      coupl(nGC_21395) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_21392) = ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_21393) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21390) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_21391) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_21868) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0*&
                         ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2&
                         *sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*&
                         vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1&
                          + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +  &
                         7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3*&
                         sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*  &
                         vev2)
      coupl(nGC_21869) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_21860) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0*&
                         l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa* &
                         vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2&
                          + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -  &
                         2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3* &
                         sa**3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_21861) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa &
                         **2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_21862) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_21863) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_21864) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa &
                         **2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_21865) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa &
                         **2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_21866) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                         *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa&
                         **2d0)
      coupl(nGC_21867) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0* &
                         l2*sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*&
                         sa**2d0)
      coupl(nGC_21840) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_21841) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2741) = -coupl(nGC_344)
      coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**  &
                       2d0) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_13) = cima*gs
      coupl(nGC_21712) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_21713) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_21711) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_21716) = -cb*cima
      coupl(nGC_21714) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_21715) = cima*sb
      coupl(nGC_20728) = 2d0*cb**3d0*cima*sb
      coupl(nGC_20729) = -2d0*cb*cima*sb**3d0
      coupl(nGC_20724) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20725) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb** &
                         4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb** &
                         2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 &
                          + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - &
                         l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_20726) = -gs
      coupl(nGC_20727) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20720) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20721) = 3d0*cb**3d0*cima*sb
      coupl(nGC_20722) = -3d0*cb*cima*sb**3d0
      coupl(nGC_20723) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_331) = -ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1 - ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev2 - cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_330) = -ca*cima*cw**2d0*ee**2d0*vev1/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1/2d0 - ca*cima*ee**2d0*sw**2d0*vev1/(4d0*cw** &
                       2d0) - cima*cw**2d0*ee**2d0*sa*vev2/(4d0*sw**2d0) - cima&
                       *ee**2d0*sa*vev2/2d0 - cima*ee**2d0*sa*sw**2d0*vev2/(4d0&
                       *cw**2d0)
      coupl(nGC_21662) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_21660) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_21330) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21263) = -ca*cb*cima*sa*sb
      coupl(nGC_21234) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                         ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa&
                          - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**&
                         2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_20927) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_20928) = cima*sb
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_21259) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + &
                         ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0* &
                         l3*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca* &
                         l3*sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa** &
                         2d0*sb)
      coupl(nGC_21258) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21257) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca** &
                         2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb* &
                         l5*sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - &
                         cb*l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**  &
                         2d0*sb + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21256) = -ca*cb*cima*sa*sb
      coupl(nGC_21255) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_21254) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb* &
                         sa*sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21253) = -ca*cb*cima*sa*sb
      coupl(nGC_21252) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca* &
                         cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*&
                         l4*sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca* &
                         l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb&
                         **2d0 - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21251) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_12) = -gs
      coupl(nGC_21094) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*&
                         sb + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0&
                         *l3*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_21091) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21090) = -ca*cima*sa*sb**2d0
      coupl(nGC_21093) = ca*cb**2d0*cima*sa
      coupl(nGC_513) = -cb**2d0*cima*sa*vev2
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_517) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_515) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_519) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_5123) = -coupl(nGC_173)
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_21897) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_21891) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0&
                         *ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0* &
                         l1*sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4* &
                         sa*vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0* &
                         vev2 + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2&
                          + 7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*&
                         l3*sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0&
                         *vev1)
      coupl(nGC_21890) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**  &
                         2d0*l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5&
                         *sa**2d0)
      coupl(nGC_21899) = -cima*sb
      coupl(nGC_21898) = -cb*cima
      coupl(nGC_21381) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_21380) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21385) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21384) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_21387) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21386) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21389) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21388) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21200) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_21879) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_21878) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21873) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_21872) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_21871) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_21870) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_21877) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21876) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0&
                         *l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*&
                         vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1&
                          - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +  &
                         2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3* &
                         sa**3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_21875) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 +  &
                         l2*sa**2d0)
      coupl(nGC_21753) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21750) = -sqrt(2d0)*cb/2d0
      coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_21751) = -2d0*gs
      coupl(nGC_21203) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                         **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca&
                         *l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_21204) = cima*ee/cw
      coupl(nGC_21525) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_21524) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21527) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_21521) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21520) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_21528) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21207) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_21874) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 +  &
                         l5*sa**2d0)
      coupl(nGC_21142) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_3575) = -2d0*coupl(nGC_15)
      coupl(nGC_21709) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_21708) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**&
                         2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21705) = -cima*sb
      coupl(nGC_21704) = -cb*cima
      coupl(nGC_21707) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21703) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_21140) = -cb*cima*sa**2d0*sb
      coupl(nGC_20760) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                          + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0  &
                          - l5*sb**2d0)
      coupl(nGC_20761) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_21931) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_20762) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_20763) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20737) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_20764) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20735) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_20733) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_20732) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb** &
                         4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb** &
                         2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 &
                          + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - &
                         l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_20731) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_372) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
      coupl(nGC_20766) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20767) = -2d0*cima*sb**4d0
      coupl(nGC_20769) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20937) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_20936) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_20931) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20930) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_20932) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20939) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_20938) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca** &
                         4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa** &
                         2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 &
                          + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - &
                         l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0* &
                       sw)
    end subroutine fill_couplings_mdl4
end module fill_couplings4
