!******************************************************************************!
!                                                                              !
!    fill_couplings6.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings6.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl6()
      coupl(nGC_21912) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_21913) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21917) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_21918) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0* &
                         ca*cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**  &
                         2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 -  &
                         cb**2d0*l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*&
                         sa*sb*vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_21919) = -ca*cima*sb**2d0*vev2
      coupl(nGC_I) = cima
      coupl(nGC_579) = sqrt(2d0)*cb/2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1219) = -coupl(nGC_386)
      coupl(nGC_21442) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21443) = -sqrt(2d0)*sb/2d0
      coupl(nGC_21440) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21264) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca** &
                         2d0*cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0* &
                         l5*sa + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - &
                         cb*l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**  &
                         2d0*sb)
      coupl(nGC_21307) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca** &
                         2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa&
                          - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa &
                         **2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2145) = -coupl(nGC_179)
      coupl(nGC_21306) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21066) = -2d0*cima*ee**2d0
      coupl(nGC_20935) = -3d0*ca*cima*sa**3d0
      coupl(nGC_21629) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_20940) = -3d0*cima*sa**4d0
      coupl(nGC_20941) = -3d0*ca**4d0*cima
      coupl(nGC_20948) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_3051) = -coupl(nGC_26)
      coupl(nGC_20949) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_21138) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21139) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb** &
                         2d0 + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**  &
                         2d0*l5*sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa** &
                         2d0 + cb**2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**  &
                         2d0*l5*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb** &
                         2d0 - l4*sa**2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21134) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_21135) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_21132) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_21133) = -cb*cima
      coupl(nGC_21130) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca** &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21131) = -cima*sb
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw&
                       **2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_20987) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_20980) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_20981) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_20988) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_20989) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_21053) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21055) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**&
                         2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21054) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_20870) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_20871) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20872) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20873) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20874) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20875) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_20876) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_20877) = sqrt(2d0)*cb/2d0
      coupl(nGC_20878) = sqrt(2d0)*sb/2d0
      coupl(nGC_1773) = -coupl(nGC_356)
      coupl(nGC_4) = cima*ee
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_21836) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_21835) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21834) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21833) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_21832) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_21831) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_21830) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20805) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21112) = -ca*cima*sa*sb**2d0
      coupl(nGC_21458) = -cb*cima
      coupl(nGC_21526) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21441) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_20801) = ca*cb*cima*sb*vev1
      coupl(nGC_21496) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_20756) = -cima*sb**4d0
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_21457) = cima*sb
      coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_21459) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_21659) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_21564) = -sqrt(2d0)*sb/2d0
      coupl(nGC_20803) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb* &
                         l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                         l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*   &
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_21523) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_20802) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_21522) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1007) = -coupl(nGC_380)
      coupl(nGC_56) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb&
                      **3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima* &
                      l1*sb**3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**&
                      3d0 - 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_21656) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
      coupl(nGC_20690) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20691) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_20692) = sqrt(2d0)*sb/2d0
      coupl(nGC_20693) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_20694) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_20695) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_20696) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_21654) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_21587) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21589) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21588) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21639) = -sqrt(2d0)*sb/2d0
      coupl(nGC_21638) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_21635) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21634) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_21637) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_21636) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21631) = cb*cima
      coupl(nGC_21630) = -cima*sb
      coupl(nGC_21633) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21632) = sqrt(2d0)*sb/2d0
      coupl(nGC_21661) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_21121) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21120) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                         2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_21123) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb** &
                         2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**  &
                         2d0*l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa** &
                         2d0 - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**  &
                         2d0*l5*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb** &
                         2d0 + l4*sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_21122) = ca*cima*sa*sb**2d0
      coupl(nGC_21125) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*&
                         sb + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0&
                         *l3*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_21124) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21127) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21126) = -cb*cima*sa**2d0*sb
      coupl(nGC_21129) = ca**2d0*cb*cima*sb
      coupl(nGC_21128) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_20997) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_20996) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_20995) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_20994) = cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_20993) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_20992) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_20991) = sqrt(2d0)*cb/2d0
      coupl(nGC_20990) = -sqrt(2d0)*sb/2d0
      coupl(nGC_20999) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_20998) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_21028) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21029) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_21024) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_21025) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_21026) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_21027) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_21021) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_21022) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_21023) = -2d0*cima*ee**2d0/sw
      coupl(nGC_20863) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20862) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20861) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_20860) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb &
                         **2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0* &
                         vev1 + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*&
                         sa*sb**2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0* &
                         vev2)
      coupl(nGC_20867) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20866) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20865) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_20864) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_21115) = ca*cb**2d0*cima*sa
      coupl(nGC_20869) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20868) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21331) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21332) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21333) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21334) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21335) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21336) = cb*cima*sb**3d0
      coupl(nGC_21337) = -cb**3d0*cima*sb
      coupl(nGC_21338) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21339) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_21754) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0  &
                         )**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_11213) = coupl(nGC_191)/2d0
      coupl(nGC_11215) = -coupl(nGC_191)
    end subroutine fill_couplings_mdl6
end module fill_couplings6
