!******************************************************************************!
!                                                                              !
!    fill_couplings7.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings7.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl7()
      coupl(nGC_21692) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_21936) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0&
                          + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_21937) = cb**2d0*cima*sa*vev1
      coupl(nGC_21934) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*&
                         sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_21935) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5  &
                          + ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_21932) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*&
                         cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - &
                         ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*&
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_21933) = -ca*cima*sb**2d0*vev2
      coupl(nGC_20916) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
      coupl(nGC_21938) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_21939) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca* &
                         l3*sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0* &
                         vev1 + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb** &
                         2d0*l5*sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*&
                         vev2)
      coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
      coupl(nGC_20913) = 3d0*ca*cima*sa**3d0
      coupl(nGC_20812) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
      coupl(nGC_20929) = -cb*cima
      coupl(nGC_20813) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_21808) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21809) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_21802) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21803) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21801) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_21806) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_21807) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_21804) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21805) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0* &
                         sw)
      coupl(nGC_20810) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21590) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21591) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_20811) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21560) = cima*ee**2d0/sw
      coupl(nGC_2523) = coupl(nGC_10)/2d0
      coupl(nGC_20816) = -cima*cw*ee/sw**2d0
      coupl(nGC_2525) = -coupl(nGC_10)
      coupl(nGC_20817) = cima*ee/sw
      coupl(nGC_20814) = cb*cima
      coupl(nGC_20683) = -2d0*cima*ee/3d0
      coupl(nGC_20687) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_20686) = cb*cima
      coupl(nGC_20685) = -cima*sb
      coupl(nGC_20684) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_20689) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20688) = sqrt(2d0)*sb/2d0
      coupl(nGC_20815) = cima*sb
      coupl(nGC_20822) = 2d0*cima*ee**2d0
      coupl(nGC_3695) = -coupl(nGC_4)
      coupl(nGC_7349) = -coupl(nGC_12)
      coupl(nGC_21657) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21480) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_60) = -ca*cb**3d0*ee**2d0/(4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0&
                      /(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee&
                      **2d0*sa*sb**3d0/(4d0*cw**2d0)
      coupl(nGC_21154) = cb*cima*sa**2d0*sb
      coupl(nGC_21155) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                         *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -  &
                         2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5* &
                         sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21156) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_21157) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca* &
                         cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - &
                         ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb&
                         )
      coupl(nGC_21150) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb** &
                         2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**  &
                         2d0*l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa** &
                         2d0 - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**  &
                         2d0*l5*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb** &
                         2d0 + l4*sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_21151) = -ca**2d0*cb*cima*sb
      coupl(nGC_21152) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa* &
                         sb**2d0 - cb*sa**2d0*sb)
      coupl(nGC_21153) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21158) = -ca**2d0*cb**2d0*cima
      coupl(nGC_21159) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_61) = ca*cb**3d0*ee**2d0/(4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0 &
                      /(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee&
                      **2d0*sa*sb**3d0/(4d0*cw**2d0)
      coupl(nGC_21036) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + &
                         sw)/(cw*sw)
      coupl(nGC_21035) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw)
      coupl(nGC_21034) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                         cw*sw**2d0)
      coupl(nGC_20856) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0  &
                          - ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_20857) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                          - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_20854) = -ca*cb**2d0*cima*vev2
      coupl(nGC_20855) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa&
                         *vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_20852) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_20853) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                         cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - &
                         ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*&
                         vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*&
                         sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_20858) = cima*sa*sb**2d0*vev1
      coupl(nGC_20859) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_21323) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_21322) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_21321) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_21320) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_21327) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_21326) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_21325) = -cima*sb
      coupl(nGC_21324) = -cb*cima
      coupl(nGC_21329) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21328) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21276) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb&
                         *l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_21748) = -sqrt(2d0)*sb/2d0
      coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_1531) = -2d0*coupl(nGC_189)
      coupl(nGC_809) = -coupl(nGC_205)/2d0
      coupl(nGC_8311) = -coupl(nGC_359)
      coupl(nGC_2191) = -coupl(nGC_213)
      coupl(nGC_1415) = -coupl(nGC_362)
      coupl(nGC_1889) = -coupl(nGC_218)
      coupl(nGC_1641) = -coupl(nGC_365)
      coupl(nGC_14013) = -coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_2677) = -coupl(nGC_371)
      coupl(nGC_2497) = -coupl(nGC_377)
      coupl(nGC_977) = -coupl(nGC_184)
      coupl(nGC_2665) = -coupl(nGC_338)
      coupl(nGC_2939) = -coupl(nGC_341)
      coupl(nGC_2349) = -2d0*coupl(nGC_8)
      coupl(nGC_7453) = -coupl(nGC_383)
      coupl(nGC_1599) = 2d0*coupl(nGC_15)
      coupl(nGC_3351) = -coupl(nGC_198)
      coupl(nGC_2213) = -2d0*coupl(nGC_194)
      coupl(nGC_13999) = -coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_13995) = coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_13997) = coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_1563) = -coupl(nGC_3)
      coupl(nGC_5875) = -coupl(nGC_350)
    end subroutine fill_couplings_mdl7
end module fill_couplings7
