!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_22645) = coupl(nGC_21815)*db_QED2 + coupl(nGC_21816)*dym1_QED3 &
                          + coupl(nGC_21817)*dym2_QED3
      coupl(nGC_22861) = cima*dMZ2_QED2
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_36397) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22634) = coupl(nGC_21494)*dys2_QED1_QCD2 + coupl(nGC_21495)*   &
                         dyd12x2_QED1_QCD2
      coupl(nGC_32251) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_36975) = coupl(nGC_230)*dZG0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34020) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_34021) = -coupl(nGC_34020)
      coupl(nGC_32671) = coupl(nGC_70)*dZGMinus
      coupl(nGC_32430) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_33427) = coupl(nGC_360)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_41331) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_36705) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_40360) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_34706) = coupl(nGC_344)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_34705) = coupl(nGC_344)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_22848) = -cima*dMTA_QED2
      coupl(nGC_37959) = coupl(nGC_353)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_22517) = coupl(nGC_20823)*dl3_QED4 + coupl(nGC_20824)*dl1_QED4 &
                          + coupl(nGC_20825)*dl2_QED4 + coupl(nGC_20826)*      &
                         dl5_QED4 + coupl(nGC_20827)*dl4_QED4 + coupl(nGC_20828&
                         )*db_QED2
      coupl(nGC_22862) = cima*dMW2_QED2
      coupl(nGC_32117) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_22610) = coupl(nGC_21194)*db_QED2 + coupl(nGC_21195)*dyup1_QED3&
                          + coupl(nGC_21196)*dyup2_QED3
      coupl(nGC_22611) = coupl(nGC_21195)*dyup1_QED1_QCD2 + coupl(nGC_21196)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_32271) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22501) = coupl(nGC_21795)*dsw_QED2 + coupl(nGC_21796)*dcw_QED2 &
                          + coupl(nGC_21797)*dZee_QED2
      coupl(nGC_39587) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_37506) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32293) = coupl(nGC_70)*dZG0
      coupl(nGC_32294) = coupl(nGC_22517) + coupl(nGC_54)*dZHaG0_QED2 + coupl( &
                         nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*          &
                         dZHMinus_QED2
      coupl(nGC_36588) = coupl(nGC_179)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_47015) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_40619) = coupl(nGC_348)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_33090) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_37501) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_33419) = coupl(nGC_22501) + coupl(nGC_228)*dZHMinus_QED2
      coupl(nGC_32478) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32475) = coupl(nGC_99)*dZGMinus
      coupl(nGC_32470) = coupl(nGC_99)*dZG0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_44063) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_36471) = coupl(nGC_342)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_44064) = coupl(nGC_356)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
