!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_22691) = coupl(nGC_21371)*dsw_QED2 + coupl(nGC_21372)*dZee_QED2
      coupl(nGC_33677) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_33674) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_TS_GC_375_Hl) = -coupl(nGC_375)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22603) = coupl(nGC_21011)*dyc1_QED1_QCD2 + coupl(nGC_21012)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22602) = coupl(nGC_21010)*db_QED2 + coupl(nGC_21011)*dyc1_QED3 &
                          + coupl(nGC_21012)*dyc2_QED3
      coupl(nGC_22609) = coupl(nGC_21166)*dydo2_QED3 + coupl(nGC_21167)*db_QED2&
                          + coupl(nGC_21168)*dydo1_QED3
      coupl(nGC_22608) = coupl(nGC_21166)*dydo2_QED1_QCD2 + coupl(nGC_21168)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_33888) = coupl(nGC_71)*dZGMinus
      coupl(nGC_22511) = coupl(nGC_21175)*dl3_QED4 + coupl(nGC_21176)*db_QED2  &
                          + coupl(nGC_21177)*dl2_QED4 + coupl(nGC_21178)*      &
                         dl5_QED4 + coupl(nGC_21179)*dl4_QED4 + coupl(nGC_21180&
                         )*dl1_QED4 + coupl(nGC_21181)*da_QED2
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32820) = coupl(nGC_365)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_32917) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_37579) = coupl(nGC_22609) + coupl(nGC_346)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*        &
                         dZuL_QED2/2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_37577) = coupl(nGC_22608) + coupl(nGC_346)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_346)*dZuL_QCD2/2d0
      coupl(nGC_32594) = coupl(nGC_341)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_32591) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_32593) = coupl(nGC_341)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_34111) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_33472) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22672) = coupl(nGC_21786)*dyt1_QED1_QCD2 + coupl(nGC_21788)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_22673) = coupl(nGC_21786)*dyt1_QED3 + coupl(nGC_21787)*da_QED2 &
                          + coupl(nGC_21788)*dyt2_QED3
      coupl(nGC_33499) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_22699) = coupl(nGC_21760)*dsw_QED2 + coupl(nGC_21761)*dZee_QED2
      coupl(nGC_33494) = coupl(nGC_368)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_36020) = coupl(nGC_378)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_33503) = -coupl(nGC_33499)
      coupl(nGC_22072) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi**&
                         2d0)
      coupl(nGC_22073) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi**&
                         2d0)
      coupl(nGC_22071) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi**&
                         2d0)
      coupl(nGC_33883) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_32907) = coupl(nGC_205)*dZAZ_QED2
      coupl(nGC_22850) = -cima*dMU_QCD2
      coupl(nGC_22851) = -cima*dMC_QED2
      coupl(nGC_22852) = -cima*dMC_QCD2
      coupl(nGC_22854) = -cima*dMT_QCD2
      coupl(nGC_22856) = -cima*dMD_QCD2
      coupl(nGC_22857) = -cima*dMS_QED2
      coupl(nGC_22858) = -cima*dMS_QCD2
      coupl(nGC_22859) = -cima*dMB_QED2
      coupl(nGC_33273) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_33189) = coupl(nGC_228)*dZGMinus
      coupl(nGC_32458) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_37505) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_37503) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_33104) = coupl(nGC_172)*dZGMinusHMinus_QED2/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
