!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_22498) = coupl(nGC_21758)*dcw_QED2 + coupl(nGC_21759)*dZee_QED2
      coupl(nGC_32322) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_22495) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_22496) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc&
                         **3d0)
      coupl(nGC_36000) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_22726) = coupl(nGC_21782)*dZee_QED2
      coupl(nGC_22727) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_22724) = coupl(nGC_21424)*dZee_QED2
      coupl(nGC_36792) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_36790) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_36791) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_39143) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_39140) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_32328) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_22658) = coupl(nGC_21425)*dytau1_QED3 + coupl(nGC_21426)*      &
                         dytau2_QED3 + coupl(nGC_21427)*da_QED2
      coupl(nGC_22650) = coupl(nGC_21789)*db_QED2 + coupl(nGC_21790)*dye2_QED3 &
                          + coupl(nGC_21791)*dye1_QED3
      coupl(nGC_22657) = coupl(nGC_21792)*dym1_QED3 + coupl(nGC_21793)*        &
                         dym2_QED3 + coupl(nGC_21794)*da_QED2
      coupl(nGC_22655) = coupl(nGC_21877)*dytau1_QED3 + coupl(nGC_21878)*      &
                         dytau2_QED3 + coupl(nGC_21879)*da_QED2
      coupl(nGC_32925) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_22654) = coupl(nGC_21388)*dym1_QED3 + coupl(nGC_21389)*        &
                         dym2_QED3 + coupl(nGC_21390)*da_QED2
      coupl(nGC_33611) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_41040) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_38232) = coupl(nGC_242)*dZG0
      coupl(nGC_32819) = coupl(nGC_365)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_35661) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_38058) = coupl(nGC_26)*dZGMinus
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34643) = coupl(nGC_22498) + coupl(nGC_31)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_31)*dZHa_QED2/2d0
      coupl(nGC_33321) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33323) = coupl(nGC_22645) + coupl(nGC_358)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(     &
                         nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_37524) = coupl(nGC_377)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_51520) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_51521) = -coupl(nGC_51520)
      coupl(nGC_33030) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_33033) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_40355) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_40354) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_40353) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_33039) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_35200) = coupl(nGC_13)*dZuL_QCD2
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_44293) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_44294) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_44295) = coupl(nGC_MI)*dZtauMinusR_QED2
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
