!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_48596) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_33366) = coupl(nGC_22843) + coupl(nGC_MHH)*dZHh_QED2 + coupl(  &
                         nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_33361) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_40557) = coupl(nGC_371)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_41393) = coupl(nGC_22664) + coupl(nGC_335)*dZHaG0_QED2/2d0
      coupl(nGC_41396) = -coupl(nGC_41392)
      coupl(nGC_22364) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc* &
                         coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346 &
                         )*coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(      &
                         nGC_367)**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 &
                          + Nc*coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(     &
                         nGC_352)*coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(  &
                         nGC_361)**3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/( &
                         24d0*pi**2d0)
      coupl(nGC_48587) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_32692) = coupl(nGC_32687) + coupl(nGC_32690)
      coupl(nGC_32691) = coupl(nGC_32685) + coupl(nGC_32690)
      coupl(nGC_32663) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_47299) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_47298) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_47297) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_37129) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_40241) = coupl(nGC_22864) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_32189) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_22586)
      coupl(nGC_33618) = -coupl(nGC_33614)
      coupl(nGC_32743) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_22228) = coupl(nGC_13)**2d0*coupl(nGC_342)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22225) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_342) + 2d0*&
                         Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_342) - &
                         2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_342) - 2d0*Nc&
                         *cMC*coupl(nGC_207)**2d0*coupl(nGC_333) + 2d0*Nc*cMC* &
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333) - 2d0*Nc*&
                         cMC*coupl(nGC_210)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*  &
                         coupl(nGC_206)**2d0*coupl(nGC_345) + 2d0*Nc*cMD*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345) - 2d0*Nc*cMD*  &
                         coupl(nGC_209)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(&
                         nGC_206)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(      &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363) - 2d0*Nc*cMS*  &
                         coupl(nGC_209)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(&
                         nGC_207)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_369) - 2d0*Nc*cMT*  &
                         coupl(nGC_210)**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(&
                         nGC_207)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_381) - 2d0*Nc*cMU*  &
                         coupl(nGC_210)**2d0*coupl(nGC_381) - 2d0*cME*coupl(   &
                         nGC_208)**2d0*coupl(nGC_351) + 2d0*cME*coupl(nGC_208)*&
                         coupl(nGC_211)*coupl(nGC_351) - 2d0*cME*coupl(nGC_211 &
                         )**2d0*coupl(nGC_351) - 2d0*cMM*coupl(nGC_208)**2d0*  &
                         coupl(nGC_357) + 2d0*cMM*coupl(nGC_208)*coupl(nGC_211 &
                         )*coupl(nGC_357) - 2d0*cMM*coupl(nGC_211)**2d0*coupl( &
                         nGC_357) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(nGC_375 &
                         ) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(     &
                         nGC_375) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_375 &
                         ) + cima*coupl(nGC_195)*coupl(nGC_261) + coupl(nGC_199&
                         )**2d0*coupl(nGC_261) + coupl(nGC_2313)**2d0*coupl(   &
                         nGC_261))/(8d0*pi**2d0)
      coupl(nGC_22223) = 3d0*(4d0*Nc*cMB*coupl(nGC_342)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_333)**3d0 + 4d0*Nc*cMD*coupl(nGC_345)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_363)**3d0 + 4d0*Nc*cMT*coupl(nGC_369 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_381)**3d0 + 4d0*cME*    &
                         coupl(nGC_351)**3d0 + 4d0*cMM*coupl(nGC_357)**3d0 +   &
                         4d0*cMTA*coupl(nGC_375)**3d0 + cima*coupl(nGC_224)*   &
                         coupl(nGC_329) + 2d0*cima*coupl(nGC_261)*coupl(nGC_77 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_22222) = coupl(nGC_13)**2d0*coupl(nGC_384)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_46250) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_37502) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22595) = coupl(nGC_21751)*dZgs_QCD2
      coupl(nGC_22597) = coupl(nGC_21881)*dyup1_QED1_QCD2 + coupl(nGC_21882)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22596) = coupl(nGC_21880)*db_QED2 + coupl(nGC_21881)*dyup1_QED3&
                          + coupl(nGC_21882)*dyup2_QED3
      coupl(nGC_22591) = coupl(nGC_21428)*dsw_QED2 + coupl(nGC_21429)*dcw_QED2 &
                          + coupl(nGC_21430)*dZee_QED2
      coupl(nGC_22590) = coupl(nGC_20996)*dZee_QED2
      coupl(nGC_22593) = coupl(nGC_20726)*dZgs_QCD2
      coupl(nGC_22592) = coupl(nGC_21502)*dsw_QED2 + coupl(nGC_21503)*dcw_QED2 &
                          + coupl(nGC_21504)*dZee_QED2
      coupl(nGC_22599) = coupl(nGC_21131)*dydo2_QED3 + coupl(nGC_21132)*db_QED2&
                          + coupl(nGC_21133)*dydo1_QED3
      coupl(nGC_22598) = coupl(nGC_21131)*dydo2_QED1_QCD2 + coupl(nGC_21133)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22356) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0  &
                          - coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22355) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 + &
                         coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22359) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(      &
                         nGC_340)**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*  &
                         coupl(nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0&
                         *Nc*coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 +   &
                         6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 +   &
                         3d0*coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0&
                         *coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*&
                         pi**2d0)
      coupl(nGC_22579) = coupl(nGC_21810)*dvev2_QED1 + coupl(nGC_21811)*       &
                         dcw_QED2 + coupl(nGC_21812)*db_QED2 + coupl(nGC_21813 &
                         )*dvev1_QED1 + coupl(nGC_21814)*dZee_QED2
      coupl(nGC_22578) = coupl(nGC_20795)*dl3_QED4 + coupl(nGC_20796)*db_QED2  &
                          + coupl(nGC_20797)*dl2_QED4 + coupl(nGC_20798)*      &
                         dl5_QED4 + coupl(nGC_20799)*dvev2_QED1 + coupl(       &
                         nGC_20800)*dvev1_QED1 + coupl(nGC_20801)*dl1_QED4 +   &
                         coupl(nGC_20802)*dl4_QED4 + coupl(nGC_20803)*da_QED2
      coupl(nGC_22573) = coupl(nGC_21861)*dl3_QED4 + coupl(nGC_21862)*dl1_QED4 &
                          + coupl(nGC_21863)*dl2_QED4 + coupl(nGC_21864)*      &
                         dl5_QED4 + coupl(nGC_21865)*dl4_QED4 + coupl(nGC_21866&
                         )*dvev1_QED1 + coupl(nGC_21867)*dvev2_QED1 + coupl(   &
                         nGC_21868)*da_QED2
      coupl(nGC_22572) = coupl(nGC_21917)*dl3_QED4 + coupl(nGC_21918)*db_QED2  &
                          + coupl(nGC_21919)*dl2_QED4 + coupl(nGC_21920)*      &
                         dl5_QED4 + coupl(nGC_21921)*dvev2_QED1 + coupl(       &
                         nGC_21922)*dvev1_QED1 + coupl(nGC_21923)*dl1_QED4 +   &
                         coupl(nGC_21924)*dl4_QED4 + coupl(nGC_21925)*da_QED2
      coupl(nGC_22571) = coupl(nGC_21931)*dl3_QED4 + coupl(nGC_21932)*db_QED2  &
                          + coupl(nGC_21933)*dl2_QED4 + coupl(nGC_21934)*      &
                         dl5_QED4 + coupl(nGC_21935)*dvev2_QED1 + coupl(       &
                         nGC_21936)*dvev1_QED1 + coupl(nGC_21937)*dl1_QED4 +   &
                         coupl(nGC_21938)*dl4_QED4 + coupl(nGC_21939)*da_QED2
      coupl(nGC_22570) = coupl(nGC_21553)*dZee_QED2 + coupl(nGC_21554)*dsw_QED2&
                          + coupl(nGC_21555)*dcw_QED2 + coupl(nGC_21556)*      &
                         dvev2_QED1 + coupl(nGC_21557)*dvev1_QED1 + coupl(     &
                         nGC_21558)*da_QED2
      coupl(nGC_22577) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dl2_QED4 +    &
                         coupl(nGC_555)*dl3_QED4 + coupl(nGC_557)*dl5_QED4 +   &
                         coupl(nGC_559)*dl4_QED4 + coupl(nGC_561)*dl1_QED4 +   &
                         coupl(nGC_563)*dvev1_QED1 + coupl(nGC_565)*dvev2_QED1 &
                          + coupl(nGC_567)*da_QED2
      coupl(nGC_22576) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dl2_QED4 +    &
                         coupl(nGC_535)*dl3_QED4 + coupl(nGC_537)*dl5_QED4 +   &
                         coupl(nGC_539)*dl4_QED4 + coupl(nGC_541)*dl1_QED4 +   &
                         coupl(nGC_543)*dvev1_QED1 + coupl(nGC_545)*dvev2_QED1 &
                          + coupl(nGC_547)*da_QED2
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
